## 智慧医疗主服务 xx-healthy-java
```
智慧医疗主服务
```

病种
```
1.病种在标签、风险、患者服务、医生任务、科室中都是以逗号分割的病种id关联，所以有些查询比较难查询，例如医生跟患者关系：医生->科室->病种->标签->患者
2.有一个暂时没有用上的实体病种表：h_entity_disease_config_info

```

患者标签
模块：healthy-basic-label-framework
```
配置标签
```
模块：healthy-serve-label-framework
```
1. 患者标签业务处理
  - 逻辑流程：引擎给患者打标签->记录到患者标签与患者历史标签
2. 患者标签统计
  - 标签过期
  - 标签患者统计
```

患者服务
模块：healthy-basic-pushServe-framework
```
配置患者服务
```
模块：healthy-serve-pushServe-framework
```
患者服务业务处理
1. 逻辑流程：引擎生成服务->记录到患者服务与患者历史服务->生成日程->查询家属生成提醒
2. 复诊
```

医生任务
模块：healthy-basic-pushTask-framework
```
配置医生任务
```
模块：healthy-serve-pushTask-framework
```
1. 医生业务处理
  - 引擎推送生成医生任务
  - 医生执行任务
  - 医生日程/日历提醒（自己创建并到时提醒自己）
  - 医生提醒（医生任务、日程、随访、会诊等都会通过提醒发送短信或企业微信消息）
  - 运营助理管理科室、病种配置
  - 运营助理随访
2. 定时任务
  - 医生消息提醒（DoctorPushTaskTask.java）
  - 运营助理随访（DoctorFollowUpTask.java）
```

个案管理
模块 healthy-crm
1. 个案的业务
  - 个案管理的配置
  - 加入,变更，完成个案
2. 定时任务 PatientDoctorRelationTargetTask
  - 更新个案目标状态
  - 更新个案阶段状态


## 其他功能模块#############################################################################################

## 数据统计 xxh-data-statistics-java
```
跑批生成日统计数据功能

1. 每天统计会诊信息（ConsultationDayTaskEveryDay.java）
2. 每天统计随访信息（FollowUpDayTaskEveryDay.java）
3. 每天统计前一天的住院人数（InDayInfoTaskEveryDay.java）
4. 每天统计整理推送服务信息（PushDayTaskEveryDay.java）
5. 每天统计前一天的就诊人数（VisitDayInfoTaskEveryDay.java）
6. 会诊统计详情处理（ConsultationDetailTaskEveryHour.java）
7. 会诊统计详情更新（ConsultationDetailUpdateTaskEveryHour.java）
8. 随访统计详情处理（FollowUpDetailTaskEveryHour.java）
9. 随访统计详情更新（FollowUpDetailUpdateTaskEveryHour.java）
10. 服务统计详情处理（PushDetailTaskEveryHour.java）
11. 服务统计详情更新（PushDetailUpdateTaskEveryHour.java）

```

## 用户中心 wbmd-user-java
```
用户中心服务，包括了患者和医生以及三方登录的功能
```
患者家属
注意：微信用户绑定的是指定了家属关系的患者；
微信用户不是患者（虽然家属关系有本人的微信用户是患者，但含义不一样）；
可以理解为微信用户是绑定的患者的家属，而绑定的患者不是微信用户的家属
```
1. 同步海泰家属
  - 根据openid/unionid同步该微信用户绑定患者数据
  - 按时间戳批量同步微信openid/unionid绑定的患者数据
2. 保存家属患者及关系
  - 生成客户信息（cust_customer_user_info）
  - 生成第三方用户信息（cust_customer_third_user_info）
  - 生成家属绑定信息（cust_customer_family_member_info）
```

## 智能导诊服务 xxh-inspur-java
```
智能导诊服务
```

## 数据同步 healthy-etl
```
数据同步和清洗规则配置，日志，执行
```

## 数据服务 healthy-data
```
院内数据表(ods_)和清洗后的数据表(dwd_)
```
患者数据（dwd）
模块：healthy-data
```
1. 患者医院数据相关业务
  - 多数据源查询dwd
  - 患者信息档案信息相关
  - 医生关注患者（特别关注）
2. 定时任务
  - 诊前、诊中、诊后数据统计
  - 运营助理所能管理的患者统计
  - 挂号、就诊、住院流失统计（PatientLossDataStatisticTask.java）
  - 特别关注患者数据变更提醒（doctorFollowPatientTaskJobHandler）

```


## 行为记录 health-behavior-java
```
患者行为记录，例如推送文章的阅读
```

## 元数据/标准数据 wbmd-metadata-java
```
元数据md_metadata_，标准数据s_md_standard_
```

## 系统框架 xx-framework-java
```
系统基础框架
```

## 规则引擎项目 xx-rule-java
```
规则引擎项目
```

## 前置项目 healthy-frontend-java 
```
部署服务器172.18.84.98
连接外网进行三方通信的服务，例如微信推送等
```

