
-- ----------------------------
-- Table structure for base_store_file_info
-- ----------------------------
DROP TABLE IF EXISTS `base_store_file_info`;
CREATE TABLE `base_store_file_info`  (
  `file_no` varchar(48) NOT NULL COMMENT '文件编号',
  `company_code` varchar(48) NULL DEFAULT NULL COMMENT '机构编号',
  `params_id` varchar(48) NULL DEFAULT NULL COMMENT '配置id',
  `file_url` varchar(512) NULL DEFAULT NULL COMMENT '文件路径',
  `file_name` varchar(48) NULL DEFAULT NULL COMMENT '文件名',
  `file_format` varchar(24) NULL DEFAULT NULL COMMENT '文件格式',
  `creator` varchar(24) NULL DEFAULT NULL COMMENT '创建人',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(24) NULL DEFAULT NULL COMMENT '更新人',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`file_no`) USING BTREE
) COMMENT = '文件资源表';

-- ----------------------------
-- Table structure for basic_browse_log_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_browse_log_info`;
CREATE TABLE `basic_browse_log_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(64) NULL DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `module_Name` varchar(128) NULL DEFAULT NULL COMMENT '模块名称',
  `op_name` varchar(128) NULL DEFAULT NULL COMMENT '功能名称',
  `op_ip` varchar(128) NULL DEFAULT NULL COMMENT '操作IP',
  `op_ip_city` varchar(256) NULL DEFAULT NULL COMMENT '操作IP城市',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `req_uri` varchar(128) NULL DEFAULT NULL COMMENT '请求URI',
  `req_method` varchar(24) NULL DEFAULT NULL COMMENT '请求方式',
  `req_params` text NULL COMMENT '请求参数',
  `req_time` int(11) NULL DEFAULT NULL COMMENT '请求时长(毫秒)',
  `req_user_agent` varchar(512) NULL DEFAULT NULL COMMENT '用户代理',
  `req_platform` varchar(48) NULL DEFAULT NULL COMMENT '平台设备',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '请求返回状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(64) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统WEB访问日志';

-- ----------------------------
-- Table structure for basic_company
-- ----------------------------
DROP TABLE IF EXISTS `basic_company`;
CREATE TABLE `basic_company`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `name` varchar(256) NOT NULL COMMENT '名称',
  `sys_type` varchar(48) NOT NULL COMMENT '系统分类(平台运营/商户)',
  `logo` varchar(256) NULL DEFAULT NULL COMMENT 'logo',
  `pid` varchar(64) NOT NULL COMMENT '上级公司ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '说明',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '公司分类',
  `property_json` varchar(1024) NULL DEFAULT NULL COMMENT '扩展信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '公司信息表';

-- ----------------------------
-- Table structure for basic_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `basic_dict_data`;
CREATE TABLE `basic_dict_data`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `dict_type_id` varchar(64) NOT NULL COMMENT '字典类型ID',
  `dict_label` varchar(256) NULL DEFAULT NULL COMMENT '字典标签',
  `dict_value` varchar(256) NULL DEFAULT NULL COMMENT '字典值',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '字典数据表';

-- ----------------------------
-- Table structure for basic_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `basic_dict_type`;
CREATE TABLE `basic_dict_type`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `type` varchar(24) NOT NULL COMMENT '字典类型',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '字典类型';

-- ----------------------------
-- Table structure for basic_error_log_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_error_log_info`;
CREATE TABLE `basic_error_log_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(64) NULL DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `log_date` datetime NULL DEFAULT NULL COMMENT '日志日期',
  `error_clazz` varchar(256) NULL DEFAULT NULL COMMENT '异常类',
  `error_method` varchar(256) NULL DEFAULT NULL COMMENT '异常方法',
  `error_info` text NULL COMMENT '异常信息',
  `req_params` text NULL COMMENT '请求参数',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(64) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统异常日志';

-- ----------------------------
-- Table structure for basic_login_log_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_login_log_info`;
CREATE TABLE `basic_login_log_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(64) NOT NULL COMMENT '用户ID',
  `user_name` varchar(128) NOT NULL COMMENT '用户名',
  `op_type` varchar(24) NOT NULL COMMENT '用户操作分类(登录 退出)',
  `op_way` varchar(48) NULL DEFAULT NULL COMMENT '用户操作方式',
  `op_ip` varchar(128) NULL DEFAULT NULL COMMENT '操作IP',
  `op_user_agent` varchar(512) NULL DEFAULT NULL COMMENT '用户代理',
  `op_platform` varchar(48) NULL DEFAULT NULL COMMENT '平台设备',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(64) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统登录日志';

-- ----------------------------
-- Table structure for basic_notice_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_notice_info`;
CREATE TABLE `basic_notice_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `title` varchar(256) NOT NULL COMMENT '标题',
  `content` text NULL COMMENT '内容',
  `to_user_ids` varchar(512) NULL DEFAULT NULL COMMENT '公告通知用户Ids',
  `files` varchar(512) NULL DEFAULT NULL COMMENT '附件',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '公告信息表';

-- ----------------------------
-- Table structure for basic_operation_log_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_operation_log_info`;
CREATE TABLE `basic_operation_log_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(64) NULL DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `module_type` varchar(64) NULL DEFAULT NULL COMMENT '模块分类',
  `object_type` varchar(64) NULL DEFAULT NULL COMMENT '对象分类',
  `object_id` varchar(64) NULL DEFAULT NULL COMMENT '对象ID',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `op_type` varchar(128) NULL DEFAULT NULL COMMENT '操作分类',
  `op_text` text NULL COMMENT '操作内容',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(64) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统操作日志表';

-- ----------------------------
-- Table structure for basic_params
-- ----------------------------
DROP TABLE IF EXISTS `basic_params`;
CREATE TABLE `basic_params`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `param_type` varchar(24) NOT NULL COMMENT '参数分类',
  `param_value_type` varchar(64) NOT NULL COMMENT '参数值类型',
  `param_value` text NULL COMMENT '参数值',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统参数表';

-- ----------------------------
-- Table structure for basic_project_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_project_info`;
CREATE TABLE `basic_project_info`  (
  `code` varchar(64) NOT NULL COMMENT '项目编号',
  `name` varchar(128) NOT NULL COMMENT '项目名称',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `director` varchar(256) NULL DEFAULT NULL COMMENT '负责人',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '描述',
  `data_private_key` text NULL COMMENT '加密私钥',
  `data_public_key` text NULL COMMENT '加密公钥',
  `data_link_config` varchar(1024) NULL DEFAULT NULL COMMENT '数据连接配置',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `is_def` varchar(1) NULL DEFAULT NULL COMMENT '是否默认',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = '项目信息表';

-- ----------------------------
-- Table structure for basic_site_message_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_site_message_info`;
CREATE TABLE `basic_site_message_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `title` varchar(256) NULL DEFAULT NULL COMMENT '标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '内容',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '信息分类',
  `params` varchar(512) NULL DEFAULT NULL COMMENT '消息参数',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '站内消息表';

-- ----------------------------
-- Table structure for basic_site_message_user_info
-- ----------------------------
DROP TABLE IF EXISTS `basic_site_message_user_info`;
CREATE TABLE `basic_site_message_user_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `site_message_id` varchar(48) NOT NULL COMMENT '站内消息ID',
  `to_user_id` varchar(48) NOT NULL COMMENT '消息接受人',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '消息状态',
  `read_date` datetime NULL DEFAULT NULL COMMENT '信息读取时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '站内消息发送人表';

-- ----------------------------
-- Table structure for basic_trigger_task_log
-- ----------------------------
DROP TABLE IF EXISTS `basic_trigger_task_log`;
CREATE TABLE `basic_trigger_task_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `one_type` varchar(24) NOT NULL COMMENT '关联业务一级分类',
  `two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '关联业务ID',
  `status` varchar(24) NOT NULL COMMENT '执行状态',
  `remark` varchar(64) NULL DEFAULT NULL COMMENT '执行备注',
  `op_user` varchar(24) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '定时任务执行日志';

-- ----------------------------
-- Table structure for basic_visit_verification_config
-- ----------------------------
DROP TABLE IF EXISTS `basic_visit_verification_config`;
CREATE TABLE `basic_visit_verification_config`  (
  `id` varchar(24) NOT NULL COMMENT '数据ID',
  `visit_type` varchar(24) NOT NULL COMMENT '校验目标分类',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '校验目标ID',
  `ver_type` varchar(24) NOT NULL COMMENT '校验规则分类',
  `app_scope` varchar(24) NULL DEFAULT NULL COMMENT '应用端范围(全部/患者端/医生端)',
  `biz_scope` varchar(512) NULL DEFAULT NULL COMMENT '应用端功能范围',
  `verification_config` text NULL COMMENT '校验条件配置',
  `data_source` varchar(24) NULL DEFAULT NULL COMMENT '数据来源',
  `rows_status` varchar(1) NULL DEFAULT NULL COMMENT '逻辑删除标记',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '访问校验配置表';

-- ----------------------------
-- Table structure for bwd_data_clean_error_log_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_clean_error_log_info`;
CREATE TABLE `bwd_data_clean_error_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '实体名称',
  `prop` varchar(64) NULL DEFAULT NULL COMMENT '实体字段',
  `rule_code` varchar(64) NULL DEFAULT NULL COMMENT '规则编号',
  `rule_name` varchar(64) NULL DEFAULT NULL COMMENT '规则名称',
  `obj_content` varchar(1024) NULL DEFAULT NULL COMMENT '对象内容',
  `error_info` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '处理状态',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `start_date` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据清洗错误日志';

-- ----------------------------
-- Table structure for bwd_data_clean_flag_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_clean_flag_info`;
CREATE TABLE `bwd_data_clean_flag_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `flag` varchar(48) NOT NULL COMMENT '时间戳',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据清洗标记信息表';

-- ----------------------------
-- Table structure for bwd_data_clean_log_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_clean_log_info`;
CREATE TABLE `bwd_data_clean_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '实体名称',
  `prop` varchar(64) NULL DEFAULT NULL COMMENT '实体字段',
  `rule_code` varchar(64) NULL DEFAULT NULL COMMENT '规则编号',
  `rule_name` varchar(64) NULL DEFAULT NULL COMMENT '规则名称',
  `total_num` int(11) NULL DEFAULT NULL COMMENT '总数据量',
  `total_success` int(11) NULL DEFAULT NULL COMMENT '成功数据量',
  `total_fail` int(11) NULL DEFAULT NULL COMMENT '失败数据量',
  `start_date` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '截止时间',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据清洗日志表';

-- ----------------------------
-- Table structure for bwd_data_clean_user_task_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_clean_user_task_info`;
CREATE TABLE `bwd_data_clean_user_task_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `rule_code` varchar(64) NOT NULL COMMENT '规则编号',
  `rule_name` varchar(64) NULL DEFAULT NULL COMMENT '规则名称',
  `exe_status` varchar(24) NULL DEFAULT NULL COMMENT '执行状态',
  `exe_start_dt` datetime NULL DEFAULT NULL COMMENT '开始执行时间',
  `exe_end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据清洗手动执行任务表';

-- ----------------------------
-- Table structure for bwd_data_sync_flag_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_sync_flag_info`;
CREATE TABLE `bwd_data_sync_flag_info`  (
  `code` varchar(48) NOT NULL COMMENT '接口编号',
  `name` varchar(64) NOT NULL COMMENT '接口名称',
  `flag` varchar(24) NOT NULL COMMENT '时间戳',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `sync_max_minute` int(10) NULL DEFAULT NULL COMMENT '最大时间(分)',
  `read_config` text NULL COMMENT '读配置',
  `write_config` text NULL COMMENT '写配置',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = '数据同步标记信息表';

-- ----------------------------
-- Table structure for bwd_data_sync_flag_info_bak240814
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_sync_flag_info_bak240814`;
CREATE TABLE `bwd_data_sync_flag_info_bak240814`  (
  `code` varchar(48) NOT NULL COMMENT '接口编号',
  `name` varchar(64) NOT NULL COMMENT '接口名称',
  `flag` varchar(24) NOT NULL COMMENT '时间戳',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `sync_max_minute` int(10) NULL DEFAULT NULL COMMENT '最大时间(分)',
  `read_config` text NULL COMMENT '读配置',
  `write_config` text NULL COMMENT '写配置',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间'
);

-- ----------------------------
-- Table structure for bwd_data_sync_log_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_sync_log_info`;
CREATE TABLE `bwd_data_sync_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `code` varchar(48) NOT NULL COMMENT '接口编号',
  `name` varchar(64) NOT NULL COMMENT '接口名称',
  `params` varchar(256) NULL DEFAULT NULL COMMENT '接口参数',
  `start_date` datetime NOT NULL COMMENT '开始时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '截止时间',
  `read_num` int(10) NULL DEFAULT NULL COMMENT '读数据条数',
  `read_status` varchar(24) NULL DEFAULT NULL COMMENT '读状态',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '总状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '同步数据日志信息表';

-- ----------------------------
-- Table structure for bwd_data_sync_log_item_info
-- ----------------------------
DROP TABLE IF EXISTS `bwd_data_sync_log_item_info`;
CREATE TABLE `bwd_data_sync_log_item_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `main_id` varchar(24) NOT NULL COMMENT '主id',
  `write_table` varchar(128) NULL DEFAULT NULL COMMENT '写表编号',
  `write_status` varchar(24) NULL DEFAULT NULL COMMENT '写状态',
  `write_num` int(10) NULL DEFAULT NULL COMMENT '写数量',
  `write_err_info` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `start_date` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '截止时间',
  `op_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '同步数据日志明细信息表';

-- ----------------------------
-- Table structure for crm_disease_phase_config_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_disease_phase_config_info`;
CREATE TABLE `crm_disease_phase_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `disease_id` varchar(48) NOT NULL COMMENT '病种ID',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `orders` int(11) NOT NULL COMMENT '顺序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `is_def` varchar(1) NULL DEFAULT NULL COMMENT '是否默认',
  `state` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `rows_state` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '病种阶段配置表';

-- ----------------------------
-- Table structure for crm_disease_phase_target_config_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_disease_phase_target_config_info`;
CREATE TABLE `crm_disease_phase_target_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `phase_id` varchar(24) NOT NULL COMMENT '所属阶段ID',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `state` varchar(24) NOT NULL COMMENT '状态',
  `condition_type` varchar(24) NULL DEFAULT NULL COMMENT '条件配置分类',
  `condition_content` text NULL COMMENT '条件配置内容',
  `target_exe_dept_ids` varchar(512) NULL DEFAULT NULL COMMENT '目标执行科室',
  `rows_state` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `completion_limit` int(11) NULL DEFAULT NULL COMMENT '目标执行期限(天)',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '病种阶段目标表';

-- ----------------------------
-- Table structure for crm_doctor_behavior_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_behavior_info`;
CREATE TABLE `crm_doctor_behavior_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `operated_type` varchar(24) NOT NULL COMMENT '操作类型',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '操作一级关联对象类型',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '操作一级关联对象id',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '操作二级关联对象类型',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '操作二级关联对象id',
  `operated_content` varchar(512) NULL DEFAULT NULL COMMENT '操作内容',
  `ip` varchar(256) NULL DEFAULT NULL COMMENT 'ip',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生行为操作信息表';

-- ----------------------------
-- Table structure for crm_doctor_patient_remark_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_patient_remark_info`;
CREATE TABLE `crm_doctor_patient_remark_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '一级关联对象类型',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '一级关联对象id',
  `remark` varchar(1024) NOT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者备注信息表';

-- ----------------------------
-- Table structure for crm_doctor_patient_status_mark_his_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_patient_status_mark_his_info`;
CREATE TABLE `crm_doctor_patient_status_mark_his_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_patient_mark_id` varchar(24) NOT NULL COMMENT '医生患者标记ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `target` varchar(24) NULL DEFAULT NULL COMMENT '目标',
  `add_time` datetime NOT NULL COMMENT '新增时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源分类',
  `source_id` varchar(48) NULL DEFAULT NULL COMMENT '数据来源ID',
  `op_type` varchar(24) NULL DEFAULT NULL COMMENT '操作分类',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `op_user_id` varchar(24) NULL DEFAULT NULL COMMENT '操作人',
  `target_id` varchar(24) NULL DEFAULT NULL COMMENT '目标',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '个案类型，字典定义',
  `target_code` varchar(48) NULL DEFAULT NULL COMMENT '目标编号',
  `target_exe_dept_ids` varchar(256) NULL DEFAULT NULL COMMENT '目标执行科室列表',
  `target_exe_max_day` int(11) NULL DEFAULT NULL COMMENT '目标执行最大天数',
  `target_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '目标执行状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者状态标记历史信息表';

-- ----------------------------
-- Table structure for crm_doctor_patient_status_mark_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_patient_status_mark_info`;
CREATE TABLE `crm_doctor_patient_status_mark_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `target` varchar(24) NULL DEFAULT NULL COMMENT '目标',
  `op_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `add_time` datetime NOT NULL COMMENT '新增时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源分类',
  `source_id` varchar(48) NULL DEFAULT NULL COMMENT '数据来源ID',
  `focus` varchar(1) NULL DEFAULT NULL COMMENT '重点关注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `target_id` varchar(24) NULL DEFAULT NULL COMMENT '目标',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '个案类型，字典定义',
  `target_code` varchar(48) NULL DEFAULT NULL COMMENT '目标编号',
  `target_exe_dept_ids` varchar(256) NULL DEFAULT NULL COMMENT '目标执行科室列表',
  `target_exe_max_day` int(11) NULL DEFAULT NULL COMMENT '目标执行最大天数',
  `target_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '目标执行状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者状态标记信息表';

-- ----------------------------
-- Table structure for crm_doctor_patient_track_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_patient_track_info`;
CREATE TABLE `crm_doctor_patient_track_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_patient_mark_id` varchar(24) NULL DEFAULT NULL COMMENT '医生患者状态标记ID',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者ID',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生ID',
  `content` text NULL COMMENT '记录内容',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者跟踪记录表';

-- ----------------------------
-- Table structure for crm_doctor_target_config_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_doctor_target_config_info`;
CREATE TABLE `crm_doctor_target_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `code` varchar(24) NOT NULL COMMENT '目标编号',
  `name` varchar(64) NOT NULL COMMENT '目标名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '阶段类型',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '目标备注',
  `dept_id` varchar(48) NULL DEFAULT NULL COMMENT '目标所属科室',
  `disease_id` varchar(48) NULL DEFAULT NULL COMMENT '目标所属兵种',
  `exe_dept_ids` varchar(256) NULL DEFAULT NULL COMMENT '规则_目标执行科室列表',
  `exe_max_day` int(11) NULL DEFAULT NULL COMMENT '规则_目标执行最大天数',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者跟踪记录表';

-- ----------------------------
-- Table structure for crm_patient_doctor_relation_change_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_patient_doctor_relation_change_info`;
CREATE TABLE `crm_patient_doctor_relation_change_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `relation_id` varchar(24) NOT NULL COMMENT '关系ID',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `change_type` varchar(24) NOT NULL COMMENT '变更业务分类',
  `old_doctor_id` varchar(24) NOT NULL COMMENT '原医生ID',
  `new_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '新医生ID',
  `old_phase_id` varchar(24) NULL DEFAULT NULL COMMENT '原所属阶段ID',
  `new_phase_id` varchar(24) NULL DEFAULT NULL COMMENT '新所属阶段ID',
  `old_phase_target_ids` varchar(256) NULL DEFAULT NULL COMMENT '原所属目标ID',
  `new_phase_target_ids` varchar(256) NULL DEFAULT NULL COMMENT '新所属目标ID',
  `change_way` varchar(24) NULL DEFAULT NULL COMMENT '变更方式',
  `change_user_id` varchar(48) NULL DEFAULT NULL COMMENT '变更人',
  `change_remark` varchar(256) NULL DEFAULT NULL COMMENT '变更备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `old_batch_no` int(11) NULL DEFAULT NULL COMMENT '原批次号',
  `new_batch_no` int(11) NULL DEFAULT NULL COMMENT '新批次号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者变更日志表';

-- ----------------------------
-- Table structure for crm_patient_doctor_relation_his_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_patient_doctor_relation_his_info`;
CREATE TABLE `crm_patient_doctor_relation_his_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `relation_id` varchar(24) NOT NULL COMMENT '关系ID',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `phase_id` varchar(24) NULL DEFAULT NULL COMMENT '所属阶段ID',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关系类型',
  `start_dt` datetime NOT NULL COMMENT '关系开始时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '关系截止时间',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `batch_no` int(11) NULL DEFAULT NULL COMMENT '批次编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者服务关系历史表';

-- ----------------------------
-- Table structure for crm_patient_doctor_relation_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_patient_doctor_relation_info`;
CREATE TABLE `crm_patient_doctor_relation_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `add_remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `add_way` varchar(24) NULL DEFAULT NULL COMMENT '新增方式',
  `add_user_id` varchar(48) NULL DEFAULT NULL COMMENT '新增人ID',
  `phase_id` varchar(24) NULL DEFAULT NULL COMMENT '所属阶段ID',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关系类型',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_obj_id` varchar(24) NULL DEFAULT NULL COMMENT '来源关联对象ID',
  `state` varchar(24) NOT NULL COMMENT '状态',
  `rows_state` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `batch_no` int(11) NULL DEFAULT NULL COMMENT '批次编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者服务关系表';

-- ----------------------------
-- Table structure for crm_patient_doctor_relation_target_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_patient_doctor_relation_target_info`;
CREATE TABLE `crm_patient_doctor_relation_target_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `relation_id` varchar(24) NOT NULL COMMENT '关系ID',
  `phase_id` varchar(24) NOT NULL COMMENT '阶段ID',
  `target_id` varchar(24) NOT NULL COMMENT '目标ID',
  `start_dt` datetime NOT NULL COMMENT '开始时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止时间',
  `result_state` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_dt` datetime NULL DEFAULT NULL COMMENT '执行结果时间',
  `rows_state` varchar(1) NOT NULL COMMENT '数据',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `batch_no` int(11) NULL DEFAULT NULL COMMENT '批次编号',
  `limit_dt` datetime NULL DEFAULT NULL COMMENT '截止时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者服务关系目标信息表';

-- ----------------------------
-- Table structure for crm_patient_service_record_info
-- ----------------------------
DROP TABLE IF EXISTS `crm_patient_service_record_info`;
CREATE TABLE `crm_patient_service_record_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `relation_id` varchar(24) NOT NULL COMMENT '服务关系ID',
  `disease_id` varchar(24) NOT NULL COMMENT '病种ID',
  `phase_id` varchar(24) NULL DEFAULT NULL COMMENT '阶段ID',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '记录业务分类',
  `content` text NOT NULL COMMENT '记录内容',
  `add_dt` datetime NOT NULL COMMENT '记录时间',
  `rows_state` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `batch_no` int(11) NULL DEFAULT NULL COMMENT '批次编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者服务记录表';

-- ----------------------------
-- Table structure for cust_customer_addr_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_addr_info`;
CREATE TABLE `cust_customer_addr_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `province` varchar(128) NULL DEFAULT NULL COMMENT '省',
  `city` varchar(128) NULL DEFAULT NULL COMMENT '市',
  `region` varchar(128) NULL DEFAULT NULL COMMENT '区',
  `street` varchar(256) NULL DEFAULT NULL COMMENT '街道',
  `addr` varchar(512) NULL DEFAULT NULL COMMENT '详细地址',
  `link_man_name` varchar(128) NULL DEFAULT NULL COMMENT '联系人名称',
  `link_man_tel` varchar(128) NULL DEFAULT NULL COMMENT '联系人电话',
  `link_man_mobile` varchar(128) NULL DEFAULT NULL COMMENT '联系人手机',
  `is_def` varchar(4) NOT NULL COMMENT '是否默认地址',
  `ll_type` varchar(24) NULL DEFAULT NULL COMMENT '经纬度类型',
  `longitude` decimal(24, 6) NULL DEFAULT NULL COMMENT '经度',
  `latitude` decimal(24, 6) NULL DEFAULT NULL COMMENT '纬度',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户地址信息表';

-- ----------------------------
-- Table structure for cust_customer_family_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_info`;
CREATE TABLE `cust_customer_family_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户家庭信息表';

-- ----------------------------
-- Table structure for cust_customer_family_member_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_member_info`;
CREATE TABLE `cust_customer_family_member_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `family_id` varchar(48) NULL DEFAULT NULL COMMENT '家庭ID',
  `member_relation` varchar(48) NULL DEFAULT NULL COMMENT '成员关系',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '姓名',
  `mobile` varchar(48) NULL DEFAULT NULL COMMENT '手机号',
  `card_type` varchar(24) NULL DEFAULT NULL COMMENT '证件类型',
  `card_no` varchar(48) NULL DEFAULT NULL COMMENT '证件号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '认证状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `gender` varchar(1) NULL DEFAULT NULL COMMENT '性别 F:女，M:男',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '就诊人Id(HIS)',
  `pat_his_no` varchar(48) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_no` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡',
  `pat_card_type_name` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `relation_name` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人',
  `patient_type` varchar(256) NULL DEFAULT NULL COMMENT '患者类型 0:成人 1:儿童 2:妇女 3:老人',
  `patient_type_name` varchar(256) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(256) NULL DEFAULT NULL COMMENT '电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡',
  `ext_fields` varchar(256) NULL DEFAULT NULL COMMENT '扩展字段保存的值json',
  `is_auth` varchar(1) NULL DEFAULT NULL COMMENT '是否授权 YN',
  `auth_date` datetime NULL DEFAULT NULL COMMENT '授权时间',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `source_one` varchar(24) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(24) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(24) NULL DEFAULT NULL COMMENT '三级来源',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '患者主id',
  `create_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院创建时间',
  `update_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院更新时间',
  `relation_flag` varchar(1) NULL DEFAULT NULL COMMENT '系统设置本人标记',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_ccfmi_userid_patientid`(`user_id`, `pat_his_no`) USING BTREE
) COMMENT = '客户家庭成员信息表';

-- ----------------------------
-- Table structure for cust_customer_family_member_info_20240327
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_member_info_20240327`;
CREATE TABLE `cust_customer_family_member_info_20240327`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `family_id` varchar(48) NULL DEFAULT NULL COMMENT '家庭ID',
  `member_relation` varchar(48) NULL DEFAULT NULL COMMENT '成员关系',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '姓名',
  `mobile` varchar(48) NULL DEFAULT NULL COMMENT '手机号',
  `card_type` varchar(24) NULL DEFAULT NULL COMMENT '证件类型',
  `card_no` varchar(48) NULL DEFAULT NULL COMMENT '证件号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '认证状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `gender` varchar(1) NULL DEFAULT NULL COMMENT '性别 F:女，M:男',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '就诊人Id(HIS)',
  `pat_his_no` varchar(48) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_no` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡',
  `pat_card_type_name` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `relation_name` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人',
  `patient_type` varchar(256) NULL DEFAULT NULL COMMENT '患者类型 0:成人 1:儿童 2:妇女 3:老人',
  `patient_type_name` varchar(256) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(256) NULL DEFAULT NULL COMMENT '电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡',
  `ext_fields` varchar(256) NULL DEFAULT NULL COMMENT '扩展字段保存的值json',
  `is_auth` varchar(1) NULL DEFAULT NULL COMMENT '是否授权 YN',
  `auth_date` datetime NULL DEFAULT NULL COMMENT '授权时间',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `source_one` varchar(24) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(24) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(24) NULL DEFAULT NULL COMMENT '三级来源',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '患者主id',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户家庭成员信息表';

-- ----------------------------
-- Table structure for cust_customer_family_member_info_20240627
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_member_info_20240627`;
CREATE TABLE `cust_customer_family_member_info_20240627`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `family_id` varchar(48) NULL DEFAULT NULL COMMENT '家庭ID',
  `member_relation` varchar(48) NULL DEFAULT NULL COMMENT '成员关系',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '姓名',
  `mobile` varchar(48) NULL DEFAULT NULL COMMENT '手机号',
  `card_type` varchar(24) NULL DEFAULT NULL COMMENT '证件类型',
  `card_no` varchar(48) NULL DEFAULT NULL COMMENT '证件号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '认证状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `gender` varchar(1) NULL DEFAULT NULL COMMENT '性别 F:女，M:男',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '就诊人Id(HIS)',
  `pat_his_no` varchar(48) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_no` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡',
  `pat_card_type_name` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `relation_name` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人',
  `patient_type` varchar(256) NULL DEFAULT NULL COMMENT '患者类型 0:成人 1:儿童 2:妇女 3:老人',
  `patient_type_name` varchar(256) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(256) NULL DEFAULT NULL COMMENT '电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡',
  `ext_fields` varchar(256) NULL DEFAULT NULL COMMENT '扩展字段保存的值json',
  `is_auth` varchar(1) NULL DEFAULT NULL COMMENT '是否授权 YN',
  `auth_date` datetime NULL DEFAULT NULL COMMENT '授权时间',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `source_one` varchar(24) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(24) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(24) NULL DEFAULT NULL COMMENT '三级来源',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '患者主id',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户家庭成员信息表';

-- ----------------------------
-- Table structure for cust_customer_family_member_info_20240809
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_member_info_20240809`;
CREATE TABLE `cust_customer_family_member_info_20240809`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `family_id` varchar(48) NULL DEFAULT NULL COMMENT '家庭ID',
  `member_relation` varchar(48) NULL DEFAULT NULL COMMENT '成员关系',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '姓名',
  `mobile` varchar(48) NULL DEFAULT NULL COMMENT '手机号',
  `card_type` varchar(24) NULL DEFAULT NULL COMMENT '证件类型',
  `card_no` varchar(48) NULL DEFAULT NULL COMMENT '证件号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '认证状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `gender` varchar(1) NULL DEFAULT NULL COMMENT '性别 F:女，M:男',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '就诊人Id(HIS)',
  `pat_his_no` varchar(48) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_no` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡',
  `pat_card_type_name` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `relation_name` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人',
  `patient_type` varchar(256) NULL DEFAULT NULL COMMENT '患者类型 0:成人 1:儿童 2:妇女 3:老人',
  `patient_type_name` varchar(256) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(256) NULL DEFAULT NULL COMMENT '电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡',
  `ext_fields` varchar(256) NULL DEFAULT NULL COMMENT '扩展字段保存的值json',
  `is_auth` varchar(1) NULL DEFAULT NULL COMMENT '是否授权 YN',
  `auth_date` datetime NULL DEFAULT NULL COMMENT '授权时间',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `source_one` varchar(24) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(24) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(24) NULL DEFAULT NULL COMMENT '三级来源',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '患者主id',
  `create_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院创建时间',
  `update_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院更新时间',
  `relation_flag` varchar(1) NULL DEFAULT NULL COMMENT '系统设置本人标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户家庭成员信息表';

-- ----------------------------
-- Table structure for cust_customer_family_member_info_202407251
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_family_member_info_202407251`;
CREATE TABLE `cust_customer_family_member_info_202407251`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `family_id` varchar(48) NULL DEFAULT NULL COMMENT '家庭ID',
  `member_relation` varchar(48) NULL DEFAULT NULL COMMENT '成员关系',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '姓名',
  `mobile` varchar(48) NULL DEFAULT NULL COMMENT '手机号',
  `card_type` varchar(24) NULL DEFAULT NULL COMMENT '证件类型',
  `card_no` varchar(48) NULL DEFAULT NULL COMMENT '证件号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '认证状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `gender` varchar(1) NULL DEFAULT NULL COMMENT '性别 F:女，M:男',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '就诊人Id(HIS)',
  `pat_his_no` varchar(48) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_no` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型 21:院内就诊卡 22:市民卡 23:医保卡',
  `pat_card_type_name` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `relation_name` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系 1:本人 2:配偶 3:父母 4:子女 5:他人',
  `patient_type` varchar(256) NULL DEFAULT NULL COMMENT '患者类型 0:成人 1:儿童 2:妇女 3:老人',
  `patient_type_name` varchar(256) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(256) NULL DEFAULT NULL COMMENT '电子健康卡标识 0:无需绑定 1:需要升级 2:已有健康卡',
  `ext_fields` varchar(256) NULL DEFAULT NULL COMMENT '扩展字段保存的值json',
  `is_auth` varchar(1) NULL DEFAULT NULL COMMENT '是否授权 YN',
  `auth_date` datetime NULL DEFAULT NULL COMMENT '授权时间',
  `companyNo` varchar(256) NULL DEFAULT NULL COMMENT '公司号',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `source_one` varchar(24) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(24) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(24) NULL DEFAULT NULL COMMENT '三级来源',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '患者主id',
  `create_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院创建时间',
  `upate_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院更新时间',
  `relation_flag` varchar(24) NULL DEFAULT NULL COMMENT '系统设置本人标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户家庭成员信息表';

-- ----------------------------
-- Table structure for cust_customer_log_login
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_log_login`;
CREATE TABLE `cust_customer_log_login`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `user_id` varchar(48) NOT NULL COMMENT '用户ID',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户登录日志表';

-- ----------------------------
-- Table structure for cust_customer_log_third
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_log_third`;
CREATE TABLE `cust_customer_log_third`  (
  `id` varchar(64) NOT NULL COMMENT 'ID',
  `op_type` varchar(24) NOT NULL COMMENT '操作类型',
  `op_id` varchar(64) NOT NULL COMMENT '操作类型',
  `op_before` text NOT NULL COMMENT '操作前',
  `op_after` text NOT NULL COMMENT '操作后',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '三方用户变更表';

-- ----------------------------
-- Table structure for cust_customer_third_user_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_third_user_info`;
CREATE TABLE `cust_customer_third_user_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `params_id` varchar(48) NOT NULL COMMENT '第三方参数配置ID',
  `open_id` varchar(128) NOT NULL COMMENT '第三方ID',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT '第三方统一标识',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `third_user_status` varchar(48) NULL DEFAULT NULL COMMENT '三方用户状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户三方用户信息表';

-- ----------------------------
-- Table structure for cust_customer_third_user_info_20240627
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_third_user_info_20240627`;
CREATE TABLE `cust_customer_third_user_info_20240627`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `params_id` varchar(48) NOT NULL COMMENT '第三方参数配置ID',
  `open_id` varchar(128) NOT NULL COMMENT '第三方ID',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT '第三方统一标识',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `third_user_status` varchar(48) NULL DEFAULT NULL COMMENT '三方用户状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户三方用户信息表';

-- ----------------------------
-- Table structure for cust_customer_third_user_info_20240809
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_third_user_info_20240809`;
CREATE TABLE `cust_customer_third_user_info_20240809`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `params_id` varchar(48) NOT NULL COMMENT '第三方参数配置ID',
  `open_id` varchar(128) NOT NULL COMMENT '第三方ID',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT '第三方统一标识',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `third_user_status` varchar(48) NULL DEFAULT NULL COMMENT '三方用户状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户三方用户信息表';

-- ----------------------------
-- Table structure for cust_customer_third_user_info_202407251
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_third_user_info_202407251`;
CREATE TABLE `cust_customer_third_user_info_202407251`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `params_id` varchar(48) NOT NULL COMMENT '第三方参数配置ID',
  `open_id` varchar(128) NOT NULL COMMENT '第三方ID',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT '第三方统一标识',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `third_user_status` varchar(48) NULL DEFAULT NULL COMMENT '三方用户状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户三方用户信息表';

-- ----------------------------
-- Table structure for cust_customer_user_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_user_info`;
CREATE TABLE `cust_customer_user_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `share_code` varchar(128) NULL DEFAULT NULL COMMENT '分享码',
  `status` varchar(10) NOT NULL COMMENT '状态',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `customer_extend` text NULL COMMENT '客户扩展信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户用户信息表';

-- ----------------------------
-- Table structure for cust_customer_user_info_20240627
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_user_info_20240627`;
CREATE TABLE `cust_customer_user_info_20240627`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `share_code` varchar(128) NULL DEFAULT NULL COMMENT '分享码',
  `status` varchar(10) NOT NULL COMMENT '状态',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `customer_extend` text NULL COMMENT '客户扩展信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户用户信息表';

-- ----------------------------
-- Table structure for cust_customer_user_info_20240809
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_user_info_20240809`;
CREATE TABLE `cust_customer_user_info_20240809`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `share_code` varchar(128) NULL DEFAULT NULL COMMENT '分享码',
  `status` varchar(10) NOT NULL COMMENT '状态',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `customer_extend` text NULL COMMENT '客户扩展信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户用户信息表';

-- ----------------------------
-- Table structure for cust_customer_user_info_202407251
-- ----------------------------
DROP TABLE IF EXISTS `cust_customer_user_info_202407251`;
CREATE TABLE `cust_customer_user_info_202407251`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `share_code` varchar(128) NULL DEFAULT NULL COMMENT '分享码',
  `status` varchar(10) NOT NULL COMMENT '状态',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `customer_extend` text NULL COMMENT '客户扩展信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '客户用户信息表';

-- ----------------------------
-- Table structure for cust_his_customer_user_info
-- ----------------------------
DROP TABLE IF EXISTS `cust_his_customer_user_info`;
CREATE TABLE `cust_his_customer_user_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `his_patient_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `in_patient_no` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `name` varchar(48) NULL DEFAULT NULL COMMENT '患者姓名',
  `paper_no` varchar(24) NULL DEFAULT NULL COMMENT '身份证号',
  `sex` varchar(12) NULL DEFAULT NULL COMMENT '性别 男 女',
  `birthday` varchar(48) NULL DEFAULT NULL COMMENT '生日',
  `native_place` varchar(48) NULL DEFAULT NULL COMMENT '籍贯',
  `link_phone` varchar(24) NULL DEFAULT NULL COMMENT '紧急联系人电话',
  `link_name` varchar(48) NULL DEFAULT NULL COMMENT '紧急联系人',
  `link_relation_name` varchar(24) NULL DEFAULT NULL COMMENT '紧急联系人与患者关系',
  `is_default` text NULL COMMENT '默认患者 0-否  1-是（废弃）',
  `async_flag` varchar(1) NULL DEFAULT NULL COMMENT '同步标记',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `open_id` varchar(48) NULL DEFAULT NULL COMMENT '微信openid',
  `unionid` varchar(48) NULL DEFAULT NULL COMMENT '微信unionid',
  `create_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院数据创建时间',
  `update_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院数据更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院客户用户信息表';

-- ----------------------------
-- Table structure for cust_his_customer_user_info_copy1
-- ----------------------------
DROP TABLE IF EXISTS `cust_his_customer_user_info_copy1`;
CREATE TABLE `cust_his_customer_user_info_copy1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `his_patient_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `in_patient_no` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `name` varchar(48) NULL DEFAULT NULL COMMENT '患者姓名',
  `paper_no` varchar(24) NULL DEFAULT NULL COMMENT '身份证号',
  `sex` varchar(12) NULL DEFAULT NULL COMMENT '性别 男 女',
  `birthday` varchar(48) NULL DEFAULT NULL COMMENT '生日',
  `native_place` varchar(48) NULL DEFAULT NULL COMMENT '籍贯',
  `link_phone` varchar(24) NULL DEFAULT NULL COMMENT '紧急联系人电话',
  `link_name` varchar(48) NULL DEFAULT NULL COMMENT '紧急联系人',
  `link_relation_name` varchar(24) NULL DEFAULT NULL COMMENT '紧急联系人与患者关系',
  `is_default` text NULL COMMENT '默认患者 0-否  1-是（废弃）',
  `async_flag` varchar(1) NULL DEFAULT NULL COMMENT '同步标记',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `open_id` varchar(48) NULL DEFAULT NULL COMMENT '微信openid',
  `unionid` varchar(48) NULL DEFAULT NULL COMMENT '微信unionid',
  `create_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院数据创建时间',
  `update_time` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院数据更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院客户用户信息表';

-- ----------------------------
-- Table structure for dept_relation
-- ----------------------------
DROP TABLE IF EXISTS `dept_relation`;
CREATE TABLE `dept_relation`  (
  `group_id` varchar(255) NULL DEFAULT NULL,
  `group_name` varchar(255) NULL DEFAULT NULL,
  `p_dept_id` varchar(255) NULL DEFAULT NULL,
  `p_web_dept_id` varchar(255) NULL DEFAULT NULL,
  `p_dept_name` varchar(255) NULL DEFAULT NULL,
  `dept_id` varchar(255) NULL DEFAULT NULL,
  `dept_name` varchar(255) NULL DEFAULT NULL,
  `dept_type` varchar(255) NULL DEFAULT NULL,
  `dept_type_name` varchar(255) NULL DEFAULT NULL,
  `dept_status` varchar(255) NULL DEFAULT NULL
);

-- ----------------------------
-- Table structure for exam_name_temp
-- ----------------------------
DROP TABLE IF EXISTS `exam_name_temp`;
CREATE TABLE `exam_name_temp`  (
  `name` varchar(255) NULL DEFAULT NULL
);

-- ----------------------------
-- Table structure for examine_test
-- ----------------------------
DROP TABLE IF EXISTS `examine_test`;
CREATE TABLE `examine_test`  (
  `examine_type_name_raw` varchar(255) NULL DEFAULT NULL,
  `report_name_raw` varchar(1024) NULL DEFAULT NULL,
  `report_name_standard` varchar(255) NULL DEFAULT NULL
);

-- ----------------------------
-- Table structure for h_article_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_article_category_info`;
CREATE TABLE `h_article_category_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `pid` varchar(48) NOT NULL COMMENT '父ID',
  `name` varchar(256) NOT NULL COMMENT '名称',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NULL DEFAULT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '文章分类信息表';

-- ----------------------------
-- Table structure for h_article_info
-- ----------------------------
DROP TABLE IF EXISTS `h_article_info`;
CREATE TABLE `h_article_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `title` varchar(256) NOT NULL COMMENT '标题',
  `messasge_conent` varchar(256) NULL DEFAULT NULL COMMENT '推送内容',
  `summary` varchar(256) NULL DEFAULT NULL COMMENT '概要',
  `thumbnail` varchar(128) NULL DEFAULT NULL COMMENT '缩略图',
  `article_category_ids` varchar(256) NULL DEFAULT NULL COMMENT '文章分类(多)',
  `dept_ids` varchar(256) NULL DEFAULT NULL COMMENT '所属科室(多)',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID(多)',
  `article_biz_type` varchar(48) NULL DEFAULT NULL COMMENT '文章业务分类',
  `author` varchar(128) NULL DEFAULT NULL COMMENT '作者',
  `source` varchar(64) NULL DEFAULT NULL COMMENT '来源',
  `label_ids` varchar(256) NULL DEFAULT NULL COMMENT '标签(多)',
  `content` text NULL COMMENT '内容',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) NOT NULL COMMENT '状态',
  `comment_status` varchar(1) NULL DEFAULT NULL COMMENT '评论状态',
  `draft_status` varchar(1) NULL DEFAULT NULL COMMENT '草稿箱状态',
  `rel_id_type` varchar(48) NULL DEFAULT NULL COMMENT '关联业务ID分类',
  `rel_id` varchar(48) NULL DEFAULT NULL COMMENT '关联业务ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '文章信息表';

-- ----------------------------
-- Table structure for h_disease_evaluation_info
-- ----------------------------
DROP TABLE IF EXISTS `h_disease_evaluation_info`;
CREATE TABLE `h_disease_evaluation_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `cust_user_id` varchar(24) NOT NULL COMMENT '客户用户ID',
  `patient_id` varchar(24) NULL DEFAULT NULL COMMENT '患者ID',
  `evaluation_id` varchar(24) NULL DEFAULT NULL COMMENT '评估Id',
  `evaluation_name` varchar(256) NULL DEFAULT NULL COMMENT '评估名称',
  `result_value` varchar(1) NULL DEFAULT NULL COMMENT '评估结果',
  `evaluation_time` varchar(1) NULL DEFAULT NULL COMMENT '评估时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者疾病评估表';

-- ----------------------------
-- Table structure for h_doctor_follow_up_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_follow_up_info`;
CREATE TABLE `h_doctor_follow_up_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '随访类型',
  `patient_id` varchar(128) NULL DEFAULT NULL COMMENT '患者编号',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `disease_id` varchar(256) NULL DEFAULT NULL COMMENT '相关疾病ID',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '随访医生ID',
  `content` text NULL COMMENT '随访内容',
  `follow_time` datetime NULL DEFAULT NULL COMMENT '设定随访时间',
  `real_time` datetime NULL DEFAULT NULL COMMENT '实际随访时间',
  `status` varchar(12) NOT NULL COMMENT '随访状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` text NULL COMMENT '随访记录',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作类型',
  `inpatient_id` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `consultation_id` varchar(48) NULL DEFAULT NULL COMMENT '会诊id',
  `source_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '来源科室',
  `source_date` datetime NULL DEFAULT NULL COMMENT '来源时间',
  `crm_relation_id` varchar(24) NULL DEFAULT NULL COMMENT '关联个案id',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生随访信息表';

-- ----------------------------
-- Table structure for h_doctor_push_serve_log_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_push_serve_log_info`;
CREATE TABLE `h_doctor_push_serve_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '部门ID',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生ID',
  `push_task_id` varchar(24) NULL DEFAULT NULL COMMENT '推送任务id',
  `patient_id` varchar(24) NULL DEFAULT NULL COMMENT '患者id',
  `push_serve_id` varchar(24) NULL DEFAULT NULL COMMENT '推送服务id',
  `patient_push_serve_id` varchar(24) NULL DEFAULT NULL COMMENT '患者推送服务id',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '推送类型[PushWayEnum]',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '推送状态[YN]',
  `creator` varchar(24) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(24) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生推送患者服务日志表';

-- ----------------------------
-- Table structure for h_doctor_relation_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_relation_info`;
CREATE TABLE `h_doctor_relation_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `type` varchar(12) NULL DEFAULT NULL COMMENT '关联类型',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生编号',
  `relation_id` varchar(24) NULL DEFAULT NULL COMMENT '关联id',
  `remark` varchar(12) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(12) NOT NULL COMMENT '关联状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生(运营助理)关系表';

-- ----------------------------
-- Table structure for h_doctor_remind_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_remind_info`;
CREATE TABLE `h_doctor_remind_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '提醒标题',
  `content` text NULL COMMENT '提醒内容配置',
  `push_channel` varchar(24) NULL DEFAULT NULL COMMENT '推送渠道',
  `push_temp_id` varchar(48) NULL DEFAULT NULL COMMENT '推送模板ID',
  `push_status` varchar(24) NOT NULL COMMENT '推送状态',
  `push_date` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '紧急等级',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `wxwork_status` varchar(24) NULL DEFAULT NULL COMMENT '企业微信状态',
  `sms_status` varchar(24) NULL DEFAULT NULL COMMENT '短信状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'N医生提醒信息表';

-- ----------------------------
-- Table structure for h_doctor_schedule_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_schedule_info`;
CREATE TABLE `h_doctor_schedule_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '日程标题',
  `content` text NULL COMMENT '日程内容',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '日程状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '紧急等级',
  `date` datetime NULL DEFAULT NULL COMMENT '日程时间',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联一级对象分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级对象ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联二级对象分类',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级对象ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'N医生日程信息表';

-- ----------------------------
-- Table structure for h_doctor_task_exe_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_task_exe_info`;
CREATE TABLE `h_doctor_task_exe_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_task_id` varchar(24) NOT NULL COMMENT '医生任务ID',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '执行状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '执行备注',
  `action_config` varchar(512) NULL DEFAULT NULL COMMENT '执行动作参数',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime(3) NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime(3) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'N医生任务信息执行记录表';

-- ----------------------------
-- Table structure for h_doctor_task_info
-- ----------------------------
DROP TABLE IF EXISTS `h_doctor_task_info`;
CREATE TABLE `h_doctor_task_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `task_id` varchar(24) NOT NULL COMMENT '任务ID',
  `task_name` varchar(128) NOT NULL COMMENT '任务名称',
  `task_type` varchar(64) NULL DEFAULT NULL COMMENT '任务类型',
  `doctor_ids` varchar(256) NULL DEFAULT NULL COMMENT '执行人列表',
  `yes_doctor_ids` varchar(256) NULL DEFAULT NULL COMMENT '已执行人列表',
  `not_doctor_ids` varchar(256) NULL DEFAULT NULL COMMENT '未执行人列表',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_one_id` varchar(24) NULL DEFAULT NULL COMMENT '关联一级业务ID(流程任务ID)',
  `rel_two_id` varchar(24) NULL DEFAULT NULL COMMENT '关联二级业务ID(流程任务节点ID)',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime(3) NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime(3) NOT NULL COMMENT '更新时间',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者编号',
  `patient_name` varchar(64) NULL DEFAULT NULL COMMENT '患者姓名',
  `patient_sex` varchar(24) NULL DEFAULT NULL COMMENT '患者性别',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '任务紧急等级',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'N医生任务信息表';

-- ----------------------------
-- Table structure for h_drug_notity_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_drug_notity_config_info`;
CREATE TABLE `h_drug_notity_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `medicant_id` varchar(64) NOT NULL COMMENT '标准药品ID',
  `medicant_code` varchar(128) NOT NULL COMMENT '标准药品编号(准字)',
  `snapshot_id` varchar(24) NULL DEFAULT NULL COMMENT '快照ID',
  `project_code` varchar(48) NOT NULL COMMENT '项目编号',
  `status` varchar(24) NOT NULL COMMENT '提醒状态',
  `effective_time` varchar(64) NULL DEFAULT NULL COMMENT '提醒生效时间',
  `op_user` varchar(48) NOT NULL COMMENT '操作人',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `op_remark` varchar(512) NULL DEFAULT NULL COMMENT '操作备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '药品提醒配置信息表';

-- ----------------------------
-- Table structure for h_drug_notity_config_log_info
-- ----------------------------
DROP TABLE IF EXISTS `h_drug_notity_config_log_info`;
CREATE TABLE `h_drug_notity_config_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `config_id` varchar(24) NOT NULL COMMENT '配置id',
  `medicant_id` varchar(64) NOT NULL COMMENT '标准药品ID',
  `medicant_code` varchar(128) NOT NULL COMMENT '标准药品编号(准字)',
  `project_code` varchar(64) NOT NULL COMMENT '项目编号',
  `op_act_type` varchar(1) NULL DEFAULT NULL COMMENT '操作动作分类',
  `op_remark` varchar(512) NULL DEFAULT NULL COMMENT '操作内容备注',
  `op_status` varchar(24) NULL DEFAULT NULL COMMENT '操作内容提醒状态',
  `op_effective_time` varchar(64) NULL DEFAULT NULL COMMENT '操作内容提醒生效时间',
  `op_user` varchar(48) NOT NULL COMMENT '操作人',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '药品提醒配置日志信息表';

-- ----------------------------
-- Table structure for h_drug_notity_config_snapshot_info
-- ----------------------------
DROP TABLE IF EXISTS `h_drug_notity_config_snapshot_info`;
CREATE TABLE `h_drug_notity_config_snapshot_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `config_id` varchar(24) NOT NULL COMMENT '配置ID',
  `medicant_id` varchar(64) NOT NULL COMMENT '标准药品ID',
  `medicant_code` varchar(128) NOT NULL COMMENT '标准药品编号(准字)',
  `project_code` varchar(48) NOT NULL COMMENT '项目编号',
  `status` varchar(24) NOT NULL COMMENT '提醒状态',
  `effective_time` varchar(64) NULL DEFAULT NULL COMMENT '提醒生效时间',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作人',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `op_remark` varchar(512) NULL DEFAULT NULL COMMENT '操作备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '药品提醒配置快照信息表';

-- ----------------------------
-- Table structure for h_entity_disease_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_entity_disease_config_info`;
CREATE TABLE `h_entity_disease_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `entity_type` varchar(24) NOT NULL COMMENT '实体分类',
  `disease_id` varchar(48) NOT NULL COMMENT '病种ID',
  `entity_id` varchar(48) NULL DEFAULT NULL COMMENT '实体ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '实体病种关系配置表';

-- ----------------------------
-- Table structure for h_food_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_food_category_info`;
CREATE TABLE `h_food_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(24) NOT NULL COMMENT '名称',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '饮食分类信息';

-- ----------------------------
-- Table structure for h_food_info
-- ----------------------------
DROP TABLE IF EXISTS `h_food_info`;
CREATE TABLE `h_food_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `category_id` varchar(24) NULL DEFAULT NULL COMMENT '分类ID',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '菜单分类',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `thumbnail` varchar(256) NULL DEFAULT NULL COMMENT '缩略图',
  `weight` int(11) NULL DEFAULT NULL COMMENT '重量(克)',
  `calorie` int(11) NULL DEFAULT NULL COMMENT '消耗卡路里',
  `unit` varchar(48) NULL DEFAULT NULL COMMENT '消耗单位',
  `video_path` varchar(256) NULL DEFAULT NULL COMMENT '视频路径',
  `nutrition_ratio` varchar(1024) NULL DEFAULT NULL COMMENT '营养功能配比',
  `component_ratio` varchar(1024) NULL DEFAULT NULL COMMENT '成分配比',
  `cooking_method` text NULL COMMENT '料理方法',
  `taboo` varchar(1024) NULL DEFAULT NULL COMMENT '禁忌条件',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '饮食配置信息';

-- ----------------------------
-- Table structure for h_healthy_event
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_event`;
CREATE TABLE `h_healthy_event`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `grade` varchar(48) NULL DEFAULT NULL COMMENT '等级',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '疾病ID',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '事件信息表';

-- ----------------------------
-- Table structure for h_healthy_label_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_label_category_info`;
CREATE TABLE `h_healthy_label_category_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '上级分类ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标签分类信息表';

-- ----------------------------
-- Table structure for h_healthy_label_info
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_label_info`;
CREATE TABLE `h_healthy_label_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '所属标签分类',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标签信息表';

-- ----------------------------
-- Table structure for h_healthy_label_rel_info
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_label_rel_info`;
CREATE TABLE `h_healthy_label_rel_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `label_id` varchar(48) NOT NULL COMMENT '标签编号',
  `rel_obj_type` varchar(48) NOT NULL COMMENT '关联对象分类',
  `rel_obj_id` varchar(48) NOT NULL COMMENT '关联对象Id',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标签服务关系表';

-- ----------------------------
-- Table structure for h_healthy_service_info
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_service_info`;
CREATE TABLE `h_healthy_service_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `service_target_id` varchar(48) NULL DEFAULT NULL COMMENT '目标ID',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `send_condition` varchar(1024) NULL DEFAULT NULL COMMENT '服务发送条件',
  `send_strategy` varchar(1024) NULL DEFAULT NULL COMMENT '服务发送策略',
  `content_type` varchar(24) NULL DEFAULT NULL COMMENT '服务内容类型',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '关联服务内容',
  `content_suggest` varchar(512) NULL DEFAULT NULL COMMENT '服务内容意见',
  `remind_template` varchar(512) NULL DEFAULT NULL COMMENT '提醒内容模板',
  `is_need_remind` varchar(1) NULL DEFAULT NULL COMMENT '是否必须提醒',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '服务信息表';

-- ----------------------------
-- Table structure for h_healthy_service_target_info
-- ----------------------------
DROP TABLE IF EXISTS `h_healthy_service_target_info`;
CREATE TABLE `h_healthy_service_target_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `target_config` varchar(1024) NULL DEFAULT NULL COMMENT '目标配置',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '服务目标信息表';

-- ----------------------------
-- Table structure for h_patient_label_history_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_history_info`;
CREATE TABLE `h_patient_label_history_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期',
  `op_type` varchar(4) NOT NULL COMMENT '操作动作分类',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  `main_patient_id` varchar(24) NULL DEFAULT NULL COMMENT '主患者ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_patient_id`(`patient_id`) USING BTREE,
  INDEX `index_label_id`(`label_id`) USING BTREE,
  INDEX `index_op_type`(`op_type`) USING BTREE
) COMMENT = '患者标签历史信息表';

-- ----------------------------
-- Table structure for h_patient_label_history_info_20240319_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_history_info_20240319_1`;
CREATE TABLE `h_patient_label_history_info_20240319_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期',
  `op_type` varchar(4) NOT NULL COMMENT '操作动作分类',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者标签历史信息表';

-- ----------------------------
-- Table structure for h_patient_label_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_info`;
CREATE TABLE `h_patient_label_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期具体日期',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  `main_patient_id` varchar(24) NULL DEFAULT NULL COMMENT '主患者ID',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE,
  INDEX `idx_patient_label_patient_id`(`patient_id`) USING BTREE,
  INDEX `idx_patient_label_label_id`(`label_id`) USING BTREE
) COMMENT = '患者标签信息表';

-- ----------------------------
-- Table structure for h_patient_label_info_20230319_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_info_20230319_1`;
CREATE TABLE `h_patient_label_info_20230319_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期具体日期',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE,
  INDEX `idx_patient_label_patient_id`(`patient_id`) USING BTREE,
  INDEX `idx_patient_label_label_id`(`label_id`) USING BTREE
) COMMENT = '患者标签信息表';

-- ----------------------------
-- Table structure for h_patient_label_info_20240828_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_info_20240828_1`;
CREATE TABLE `h_patient_label_info_20240828_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期具体日期',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE,
  INDEX `idx_patient_label_patient_id`(`patient_id`) USING BTREE,
  INDEX `idx_patient_label_label_id`(`label_id`) USING BTREE
) COMMENT = '患者标签信息表';

-- ----------------------------
-- Table structure for h_patient_label_info_mid
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_label_info_mid`;
CREATE TABLE `h_patient_label_info_mid`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者编号',
  `label_id` varchar(48) NULL DEFAULT NULL COMMENT '标签ID',
  `is_validity` varchar(1) NULL DEFAULT NULL COMMENT '是否有效期',
  `validity_num` int(11) NULL DEFAULT NULL COMMENT '有效期天数',
  `validity_value` varchar(48) NULL DEFAULT NULL COMMENT '有效期具体日期',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  `source_rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联twoID',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段4',
  `main_patient_id` varchar(24) NULL DEFAULT NULL COMMENT '主患者ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者标签信息表_mid';

-- ----------------------------
-- Table structure for h_patient_push_serve_config_snapshot_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_config_snapshot_info`;
CREATE TABLE `h_patient_push_serve_config_snapshot_info`  (
  `id` varchar(64) NOT NULL COMMENT '推送服务快照KEY',
  `push_serve_id` varchar(24) NOT NULL COMMENT '推送服务ID',
  `push_serve_config` text NULL COMMENT '推送服务配置快照',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者推送服务配置快照表';

-- ----------------------------
-- Table structure for h_patient_push_serve_date_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_date_info`;
CREATE TABLE `h_patient_push_serve_date_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `patient_push_serve_id` varchar(48) NOT NULL COMMENT '患者推送服务id',
  `send_date` datetime NOT NULL COMMENT '发送时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_hppsdi_patient_push_serve_id`(`patient_push_serve_id`) USING BTREE,
  INDEX `idx_hppsdi_patient_id`(`patient_id`) USING BTREE
) COMMENT = '患者推送服务执行时间表';

-- ----------------------------
-- Table structure for h_patient_push_serve_date_info_20240325_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_date_info_20240325_1`;
CREATE TABLE `h_patient_push_serve_date_info_20240325_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `patient_push_serve_id` varchar(48) NOT NULL COMMENT '患者推送服务id',
  `send_date` datetime NOT NULL COMMENT '发送时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者推送服务执行时间表';

-- ----------------------------
-- Table structure for h_patient_push_serve_history_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_history_info`;
CREATE TABLE `h_patient_push_serve_history_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_push_serve_id` varchar(24) NOT NULL COMMENT '患者推送服务ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `snapshot_id` varchar(64) NOT NULL COMMENT '推送服务快照ID',
  `push_serve_id` varchar(24) NOT NULL COMMENT '推送服务ID',
  `push_serve_name` varchar(128) NOT NULL COMMENT '推送服务名称',
  `push_serve_title` varchar(256) NULL DEFAULT NULL COMMENT '推送服务内部名称',
  `benchmark_date_value` varchar(24) NULL DEFAULT NULL COMMENT '基准发送时间内容',
  `send_date_list` varchar(1024) NULL DEFAULT NULL COMMENT '发送时间列表',
  `send_date_list_yes` varchar(1024) NULL DEFAULT NULL COMMENT '已发送时间列表',
  `send_date_list_no` varchar(1024) NULL DEFAULT NULL COMMENT '未发送时间列表',
  `send_status` varchar(24) NOT NULL COMMENT '发送状态',
  `op_type` varchar(4) NOT NULL COMMENT '操作动作分类',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `push_content_type` varchar(24) NULL DEFAULT NULL COMMENT '推送服务内容分类',
  `push_content_id` varchar(48) NULL DEFAULT NULL COMMENT '推送服务内容ID',
  `create_date` datetime NULL DEFAULT NULL,
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  `rel_type` varchar(12) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级业务ID',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级业务ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_hppshi_patient_push_serve_id`(`patient_push_serve_id`) USING BTREE,
  INDEX `idx_hppshi_push_serve_id`(`push_serve_id`) USING BTREE,
  INDEX `idx_hppshi_patient_id`(`patient_id`) USING BTREE
) COMMENT = '患者推送服务历史信息表';

-- ----------------------------
-- Table structure for h_patient_push_serve_history_info_20240325_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_history_info_20240325_1`;
CREATE TABLE `h_patient_push_serve_history_info_20240325_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_push_serve_id` varchar(24) NOT NULL COMMENT '患者推送服务ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `snapshot_id` varchar(64) NOT NULL COMMENT '推送服务快照ID',
  `push_serve_id` varchar(24) NOT NULL COMMENT '推送服务ID',
  `push_serve_name` varchar(128) NOT NULL COMMENT '推送服务名称',
  `push_serve_title` varchar(256) NULL DEFAULT NULL COMMENT '推送服务内部名称',
  `benchmark_date_value` varchar(24) NULL DEFAULT NULL COMMENT '基准发送时间内容',
  `send_date_list` varchar(1024) NULL DEFAULT NULL COMMENT '发送时间列表',
  `send_date_list_yes` varchar(1024) NULL DEFAULT NULL COMMENT '已发送时间列表',
  `send_date_list_no` varchar(1024) NULL DEFAULT NULL COMMENT '未发送时间列表',
  `send_status` varchar(24) NOT NULL COMMENT '发送状态',
  `op_type` varchar(4) NOT NULL COMMENT '操作动作分类',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `push_content_type` varchar(24) NULL DEFAULT NULL COMMENT '推送服务内容分类',
  `push_content_id` varchar(48) NULL DEFAULT NULL COMMENT '推送服务内容ID',
  `create_date` datetime NULL DEFAULT NULL,
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者推送服务历史信息表';

-- ----------------------------
-- Table structure for h_patient_push_serve_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_info`;
CREATE TABLE `h_patient_push_serve_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `snapshot_id` varchar(64) NOT NULL COMMENT '推送服务快照ID',
  `push_serve_id` varchar(24) NOT NULL COMMENT '推送服务ID',
  `push_serve_name` varchar(128) NOT NULL COMMENT '推送服务名称',
  `push_serve_title` varchar(256) NULL DEFAULT NULL COMMENT '推送服务内部名称',
  `benchmark_date_value` varchar(24) NULL DEFAULT NULL COMMENT '基准发送时间内容',
  `send_date_list` varchar(1024) NULL DEFAULT NULL COMMENT '发送时间列表',
  `send_date_list_yes` varchar(1024) NULL DEFAULT NULL COMMENT '已发送时间列表',
  `send_date_list_no` varchar(1024) NULL DEFAULT NULL COMMENT '未发送时间列表',
  `send_status` varchar(24) NOT NULL COMMENT '发送状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime(3) NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime(3) NOT NULL COMMENT '更新时间',
  `push_content_type` varchar(24) NULL DEFAULT NULL COMMENT '推送服务内容分类',
  `push_content_id` varchar(48) NULL DEFAULT NULL COMMENT '推送服务内容ID',
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  `rel_type` varchar(12) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级业务ID',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级业务ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者推送服务信息表';

-- ----------------------------
-- Table structure for h_patient_push_serve_info_20240325_1
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_push_serve_info_20240325_1`;
CREATE TABLE `h_patient_push_serve_info_20240325_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `snapshot_id` varchar(64) NOT NULL COMMENT '推送服务快照ID',
  `push_serve_id` varchar(24) NOT NULL COMMENT '推送服务ID',
  `push_serve_name` varchar(128) NOT NULL COMMENT '推送服务名称',
  `push_serve_title` varchar(256) NULL DEFAULT NULL COMMENT '推送服务内部名称',
  `benchmark_date_value` varchar(24) NULL DEFAULT NULL COMMENT '基准发送时间内容',
  `send_date_list` varchar(1024) NULL DEFAULT NULL COMMENT '发送时间列表',
  `send_date_list_yes` varchar(1024) NULL DEFAULT NULL COMMENT '已发送时间列表',
  `send_date_list_no` varchar(1024) NULL DEFAULT NULL COMMENT '未发送时间列表',
  `send_status` varchar(24) NOT NULL COMMENT '发送状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime(3) NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime(3) NOT NULL COMMENT '更新时间',
  `push_content_type` varchar(24) NULL DEFAULT NULL COMMENT '推送服务内容分类',
  `push_content_id` varchar(48) NULL DEFAULT NULL COMMENT '推送服务内容ID',
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者推送服务信息表';

-- ----------------------------
-- Table structure for h_patient_remind_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_remind_info`;
CREATE TABLE `h_patient_remind_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '提醒标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '提醒内容配置',
  `push_channel` varchar(24) NULL DEFAULT NULL COMMENT '推送渠道',
  `push_temp_id` varchar(48) NULL DEFAULT NULL COMMENT '推送模板ID',
  `push_status` varchar(24) NOT NULL COMMENT '推送状态',
  `push_date` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `push_account` varchar(48) NULL DEFAULT NULL COMMENT '推送目标数据[openid、phone等]',
  `error_code` varchar(48) NULL DEFAULT NULL COMMENT '第三方错误码',
  `error_msg` varchar(128) NULL DEFAULT NULL COMMENT '第三方错误信息',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `biz_id`(`biz_id`) USING BTREE
) COMMENT = '患者提醒信息表';

-- ----------------------------
-- Table structure for h_patient_remind_info_20240327
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_remind_info_20240327`;
CREATE TABLE `h_patient_remind_info_20240327`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '提醒标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '提醒内容配置',
  `push_channel` varchar(24) NULL DEFAULT NULL COMMENT '推送渠道',
  `push_temp_id` varchar(48) NULL DEFAULT NULL COMMENT '推送模板ID',
  `push_status` varchar(24) NOT NULL COMMENT '推送状态',
  `push_date` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `push_account` varchar(48) NULL DEFAULT NULL COMMENT '推送目标数据[openid、phone等]',
  `error_code` varchar(48) NULL DEFAULT NULL COMMENT '第三方错误码',
  `error_msg` varchar(128) NULL DEFAULT NULL COMMENT '第三方错误信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者提醒信息表';

-- ----------------------------
-- Table structure for h_patient_remind_info_20240727
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_remind_info_20240727`;
CREATE TABLE `h_patient_remind_info_20240727`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '提醒标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '提醒内容配置',
  `push_channel` varchar(24) NULL DEFAULT NULL COMMENT '推送渠道',
  `push_temp_id` varchar(48) NULL DEFAULT NULL COMMENT '推送模板ID',
  `push_status` varchar(24) NOT NULL COMMENT '推送状态',
  `push_date` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `push_account` varchar(48) NULL DEFAULT NULL COMMENT '推送目标数据[openid、phone等]',
  `error_code` varchar(48) NULL DEFAULT NULL COMMENT '第三方错误码',
  `error_msg` varchar(128) NULL DEFAULT NULL COMMENT '第三方错误信息',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `biz_id`(`biz_id`) USING BTREE
) COMMENT = '患者提醒信息表';

-- ----------------------------
-- Table structure for h_patient_return_visit_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_return_visit_info`;
CREATE TABLE `h_patient_return_visit_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者编号',
  `visit_type` varchar(12) NULL DEFAULT NULL COMMENT '就诊类型',
  `visit_id` varchar(48) NULL DEFAULT NULL COMMENT '门诊号/住院号',
  `source_type` varchar(12) NULL DEFAULT NULL COMMENT '复诊来源类型',
  `source_id` varchar(48) NULL DEFAULT NULL COMMENT '复诊来源id',
  `source_dept_id` varchar(48) NULL DEFAULT NULL COMMENT '复诊来源科室',
  `source_time` datetime NULL DEFAULT NULL COMMENT '复诊来源时间',
  `dept_ids` varchar(1024) NULL DEFAULT NULL COMMENT '复诊科室组',
  `dept_id` varchar(48) NULL DEFAULT NULL COMMENT '实际复诊科室',
  `content` text NULL COMMENT '复诊内容',
  `visit_start_time` datetime NULL DEFAULT NULL COMMENT '复诊原始时间',
  `visit_end_time` datetime NULL DEFAULT NULL COMMENT '设定复诊时间',
  `real_time` datetime NULL DEFAULT NULL COMMENT '实际复诊时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '复诊状态',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作类型',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者复诊信息表';

-- ----------------------------
-- Table structure for h_patient_risk_history_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_risk_history_info`;
CREATE TABLE `h_patient_risk_history_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `risk_id` varchar(48) NOT NULL COMMENT '风险ID',
  `risk_name` varchar(128) NULL DEFAULT NULL COMMENT '风险名称',
  `risk_disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '风险病种ID',
  `risk_sys_id` varchar(24) NULL DEFAULT NULL COMMENT '风险系统ID',
  `risk_type` varchar(24) NULL DEFAULT NULL COMMENT '风险类型',
  `risk_level` varchar(24) NULL DEFAULT NULL COMMENT '风险等级',
  `risk_rel_type` varchar(24) NULL DEFAULT NULL COMMENT '风险关联分类',
  `risk_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '风险关联ID',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime(3) NULL DEFAULT NULL COMMENT '患者数据时间',
  `op_type` varchar(4) NOT NULL COMMENT '操作动作分类',
  `op_user` varchar(48) NULL DEFAULT NULL COMMENT '操作者',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者风险历史信息表';

-- ----------------------------
-- Table structure for h_patient_risk_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_risk_info`;
CREATE TABLE `h_patient_risk_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `risk_id` varchar(48) NOT NULL COMMENT '风险ID',
  `risk_name` varchar(128) NOT NULL COMMENT '风险名称',
  `risk_disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '风险病种ID',
  `risk_sys_id` varchar(24) NULL DEFAULT NULL COMMENT '风险系统ID',
  `risk_type` varchar(24) NULL DEFAULT NULL COMMENT '风险类型',
  `risk_level` varchar(24) NULL DEFAULT NULL COMMENT '风险等级',
  `risk_rel_type` varchar(24) NULL DEFAULT NULL COMMENT '风险关联分类',
  `risk_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '风险关联ID',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_rel_id` varchar(48) NULL DEFAULT NULL COMMENT '来源关联ID',
  `data_dt` datetime(3) NULL DEFAULT NULL COMMENT '患者数据时间',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE
) COMMENT = '患者风险信息表';

-- ----------------------------
-- Table structure for h_patient_schedule_info
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_schedule_info`;
CREATE TABLE `h_patient_schedule_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `schedule_type` varchar(24) NULL DEFAULT NULL COMMENT '日程类型',
  `schedule_date` datetime NULL DEFAULT NULL COMMENT '日程时间',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID(患者推送服务ID)',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '日程标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '日程内容',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '日程状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联一级对象分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级对象ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联二级对象分类',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级对象ID',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE,
  INDEX `biz_id`(`biz_id`) USING BTREE
) COMMENT = '患者日程信息表';

-- ----------------------------
-- Table structure for h_patient_schedule_info_20240327
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_schedule_info_20240327`;
CREATE TABLE `h_patient_schedule_info_20240327`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `schedule_type` varchar(24) NULL DEFAULT NULL COMMENT '日程类型',
  `schedule_date` datetime NULL DEFAULT NULL COMMENT '日程时间',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID(患者推送服务ID)',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '日程标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '日程内容',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '日程状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联一级对象分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级对象ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联二级对象分类',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级对象ID',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE
) COMMENT = '患者日程信息表';

-- ----------------------------
-- Table structure for h_patient_schedule_info_20240727
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_schedule_info_20240727`;
CREATE TABLE `h_patient_schedule_info_20240727`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `schedule_type` varchar(24) NULL DEFAULT NULL COMMENT '日程类型',
  `schedule_date` datetime NULL DEFAULT NULL COMMENT '日程时间',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '执行业务ID(患者推送服务ID)',
  `title` varchar(128) NULL DEFAULT NULL COMMENT '日程标题',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '日程内容',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '日程状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联一级对象分类',
  `rel_one_id` varchar(48) NULL DEFAULT NULL COMMENT '关联一级对象ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联二级对象分类',
  `rel_two_id` varchar(48) NULL DEFAULT NULL COMMENT '关联二级对象ID',
  PRIMARY KEY (`id`, `patient_id`) USING BTREE,
  INDEX `biz_id`(`biz_id`) USING BTREE
) COMMENT = '患者日程信息表';

-- ----------------------------
-- Table structure for h_patient_serve_test
-- ----------------------------
DROP TABLE IF EXISTS `h_patient_serve_test`;
CREATE TABLE `h_patient_serve_test`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(128) NOT NULL COMMENT '患者编号',
  `user_ids` varchar(256) NULL DEFAULT NULL COMMENT '用户ID',
  `push_serve_id` varchar(48) NULL DEFAULT NULL COMMENT '服务id',
  `push_date` varchar(48) NULL DEFAULT NULL COMMENT '服务时间',
  `title` varchar(64) NOT NULL COMMENT '标题',
  `content` varchar(128) NULL DEFAULT NULL COMMENT '内容',
  `push_type` varchar(128) NULL DEFAULT NULL COMMENT '类型',
  `rel_type` varchar(128) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_one_id` varchar(128) NULL DEFAULT NULL COMMENT '关联一级业务ID',
  `rel_two_id` varchar(256) NULL DEFAULT NULL COMMENT '关联二级业务ID',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者服务测试数据表';

-- ----------------------------
-- Table structure for h_push_serve_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_push_serve_category_info`;
CREATE TABLE `h_push_serve_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `pid` varchar(24) NOT NULL COMMENT '父ID',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'N推送服务分类信息表';

-- ----------------------------
-- Table structure for h_push_serve_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_push_serve_config_info`;
CREATE TABLE `h_push_serve_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '服务名称',
  `title` varchar(256) NULL DEFAULT NULL COMMENT '内部名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '服务分类',
  `media_type` varchar(48) NULL DEFAULT NULL COMMENT '媒体类型(文章-量表)',
  `media_id` varchar(64) NOT NULL COMMENT '媒体编号',
  `media_name` varchar(128) NULL DEFAULT NULL COMMENT '推送内容标题',
  `media_img` varchar(128) NULL DEFAULT NULL COMMENT '推送应用图标',
  `media_title` varchar(128) NULL DEFAULT NULL COMMENT '推送标题',
  `media_remark` varchar(128) NULL DEFAULT NULL COMMENT '推送描述',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `push_way` varchar(24) NULL DEFAULT NULL COMMENT '推送方式',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  `benchmark_date` varchar(24) NULL DEFAULT NULL COMMENT '基准日期分类',
  `early_delay_type` varchar(48) NULL DEFAULT NULL COMMENT '发送时间分类',
  `early_delay_num` int(11) NULL DEFAULT NULL COMMENT '发送时间偏差量(天)',
  `remind_day_time` varchar(24) NULL DEFAULT NULL COMMENT '当天提醒的时间(hh:mm)',
  `loop_model` varchar(1) NULL DEFAULT NULL COMMENT '是否循环',
  `loop_interval` int(11) NULL DEFAULT NULL COMMENT '循环间隔(天)',
  `loop_max_num` int(11) NULL DEFAULT NULL COMMENT '循环最大次数',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `snapshot_key` varchar(64) NULL DEFAULT NULL COMMENT '推送服务配置快照KEY',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `push_target` varchar(12) NULL DEFAULT NULL COMMENT '推送目标',
  `benchmark_date_type` varchar(12) NULL DEFAULT NULL COMMENT '基准日期类型分类',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展4',
  `extend5` varchar(64) NULL DEFAULT NULL COMMENT '扩展5',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送服务配置表';

-- ----------------------------
-- Table structure for h_push_serve_config_info_20240701
-- ----------------------------
DROP TABLE IF EXISTS `h_push_serve_config_info_20240701`;
CREATE TABLE `h_push_serve_config_info_20240701`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '服务名称',
  `title` varchar(256) NULL DEFAULT NULL COMMENT '内部名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '服务分类',
  `media_type` varchar(48) NULL DEFAULT NULL COMMENT '媒体类型(文章-量表)',
  `media_id` varchar(64) NOT NULL COMMENT '媒体编号',
  `media_name` varchar(128) NULL DEFAULT NULL COMMENT '推送内容标题',
  `media_img` varchar(128) NULL DEFAULT NULL COMMENT '推送应用图标',
  `media_title` varchar(128) NULL DEFAULT NULL COMMENT '推送标题',
  `media_remark` varchar(128) NULL DEFAULT NULL COMMENT '推送描述',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `push_way` varchar(24) NULL DEFAULT NULL COMMENT '推送方式',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  `benchmark_date` varchar(24) NULL DEFAULT NULL COMMENT '基准日期分类',
  `early_delay_type` varchar(48) NULL DEFAULT NULL COMMENT '发送时间分类',
  `early_delay_num` int(11) NULL DEFAULT NULL COMMENT '发送时间偏差量(天)',
  `remind_day_time` varchar(24) NULL DEFAULT NULL COMMENT '当天提醒的时间(hh:mm)',
  `loop_model` varchar(1) NULL DEFAULT NULL COMMENT '是否循环',
  `loop_interval` int(11) NULL DEFAULT NULL COMMENT '循环间隔(天)',
  `loop_max_num` int(11) NULL DEFAULT NULL COMMENT '循环最大次数',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `snapshot_key` varchar(64) NULL DEFAULT NULL COMMENT '推送服务配置快照KEY',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `push_target` varchar(12) NULL DEFAULT NULL COMMENT '推送目标',
  `benchmark_date_type` varchar(12) NULL DEFAULT NULL COMMENT '基准日期类型分类',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展4',
  `extend5` varchar(64) NULL DEFAULT NULL COMMENT '扩展5',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送服务配置表';

-- ----------------------------
-- Table structure for h_push_serve_config_info_20240911
-- ----------------------------
DROP TABLE IF EXISTS `h_push_serve_config_info_20240911`;
CREATE TABLE `h_push_serve_config_info_20240911`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '服务名称',
  `title` varchar(256) NULL DEFAULT NULL COMMENT '内部名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '服务分类',
  `media_type` varchar(48) NULL DEFAULT NULL COMMENT '媒体类型(文章-量表)',
  `media_id` varchar(64) NOT NULL COMMENT '媒体编号',
  `media_name` varchar(128) NULL DEFAULT NULL COMMENT '推送内容标题',
  `media_img` varchar(128) NULL DEFAULT NULL COMMENT '推送应用图标',
  `media_title` varchar(128) NULL DEFAULT NULL COMMENT '推送标题',
  `media_remark` varchar(128) NULL DEFAULT NULL COMMENT '推送描述',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `push_way` varchar(24) NULL DEFAULT NULL COMMENT '推送方式',
  `push_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送配置',
  `remind_way` varchar(24) NULL DEFAULT NULL COMMENT '提醒方式',
  `benchmark_date` varchar(24) NULL DEFAULT NULL COMMENT '基准日期分类',
  `early_delay_type` varchar(48) NULL DEFAULT NULL COMMENT '发送时间分类',
  `early_delay_num` int(11) NULL DEFAULT NULL COMMENT '发送时间偏差量(天)',
  `remind_day_time` varchar(24) NULL DEFAULT NULL COMMENT '当天提醒的时间(hh:mm)',
  `loop_model` varchar(1) NULL DEFAULT NULL COMMENT '是否循环',
  `loop_interval` int(11) NULL DEFAULT NULL COMMENT '循环间隔(天)',
  `loop_max_num` int(11) NULL DEFAULT NULL COMMENT '循环最大次数',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `snapshot_key` varchar(64) NULL DEFAULT NULL COMMENT '推送服务配置快照KEY',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `push_target` varchar(12) NULL DEFAULT NULL COMMENT '推送目标',
  `benchmark_date_type` varchar(12) NULL DEFAULT NULL COMMENT '基准日期类型分类',
  `extend1` varchar(64) NULL DEFAULT NULL COMMENT '扩展1',
  `extend2` varchar(64) NULL DEFAULT NULL COMMENT '扩展2',
  `extend3` varchar(64) NULL DEFAULT NULL COMMENT '扩展3',
  `extend4` varchar(64) NULL DEFAULT NULL COMMENT '扩展4',
  `extend5` varchar(64) NULL DEFAULT NULL COMMENT '扩展5',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送服务配置表';

-- ----------------------------
-- Table structure for h_push_task_action_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_push_task_action_config_info`;
CREATE TABLE `h_push_task_action_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `push_task_id` varchar(24) NOT NULL COMMENT '推送任务ID',
  `name` varchar(128) NOT NULL COMMENT '动作名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '动作类型',
  `data_config` varchar(1024) NULL DEFAULT NULL COMMENT '动作数据',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送任务动作配置表';

-- ----------------------------
-- Table structure for h_push_task_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_push_task_config_info`;
CREATE TABLE `h_push_task_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '任务名称',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '任务类型',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '任务备注',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '任务紧急等级',
  `remind_title` varchar(128) NULL DEFAULT NULL COMMENT '任务提醒标题',
  `remind_describe` varchar(256) NULL DEFAULT NULL COMMENT '任务提醒描述',
  `handle_buttons` varchar(128) NULL DEFAULT NULL COMMENT '任务处理按钮',
  `is_limit_exe_date` varchar(1) NULL DEFAULT NULL COMMENT '是否限制执行时间',
  `limit_exe_date_unit` varchar(48) NULL DEFAULT NULL COMMENT '限制执行时间单位',
  `limit_exe_date_num` int(11) NULL DEFAULT NULL COMMENT '限制执行时间数值',
  `is_task_push` varchar(1) NULL DEFAULT NULL COMMENT '任务是否提醒',
  `task_push_way` varchar(48) NULL DEFAULT NULL COMMENT '提醒推送方式',
  `task_push_config` varchar(1024) NULL DEFAULT NULL COMMENT '提醒推送配置',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作分类',
  `manage_type` varchar(64) NULL DEFAULT NULL COMMENT '个案管理类型，字典定义',
  `target_id` varchar(24) NULL DEFAULT NULL COMMENT '个案管理目标id',
  `custom_type` varchar(48) NULL DEFAULT NULL COMMENT '任务自定义类型',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送任务配置表';

-- ----------------------------
-- Table structure for h_push_task_config_info_20240201
-- ----------------------------
DROP TABLE IF EXISTS `h_push_task_config_info_20240201`;
CREATE TABLE `h_push_task_config_info_20240201`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '任务名称',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '任务类型',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '任务备注',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '任务紧急等级',
  `remind_title` varchar(128) NULL DEFAULT NULL COMMENT '任务提醒标题',
  `remind_describe` varchar(256) NULL DEFAULT NULL COMMENT '任务提醒描述',
  `handle_buttons` varchar(128) NULL DEFAULT NULL COMMENT '任务处理按钮',
  `is_limit_exe_date` varchar(1) NULL DEFAULT NULL COMMENT '是否限制执行时间',
  `limit_exe_date_unit` varchar(48) NULL DEFAULT NULL COMMENT '限制执行时间单位',
  `limit_exe_date_num` int(11) NULL DEFAULT NULL COMMENT '限制执行时间数值',
  `is_task_push` varchar(1) NULL DEFAULT NULL COMMENT '任务是否提醒',
  `task_push_way` varchar(48) NULL DEFAULT NULL COMMENT '提醒推送方式',
  `task_push_config` varchar(1024) NULL DEFAULT NULL COMMENT '提醒推送配置',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作分类',
  `manage_type` varchar(64) NULL DEFAULT NULL,
  `target_id` varchar(24) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送任务配置表';

-- ----------------------------
-- Table structure for h_push_task_config_info_20240220
-- ----------------------------
DROP TABLE IF EXISTS `h_push_task_config_info_20240220`;
CREATE TABLE `h_push_task_config_info_20240220`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '任务名称',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '任务类型',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '任务备注',
  `urgent_level` varchar(48) NULL DEFAULT NULL COMMENT '任务紧急等级',
  `remind_title` varchar(128) NULL DEFAULT NULL COMMENT '任务提醒标题',
  `remind_describe` varchar(256) NULL DEFAULT NULL COMMENT '任务提醒描述',
  `handle_buttons` varchar(128) NULL DEFAULT NULL COMMENT '任务处理按钮',
  `is_limit_exe_date` varchar(1) NULL DEFAULT NULL COMMENT '是否限制执行时间',
  `limit_exe_date_unit` varchar(48) NULL DEFAULT NULL COMMENT '限制执行时间单位',
  `limit_exe_date_num` int(11) NULL DEFAULT NULL COMMENT '限制执行时间数值',
  `is_task_push` varchar(1) NULL DEFAULT NULL COMMENT '任务是否提醒',
  `task_push_way` varchar(48) NULL DEFAULT NULL COMMENT '提醒推送方式',
  `task_push_config` varchar(1024) NULL DEFAULT NULL COMMENT '提醒推送配置',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作分类',
  `manage_type` varchar(64) NULL DEFAULT NULL,
  `target_id` varchar(24) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '推送任务配置表';

-- ----------------------------
-- Table structure for h_push_task_custom_type_info
-- ----------------------------
DROP TABLE IF EXISTS `h_push_task_custom_type_info`;
CREATE TABLE `h_push_task_custom_type_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `type` varchar(24) NOT NULL COMMENT '自定义类型',
  `name` varchar(64) NOT NULL COMMENT '自定义类型名称',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生患者跟踪记录表';

-- ----------------------------
-- Table structure for h_remind_config
-- ----------------------------
DROP TABLE IF EXISTS `h_remind_config`;
CREATE TABLE `h_remind_config`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `content` varchar(512) NULL DEFAULT NULL COMMENT '内容',
  `level` varchar(24) NULL DEFAULT NULL COMMENT '等级',
  `target_object_type` varchar(24) NULL DEFAULT NULL COMMENT '提醒对象分类',
  `benchmark_date` varchar(24) NULL DEFAULT NULL COMMENT '基准日期',
  `early_delay_type` varchar(4) NULL DEFAULT NULL COMMENT '发送时间分类(提早延迟)',
  `early_delay_num` int(11) NULL DEFAULT NULL COMMENT '发送时间偏差量(天)',
  `remind_day_time` varchar(24) NULL DEFAULT NULL COMMENT '当天提醒的时间(hh:mm)',
  `loop_model` varchar(1) NULL DEFAULT NULL COMMENT '是否循环',
  `loop_interval` int(11) NULL DEFAULT NULL COMMENT '循环间隔(天)',
  `loop_max_num` int(11) NULL DEFAULT NULL COMMENT '循环最大次数',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '提醒分类',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '提醒配置表';

-- ----------------------------
-- Table structure for h_risk_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_risk_config_info`;
CREATE TABLE `h_risk_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '病种ID',
  `sys_id` varchar(24) NULL DEFAULT NULL COMMENT '系统ID',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '类型',
  `level` varchar(24) NULL DEFAULT NULL COMMENT '等级',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关联分类',
  `rel_id` varchar(48) NULL DEFAULT NULL COMMENT '关联ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '风险配置表';

-- ----------------------------
-- Table structure for h_risk_config_info_20240701
-- ----------------------------
DROP TABLE IF EXISTS `h_risk_config_info_20240701`;
CREATE TABLE `h_risk_config_info_20240701`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '病种ID',
  `sys_id` varchar(24) NULL DEFAULT NULL COMMENT '系统ID',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '类型',
  `level` varchar(24) NULL DEFAULT NULL COMMENT '等级',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关联分类',
  `rel_id` varchar(48) NULL DEFAULT NULL COMMENT '关联ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '风险配置表';

-- ----------------------------
-- Table structure for h_risk_factor_info
-- ----------------------------
DROP TABLE IF EXISTS `h_risk_factor_info`;
CREATE TABLE `h_risk_factor_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `risk_id` varchar(24) NULL DEFAULT NULL COMMENT '风险ID',
  `metadata_id` varchar(64) NOT NULL COMMENT '元数据',
  `op` varchar(24) NULL DEFAULT NULL COMMENT '比较操作符',
  `val` varchar(512) NULL DEFAULT NULL COMMENT '比较值',
  `testing_proect_code` varchar(128) NULL DEFAULT NULL COMMENT '校验项目编号',
  `medical_dept` varchar(512) NULL DEFAULT NULL COMMENT '就医科室',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '风险因素信息表';

-- ----------------------------
-- Table structure for h_risk_info
-- ----------------------------
DROP TABLE IF EXISTS `h_risk_info`;
CREATE TABLE `h_risk_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `grade` varchar(24) NULL DEFAULT NULL COMMENT '等级',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '疾病ID',
  `harm` varchar(512) NULL DEFAULT NULL COMMENT '危害(疾病ID)',
  `label_ids` varchar(512) NULL DEFAULT NULL COMMENT '关联标签编号',
  `remark` text NULL COMMENT '风险疾病简介',
  `prevention` text NULL COMMENT '风险预防要点',
  `future_memo` text NULL COMMENT '未来发展描述',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `memo` varchar(512) NULL DEFAULT NULL COMMENT '简介1',
  `symptom` varchar(512) NULL DEFAULT NULL COMMENT '症状1',
  `pathogeny` varchar(512) NULL DEFAULT NULL COMMENT '病因1',
  `complication` varchar(512) NULL DEFAULT NULL COMMENT '并发症1',
  `prevention_identification` varchar(512) NULL DEFAULT NULL COMMENT '预防鉴别1',
  `treatment` varchar(512) NULL DEFAULT NULL COMMENT '治疗1',
  `seek_medical_advice` varchar(512) NULL DEFAULT NULL COMMENT '就诊1',
  `inspect` varchar(512) NULL DEFAULT NULL COMMENT '检查1',
  `nursing` varchar(512) NULL DEFAULT NULL COMMENT '护理1',
  `diet` varchar(512) NULL DEFAULT NULL COMMENT '饮食1',
  `source` varchar(512) NULL DEFAULT NULL COMMENT '数据来源',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '风险信息表';

-- ----------------------------
-- Table structure for h_scale_config_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_scale_config_category_info`;
CREATE TABLE `h_scale_config_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `icon` varchar(128) NULL DEFAULT NULL COMMENT '图标',
  `pid` varchar(24) NULL DEFAULT NULL COMMENT '上级分类ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '量表配置分类信息表';

-- ----------------------------
-- Table structure for h_scale_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_scale_config_info`;
CREATE TABLE `h_scale_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `category_id` varchar(24) NULL DEFAULT NULL COMMENT '分类ID',
  `type` varchar(12) NULL DEFAULT NULL COMMENT '类别',
  `icon` varchar(128) NULL DEFAULT NULL COMMENT '图标',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `parent_id` varchar(24) NULL DEFAULT NULL COMMENT '父ID',
  `result_script_content` text NULL COMMENT '结果计算脚本',
  `source` varchar(512) NULL DEFAULT NULL COMMENT '数据来源',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `result_config` text NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '量表配置信息表';

-- ----------------------------
-- Table structure for h_scale_item_config_info
-- ----------------------------
DROP TABLE IF EXISTS `h_scale_item_config_info`;
CREATE TABLE `h_scale_item_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `scale_config_id` varchar(24) NOT NULL COMMENT '量表Id',
  `metadata_id` varchar(64) NULL DEFAULT NULL COMMENT '标准元数据',
  `type` varchar(24) NOT NULL COMMENT '题型分类',
  `title` varchar(256) NOT NULL COMMENT '题型标题',
  `sub_title` varchar(256) NULL DEFAULT NULL COMMENT '题型副标题',
  `content` text NULL COMMENT '题型内容',
  `show_rule_config` text NULL COMMENT '显示规则配置',
  `orders` int(11) NULL DEFAULT NULL COMMENT '序号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `not_null_flag` varchar(1) NULL DEFAULT NULL COMMENT '是否不为空标识',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '量表配置明细信息表';

-- ----------------------------
-- Table structure for h_scale_item_result_info
-- ----------------------------
DROP TABLE IF EXISTS `h_scale_item_result_info`;
CREATE TABLE `h_scale_item_result_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `scale_result_id` varchar(24) NOT NULL COMMENT '评估结果ID',
  `scale_item_config_id` varchar(24) NULL DEFAULT NULL COMMENT '量表配置明细ID',
  `scale_item_config` text NULL COMMENT '量表明细配置',
  `result_val` varchar(256) NULL DEFAULT NULL COMMENT '结果值',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '量表评估结果明细表';

-- ----------------------------
-- Table structure for h_scale_result_info
-- ----------------------------
DROP TABLE IF EXISTS `h_scale_result_info`;
CREATE TABLE `h_scale_result_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `cust_user_id` varchar(24) NOT NULL COMMENT '客户用户ID',
  `scale_config_id` varchar(24) NULL DEFAULT NULL COMMENT '量表Id',
  `scale_config_name` varchar(256) NULL DEFAULT NULL COMMENT '量表名称',
  `task_id` varchar(48) NULL DEFAULT NULL COMMENT '任务ID',
  `scale_result` varchar(256) NULL DEFAULT NULL COMMENT '量表结果',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `start_evaluation_date` datetime NULL DEFAULT NULL COMMENT '开始评估时间',
  `end_evaluation_date` datetime NULL DEFAULT NULL COMMENT '截止评估时间',
  `process_status` varchar(24) NULL DEFAULT NULL COMMENT '处理状态',
  `process_remark` varchar(128) NULL DEFAULT NULL COMMENT '处理备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `patient_id` varchar(24) NULL DEFAULT NULL,
  `scale_result_config` varchar(1024) NULL DEFAULT NULL,
  `scale_config_type` varchar(24) NULL DEFAULT NULL COMMENT '量表类别',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '量表评估结果表';

-- ----------------------------
-- Table structure for h_sport_category_info
-- ----------------------------
DROP TABLE IF EXISTS `h_sport_category_info`;
CREATE TABLE `h_sport_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '运动分类信息';

-- ----------------------------
-- Table structure for h_sport_info
-- ----------------------------
DROP TABLE IF EXISTS `h_sport_info`;
CREATE TABLE `h_sport_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `category_id` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `thumbnail` varchar(256) NULL DEFAULT NULL COMMENT '缩略图',
  `calorie` int(11) NULL DEFAULT NULL COMMENT '消耗卡路里',
  `unit` varchar(48) NULL DEFAULT NULL COMMENT '消耗单位',
  `video_path` varchar(256) NULL DEFAULT NULL COMMENT '运动视频路径',
  `memo` varchar(3000) NULL DEFAULT NULL COMMENT '运动说明',
  `taboo` varchar(1024) NULL DEFAULT NULL COMMENT '禁忌条件',
  `met_val` varchar(24) NULL DEFAULT NULL COMMENT 'MET值',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '运动信息';

-- ----------------------------
-- Table structure for hb_patient_behavior_info
-- ----------------------------
DROP TABLE IF EXISTS `hb_patient_behavior_info`;
CREATE TABLE `hb_patient_behavior_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者id',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `content_type` varchar(24) NULL DEFAULT NULL COMMENT '内容类型',
  `content_id` varchar(24) NULL DEFAULT NULL COMMENT '内容id',
  `source_one_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级类型',
  `source_one_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级id',
  `source_two_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级类型',
  `source_two_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级id',
  `source_three_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级类型',
  `source_three_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级id',
  `source_four_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级类型',
  `source_four_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级id',
  `source_five_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级类型',
  `source_five_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级id',
  `operated_type` varchar(24) NULL DEFAULT NULL COMMENT '操作类型',
  `operated_start_date` datetime NULL DEFAULT NULL COMMENT '操作开始时间',
  `operated_end_date` datetime NULL DEFAULT NULL COMMENT '操作结束时间',
  `operated_duration` int(11) NULL DEFAULT NULL COMMENT '操作时长',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `ip` varchar(64) NULL DEFAULT NULL COMMENT 'ip',
  `ua` varchar(1024) NULL DEFAULT NULL COMMENT '浏览器UA',
  `operated_content` text NULL COMMENT '自定义操作内容',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者日程操作数据表';

-- ----------------------------
-- Table structure for hb_patient_behavior_info_20240327
-- ----------------------------
DROP TABLE IF EXISTS `hb_patient_behavior_info_20240327`;
CREATE TABLE `hb_patient_behavior_info_20240327`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者id',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `content_type` varchar(24) NULL DEFAULT NULL COMMENT '内容类型',
  `content_id` varchar(24) NULL DEFAULT NULL COMMENT '内容id',
  `source_one_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级类型',
  `source_one_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级id',
  `source_two_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级类型',
  `source_two_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级id',
  `source_three_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级类型',
  `source_three_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级id',
  `source_four_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级类型',
  `source_four_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级id',
  `source_five_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级类型',
  `source_five_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级id',
  `operated_type` varchar(24) NULL DEFAULT NULL COMMENT '操作类型',
  `operated_start_date` datetime NULL DEFAULT NULL COMMENT '操作开始时间',
  `operated_end_date` datetime NULL DEFAULT NULL COMMENT '操作结束时间',
  `operated_duration` int(11) NULL DEFAULT NULL COMMENT '操作时长',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `ip` varchar(64) NULL DEFAULT NULL COMMENT 'ip',
  `ua` varchar(1024) NULL DEFAULT NULL COMMENT '浏览器UA',
  `operated_content` text NULL COMMENT '自定义操作内容',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者日程操作数据表';

-- ----------------------------
-- Table structure for hb_patient_behavior_info_20240727
-- ----------------------------
DROP TABLE IF EXISTS `hb_patient_behavior_info_20240727`;
CREATE TABLE `hb_patient_behavior_info_20240727`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者id',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `content_type` varchar(24) NULL DEFAULT NULL COMMENT '内容类型',
  `content_id` varchar(24) NULL DEFAULT NULL COMMENT '内容id',
  `source_one_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级类型',
  `source_one_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源一级id',
  `source_two_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级类型',
  `source_two_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源二级id',
  `source_three_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级类型',
  `source_three_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源三级id',
  `source_four_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级类型',
  `source_four_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源四级id',
  `source_five_type` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级类型',
  `source_five_id` varchar(24) NULL DEFAULT NULL COMMENT '数据来源五级id',
  `operated_type` varchar(24) NULL DEFAULT NULL COMMENT '操作类型',
  `operated_start_date` datetime NULL DEFAULT NULL COMMENT '操作开始时间',
  `operated_end_date` datetime NULL DEFAULT NULL COMMENT '操作结束时间',
  `operated_duration` int(11) NULL DEFAULT NULL COMMENT '操作时长',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `ip` varchar(64) NULL DEFAULT NULL COMMENT 'ip',
  `ua` varchar(1024) NULL DEFAULT NULL COMMENT '浏览器UA',
  `operated_content` text NULL COMMENT '自定义操作内容',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者日程操作数据表';

-- ----------------------------
-- Table structure for hd_doctor_follow_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_doctor_follow_patient_info`;
CREATE TABLE `hd_doctor_follow_patient_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(48) NULL DEFAULT NULL COMMENT '医生ID',
  `patient_id` varchar(128) NULL DEFAULT NULL COMMENT '患者编号',
  `data_update_type` varchar(24) NULL DEFAULT NULL COMMENT '数据变化类型',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  `status` varchar(12) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生关注患者表';

-- ----------------------------
-- Table structure for hd_doctor_follow_up_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_doctor_follow_up_one_day_info`;
CREATE TABLE `hd_doctor_follow_up_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(48) NOT NULL COMMENT '日期(天)',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `total_num` int(11) NULL DEFAULT NULL COMMENT '总患者数量',
  `real_num` int(11) NULL DEFAULT NULL COMMENT '实际总随访数量',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生随访日统计表';

-- ----------------------------
-- Table structure for hd_doctor_label_patient_data_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_doctor_label_patient_data_info`;
CREATE TABLE `hd_doctor_label_patient_data_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(12) NULL DEFAULT NULL COMMENT '统计日期',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生ID',
  `label_id` varchar(24) NULL DEFAULT NULL COMMENT '标签编号',
  `patient_label_ids` text NULL COMMENT '患者标签',
  `exclude_patient_ids` text NULL COMMENT '排除数据',
  `join_patient_ids` text NULL COMMENT '纳入数据',
  `consultation_ids` text NULL COMMENT '会诊数据',
  `follow_up_ids` text NULL COMMENT '随访数据',
  `scene` varchar(12) NULL DEFAULT NULL COMMENT '场景[门诊、住院、出院]',
  `op_user` varchar(12) NULL DEFAULT NULL COMMENT '操作人',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '运营助理统计标签下患者数据表';

-- ----------------------------
-- Table structure for hd_doctor_manage_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_doctor_manage_patient_info`;
CREATE TABLE `hd_doctor_manage_patient_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生ID',
  `patient_id` varchar(24) NULL DEFAULT NULL COMMENT '患者编号',
  `label_id` varchar(24) NULL DEFAULT NULL COMMENT '标签编号',
  `label_date` datetime NULL DEFAULT NULL COMMENT '标签时间',
  `op_type` varchar(12) NULL DEFAULT NULL COMMENT '操作类型',
  `op_content` varchar(1024) NULL DEFAULT NULL COMMENT '操作内容',
  `remark` varchar(1024) NULL DEFAULT NULL COMMENT '备注',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `op_scene` varchar(12) NULL DEFAULT NULL COMMENT '操作场景',
  `op_sub_type` varchar(12) NULL DEFAULT NULL COMMENT '操作子类型',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医生管理患者表';

-- ----------------------------
-- Table structure for hd_his_promotion_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_his_promotion_info`;
CREATE TABLE `hd_his_promotion_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `extend_type` varchar(12) NULL DEFAULT NULL COMMENT '推广码类型',
  `extend_name` varchar(48) NULL DEFAULT NULL COMMENT '推广人员名称',
  `extend_code` varchar(12) NULL DEFAULT NULL COMMENT '推广人员code',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `enable` varchar(12) NULL DEFAULT NULL COMMENT '是否启用[1.启用]',
  `creator` varchar(64) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(64) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `enabel` varchar(12) NULL DEFAULT NULL COMMENT '临时',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院推广信息';

-- ----------------------------
-- Table structure for hd_his_promotion_log
-- ----------------------------
DROP TABLE IF EXISTS `hd_his_promotion_log`;
CREATE TABLE `hd_his_promotion_log`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `qrcode_id` varchar(48) NULL DEFAULT NULL COMMENT '二维码数据id',
  `owner_type` varchar(48) NULL DEFAULT NULL COMMENT '拥有者类型',
  `owner_code` varchar(48) NULL DEFAULT NULL COMMENT '拥有者code',
  `owner_name` varchar(48) NULL DEFAULT NULL COMMENT '拥有者名字',
  `status` varchar(12) NOT NULL COMMENT '推广状态',
  `op_date` datetime NOT NULL COMMENT '创建时间',
  `open_id` varchar(48) NULL DEFAULT NULL COMMENT '推广用户',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院推广码推广日志';

-- ----------------------------
-- Table structure for hd_label_patient_data_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_label_patient_data_info`;
CREATE TABLE `hd_label_patient_data_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `patient_num` int(11) NULL DEFAULT NULL COMMENT '患者数量',
  `data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者标签统计数据表';

-- ----------------------------
-- Table structure for hd_patient_data_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_data_one_day_info`;
CREATE TABLE `hd_patient_data_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(24) NULL DEFAULT NULL COMMENT '日期(天)',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '部门ID',
  `data_dimension` varchar(24) NULL DEFAULT NULL COMMENT '标签维度分类',
  `num` int(11) NULL DEFAULT NULL COMMENT '累计人数',
  `add_num` int(11) NULL DEFAULT NULL COMMENT '昨日新增人数',
  `op_user` varchar(24) NULL DEFAULT NULL COMMENT '操作人',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_disease_data_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_disease_data_one_day_info`;
CREATE TABLE `hd_patient_disease_data_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(24) NULL DEFAULT NULL COMMENT '日期(天)',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '部门ID',
  `data_dimension` varchar(24) NULL DEFAULT NULL COMMENT '标签维度分类',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种id',
  `num` int(11) NULL DEFAULT NULL COMMENT '累计人数',
  `add_num` int(11) NULL DEFAULT NULL COMMENT '昨日新增人数',
  `op_user` varchar(24) NULL DEFAULT NULL COMMENT '操作人',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者病种日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_diversion_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_diversion_one_day_info`;
CREATE TABLE `hd_patient_diversion_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(48) NOT NULL COMMENT '日期(天)',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `total_num` int(11) NULL DEFAULT NULL COMMENT '总数量',
  `diversion_num` int(11) NULL DEFAULT NULL COMMENT '总导流数量',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者导流日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_loss_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_loss_info`;
CREATE TABLE `hd_patient_loss_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_id` varchar(48) NOT NULL COMMENT '标准科室编号',
  `source_dept_id` varchar(48) NOT NULL COMMENT '原始科室编号',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `type` varchar(48) NOT NULL COMMENT '流失类型',
  `data_source_id` varchar(128) NOT NULL COMMENT '流失来源id',
  `data_source_date` datetime NULL DEFAULT NULL COMMENT '流失来源时间',
  `remark` varchar(24) NULL DEFAULT NULL COMMENT '备注',
  `remark_date` datetime NULL DEFAULT NULL COMMENT '备注时间',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  `status` varchar(12) NULL DEFAULT NULL COMMENT '流失状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者流失表';

-- ----------------------------
-- Table structure for hd_patient_lost_label_log
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_lost_label_log`;
CREATE TABLE `hd_patient_lost_label_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(24) NULL DEFAULT NULL COMMENT '患者编号',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '科室(部门)ID',
  `dept_name` varchar(255) NULL DEFAULT NULL COMMENT '科室(部门)名称',
  `lost_type` varchar(24) NULL DEFAULT NULL COMMENT '待流失类型[LabelStatDimensionTypeEnum]',
  `data_dt` varchar(24) NULL DEFAULT NULL COMMENT '挂号/住院申请/手术申请等数据时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者待流失标记日志表';

-- ----------------------------
-- Table structure for hd_patient_manage_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_manage_detail_info`;
CREATE TABLE `hd_patient_manage_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `label_id` varchar(48) NULL DEFAULT NULL COMMENT '标签ID',
  `label_date` datetime NULL DEFAULT NULL COMMENT '标签时间',
  `source_type` varchar(48) NULL DEFAULT NULL COMMENT '管理来源类型',
  `source_id` varchar(48) NULL DEFAULT NULL COMMENT '管理来源ID',
  `source_date` datetime NULL DEFAULT NULL COMMENT '管理来源时间',
  `remark_status` varchar(48) NULL DEFAULT NULL COMMENT '备注状态',
  `remark_date` datetime NULL DEFAULT NULL COMMENT '备注时间',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者管理数据详情表';

-- ----------------------------
-- Table structure for hd_patient_manage_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_manage_one_day_info`;
CREATE TABLE `hd_patient_manage_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(48) NOT NULL COMMENT '日期(天)',
  `doctor_id` varchar(48) NOT NULL COMMENT '医生ID',
  `total_num` int(11) NULL DEFAULT NULL COMMENT '总患者数量',
  `exclude_num` int(11) NULL DEFAULT NULL COMMENT '排除患者数量',
  `remark_num` int(11) NULL DEFAULT NULL COMMENT '备注患者数量',
  `join_num` int(11) NULL DEFAULT NULL COMMENT '纳入管理患者数量',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者管理日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_push_service_data_one_day_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_push_service_data_one_day_info`;
CREATE TABLE `hd_patient_push_service_data_one_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(24) NULL DEFAULT NULL COMMENT '日期(天)',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '部门ID',
  `one_type` varchar(24) NULL DEFAULT NULL COMMENT '一级分类[诊前、诊中、诊后]',
  `two_type` varchar(24) NULL DEFAULT NULL COMMENT '二级分类[服务分类]',
  `disease_ids` varchar(1024) NULL DEFAULT NULL COMMENT '病种id列表',
  `push_serve_id` varchar(24) NULL DEFAULT NULL COMMENT '推送服务id',
  `serve_num` int(11) NULL DEFAULT NULL COMMENT '服务人数',
  `click_num` int(11) NULL DEFAULT NULL COMMENT '点击行动埋点次数',
  `read_num` int(11) NULL DEFAULT NULL COMMENT '阅读次数',
  `come_num` int(11) NULL DEFAULT NULL COMMENT '服务后就诊人数',
  `read_total_time` int(11) NULL DEFAULT NULL COMMENT '总阅读时间',
  `read_total_num` int(11) NULL DEFAULT NULL COMMENT '总阅读次数',
  `not_following_push_fail_num` int(11) NULL DEFAULT NULL COMMENT '未关注人数发送失败',
  `push_fail_num` int(11) NULL DEFAULT NULL COMMENT '发送失败次数',
  `op_user` varchar(24) NULL DEFAULT NULL COMMENT '操作人',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  `read_user_num` int(11) NULL DEFAULT NULL COMMENT '阅读人数',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者病种日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_push_service_data_one_day_info_20240402
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_push_service_data_one_day_info_20240402`;
CREATE TABLE `hd_patient_push_service_data_one_day_info_20240402`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `biz_day` varchar(24) NULL DEFAULT NULL COMMENT '日期(天)',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '部门ID',
  `one_type` varchar(24) NULL DEFAULT NULL COMMENT '一级分类[诊前、诊中、诊后]',
  `two_type` varchar(24) NULL DEFAULT NULL COMMENT '二级分类[服务分类]',
  `disease_ids` varchar(1024) NULL DEFAULT NULL COMMENT '病种id列表',
  `push_serve_id` varchar(24) NULL DEFAULT NULL COMMENT '推送服务id',
  `serve_num` int(11) NULL DEFAULT NULL COMMENT '服务人数',
  `click_num` int(11) NULL DEFAULT NULL COMMENT '点击行动埋点次数',
  `read_num` int(11) NULL DEFAULT NULL COMMENT '阅读次数',
  `come_num` int(11) NULL DEFAULT NULL COMMENT '服务后就诊人数',
  `read_total_time` int(11) NULL DEFAULT NULL COMMENT '总阅读时间',
  `read_total_num` int(11) NULL DEFAULT NULL COMMENT '总阅读次数',
  `not_following_push_fail_num` int(11) NULL DEFAULT NULL COMMENT '未关注人数发送失败',
  `push_fail_num` int(11) NULL DEFAULT NULL COMMENT '发送失败次数',
  `op_user` varchar(24) NULL DEFAULT NULL COMMENT '操作人',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者病种日统计数据表';

-- ----------------------------
-- Table structure for hd_patient_subscribe_data_log
-- ----------------------------
DROP TABLE IF EXISTS `hd_patient_subscribe_data_log`;
CREATE TABLE `hd_patient_subscribe_data_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `qrcode_id` varchar(48) NULL DEFAULT NULL COMMENT '二维码数据id',
  `event` varchar(12) NOT NULL COMMENT '事件类型',
  `open_id` varchar(48) NOT NULL COMMENT '关注者openid',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者关注数据信息表';

-- ----------------------------
-- Table structure for hd_task_dept_label_relation_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_dept_label_relation_info`;
CREATE TABLE `hd_task_dept_label_relation_info`  (
  `dept_id` varchar(48) NOT NULL COMMENT '科室(部门)ID',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `op_dt` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`dept_id`, `label_id`) USING BTREE
) COMMENT = '科室标签关系表';

-- ----------------------------
-- Table structure for hd_task_dept_patient_relation_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_dept_patient_relation_info`;
CREATE TABLE `hd_task_dept_patient_relation_info`  (
  `dept_id` varchar(48) NOT NULL COMMENT '科室(部门)ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `register_dt` datetime(3) NULL DEFAULT NULL COMMENT '挂号时间',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  PRIMARY KEY (`dept_id`, `patient_id`) USING BTREE,
  INDEX `dept_id`(`dept_id`) USING BTREE,
  INDEX `patient_id`(`patient_id`) USING BTREE,
  INDEX `index_name`(`patient_id`) USING BTREE
) COMMENT = '科室患者(挂号)关系表';

-- ----------------------------
-- Table structure for hd_task_dept_patient_relation_info_20240411
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_dept_patient_relation_info_20240411`;
CREATE TABLE `hd_task_dept_patient_relation_info_20240411`  (
  `dept_id` varchar(48) NOT NULL COMMENT '科室(部门)ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `register_dt` datetime(3) NULL DEFAULT NULL COMMENT '挂号时间',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  PRIMARY KEY (`dept_id`, `patient_id`) USING BTREE,
  INDEX `dept_id`(`dept_id`) USING BTREE,
  INDEX `patient_id`(`patient_id`) USING BTREE
) COMMENT = '科室患者(挂号)关系表';

-- ----------------------------
-- Table structure for hd_task_dept_patient_relation_info_mid
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_dept_patient_relation_info_mid`;
CREATE TABLE `hd_task_dept_patient_relation_info_mid`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `dept_id` varchar(48) NOT NULL COMMENT '科室(部门)ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `register_dt` datetime(3) NULL DEFAULT NULL COMMENT '挂号时间',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3342830 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '科室患者(挂号)关系表';

-- ----------------------------
-- Table structure for hd_task_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_patient_info`;
CREATE TABLE `hd_task_patient_info`  (
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `patient_name` varchar(64) NULL DEFAULT NULL COMMENT '患者姓名',
  `id_card_no` varchar(24) NULL DEFAULT NULL COMMENT '身份证号',
  `patient_gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `patient_gender_standard` varchar(24) NULL DEFAULT NULL COMMENT '标准性别',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `phone` varchar(24) NULL DEFAULT NULL COMMENT '电话号码',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注信息',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `main_person_id` varchar(48) NULL DEFAULT NULL COMMENT '主患者编号',
  `work_phone` varchar(128) NULL DEFAULT NULL COMMENT '工作电话号码',
  `link_phone` varchar(128) NULL DEFAULT NULL COMMENT '联系电话号码',
  `home_phone` varchar(128) NULL DEFAULT NULL COMMENT '家庭电话号码',
  PRIMARY KEY (`patient_id`) USING BTREE
) COMMENT = '患者信息表';

-- ----------------------------
-- Table structure for hd_task_patient_info_mid
-- ----------------------------
DROP TABLE IF EXISTS `hd_task_patient_info_mid`;
CREATE TABLE `hd_task_patient_info_mid`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `patient_id` varchar(48) NOT NULL COMMENT '患者编号',
  `patient_name` varchar(64) NULL DEFAULT NULL COMMENT '患者姓名',
  `id_card_no` varchar(24) NULL DEFAULT NULL COMMENT '身份证号',
  `patient_gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `patient_gender_standard` varchar(24) NULL DEFAULT NULL COMMENT '标准性别',
  `phone` varchar(24) NULL DEFAULT NULL COMMENT '电话号码',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `main_person_id` varchar(48) NOT NULL COMMENT '主患者编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 946949 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '患者信息表';

-- ----------------------------
-- Table structure for hd_wechat_qrcode_data_info
-- ----------------------------
DROP TABLE IF EXISTS `hd_wechat_qrcode_data_info`;
CREATE TABLE `hd_wechat_qrcode_data_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `scene_type` varchar(48) NOT NULL COMMENT '场景类型',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '员工id',
  `owner_type` varchar(48) NOT NULL COMMENT '拥有者类型',
  `owner_code` varchar(48) NOT NULL COMMENT '拥有者code',
  `owner_name` varchar(48) NULL DEFAULT NULL COMMENT '拥有者名字',
  `scene` varchar(48) NOT NULL COMMENT '场景值',
  `qr_type` varchar(48) NOT NULL COMMENT '二维码类型',
  `expire_seconds` int(11) NULL DEFAULT NULL COMMENT '过期时间(秒)',
  `expire_date` datetime NULL DEFAULT NULL COMMENT '过期时间',
  `ticket` varchar(128) NULL DEFAULT NULL COMMENT '换取微信二维码ticket',
  `url` varchar(128) NULL DEFAULT NULL COMMENT '用于自定义二维码的url',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '微信二维码数据表';

-- ----------------------------
-- Table structure for hd_wechat_qrcode_data_info_20240905
-- ----------------------------
DROP TABLE IF EXISTS `hd_wechat_qrcode_data_info_20240905`;
CREATE TABLE `hd_wechat_qrcode_data_info_20240905`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `scene_type` varchar(48) NOT NULL COMMENT '场景类型',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '员工id',
  `owner_type` varchar(48) NOT NULL COMMENT '拥有者类型',
  `owner_code` varchar(48) NOT NULL COMMENT '拥有者code',
  `owner_name` varchar(48) NULL DEFAULT NULL COMMENT '拥有者名字',
  `scene` varchar(48) NOT NULL COMMENT '场景值',
  `qr_type` varchar(48) NOT NULL COMMENT '二维码类型',
  `expire_seconds` int(11) NULL DEFAULT NULL COMMENT '过期时间(秒)',
  `expire_date` datetime NULL DEFAULT NULL COMMENT '过期时间',
  `ticket` varchar(128) NULL DEFAULT NULL COMMENT '换取微信二维码ticket',
  `url` varchar(128) NULL DEFAULT NULL COMMENT '用于自定义二维码的url',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '微信二维码数据表';

-- ----------------------------
-- Table structure for hl_weixin_user_info
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_info`;
CREATE TABLE `hl_weixin_user_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `open_id` varchar(128) NOT NULL COMMENT 'openId',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT 'UnionID',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `is_sync` varchar(1) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `open_id`(`open_id`) USING BTREE
) COMMENT = '互联网医院_微信用户';

-- ----------------------------
-- Table structure for hl_weixin_user_info_1
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_info_1`;
CREATE TABLE `hl_weixin_user_info_1`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `open_id` varchar(128) NOT NULL COMMENT 'openId',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT 'UnionID',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `is_sync` varchar(1) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院_微信用户';

-- ----------------------------
-- Table structure for hl_weixin_user_info_20240503
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_info_20240503`;
CREATE TABLE `hl_weixin_user_info_20240503`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `open_id` varchar(128) NOT NULL COMMENT 'openId',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT 'UnionID',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `is_sync` varchar(1) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `open_id`(`open_id`) USING BTREE
) COMMENT = '互联网医院_微信用户';

-- ----------------------------
-- Table structure for hl_weixin_user_patient_bind_info
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_patient_bind_info`;
CREATE TABLE `hl_weixin_user_patient_bind_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `wx_user_id` varchar(48) NOT NULL COMMENT '微信用户ID',
  `wx_open_id` varchar(128) NULL DEFAULT NULL COMMENT '微信openId',
  `wx_union_id` varchar(128) NULL DEFAULT NULL COMMENT '微信UnionID',
  `birthday` varchar(64) NULL DEFAULT NULL COMMENT '生日',
  `patient_id` varchar(64) NULL DEFAULT NULL COMMENT '就诊人Id',
  `patient_name` varchar(128) NULL DEFAULT NULL COMMENT '就诊人姓名',
  `patient_mobile` varchar(128) NULL DEFAULT NULL COMMENT '就诊人联系电话',
  `id_type` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件类型(1:二代身份证 2:港澳居民身份证 3:台湾居民身份证 4:护照)',
  `id_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件号',
  `pat_his_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型[21:院内就诊卡 22:市民卡 23:医保卡]',
  `pat_card_type_name` varchar(128) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `pat_card_no` varchar(64) NULL DEFAULT NULL COMMENT '医院卡号id',
  `is_default` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人[0-否 1-是]',
  `patient_sex` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人性别[F:女，M:男]',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系分类[1:本人 2:配偶 3:父母 4:子女 5:他人]',
  `relation_name` varchar(64) NULL DEFAULT NULL COMMENT '与本人关系名称',
  `patient_type` varchar(48) NULL DEFAULT NULL COMMENT '患者类型[0:成人 1:儿童 2:妇女 3:老人]',
  `patient_type_name` varchar(64) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(48) NULL DEFAULT NULL COMMENT '电子健康卡标识[0:无需绑定 1:需要升级 2:已有健康卡]',
  `ext_fields` text NULL COMMENT '扩展字段',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院_患者绑定信息';

-- ----------------------------
-- Table structure for hl_weixin_user_patient_bind_info_1
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_patient_bind_info_1`;
CREATE TABLE `hl_weixin_user_patient_bind_info_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `wx_user_id` varchar(48) NOT NULL COMMENT '微信用户ID',
  `wx_open_id` varchar(128) NULL DEFAULT NULL COMMENT '微信openId',
  `wx_union_id` varchar(128) NULL DEFAULT NULL COMMENT '微信UnionID',
  `birthday` varchar(64) NULL DEFAULT NULL COMMENT '生日',
  `patient_id` varchar(64) NULL DEFAULT NULL COMMENT '就诊人Id',
  `patient_name` varchar(128) NULL DEFAULT NULL COMMENT '就诊人姓名',
  `patient_mobile` varchar(128) NULL DEFAULT NULL COMMENT '就诊人联系电话',
  `id_type` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件类型(1:二代身份证 2:港澳居民身份证 3:台湾居民身份证 4:护照)',
  `id_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件号',
  `pat_his_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型[21:院内就诊卡 22:市民卡 23:医保卡]',
  `pat_card_type_name` varchar(128) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `pat_card_no` varchar(64) NULL DEFAULT NULL COMMENT '医院卡号id',
  `is_default` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人[0-否 1-是]',
  `patient_sex` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人性别[F:女，M:男]',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系分类[1:本人 2:配偶 3:父母 4:子女 5:他人]',
  `relation_name` varchar(64) NULL DEFAULT NULL COMMENT '与本人关系名称',
  `patient_type` varchar(48) NULL DEFAULT NULL COMMENT '患者类型[0:成人 1:儿童 2:妇女 3:老人]',
  `patient_type_name` varchar(64) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(48) NULL DEFAULT NULL COMMENT '电子健康卡标识[0:无需绑定 1:需要升级 2:已有健康卡]',
  `ext_fields` text NULL COMMENT '扩展字段',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院_患者绑定信息';

-- ----------------------------
-- Table structure for hl_weixin_user_patient_bind_info_20240503
-- ----------------------------
DROP TABLE IF EXISTS `hl_weixin_user_patient_bind_info_20240503`;
CREATE TABLE `hl_weixin_user_patient_bind_info_20240503`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `wx_user_id` varchar(48) NOT NULL COMMENT '微信用户ID',
  `wx_open_id` varchar(128) NULL DEFAULT NULL COMMENT '微信openId',
  `wx_union_id` varchar(128) NULL DEFAULT NULL COMMENT '微信UnionID',
  `birthday` varchar(64) NULL DEFAULT NULL COMMENT '生日',
  `patient_id` varchar(64) NULL DEFAULT NULL COMMENT '就诊人Id',
  `patient_name` varchar(128) NULL DEFAULT NULL COMMENT '就诊人姓名',
  `patient_mobile` varchar(128) NULL DEFAULT NULL COMMENT '就诊人联系电话',
  `id_type` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件类型(1:二代身份证 2:港澳居民身份证 3:台湾居民身份证 4:护照)',
  `id_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人证件号',
  `pat_his_no` varchar(64) NULL DEFAULT NULL COMMENT '就诊人门诊id',
  `pat_card_type` varchar(48) NULL DEFAULT NULL COMMENT '医院卡号类型[21:院内就诊卡 22:市民卡 23:医保卡]',
  `pat_card_type_name` varchar(128) NULL DEFAULT NULL COMMENT '医院卡号类型名称',
  `pat_card_no` varchar(64) NULL DEFAULT NULL COMMENT '医院卡号id',
  `is_default` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人[0-否 1-是]',
  `patient_sex` varchar(48) NULL DEFAULT NULL COMMENT '默认就诊人性别[F:女，M:男]',
  `relation_type` varchar(48) NULL DEFAULT NULL COMMENT '与本人关系分类[1:本人 2:配偶 3:父母 4:子女 5:他人]',
  `relation_name` varchar(64) NULL DEFAULT NULL COMMENT '与本人关系名称',
  `patient_type` varchar(48) NULL DEFAULT NULL COMMENT '患者类型[0:成人 1:儿童 2:妇女 3:老人]',
  `patient_type_name` varchar(64) NULL DEFAULT NULL COMMENT '患者类型名称',
  `health_card_flag` varchar(48) NULL DEFAULT NULL COMMENT '电子健康卡标识[0:无需绑定 1:需要升级 2:已有健康卡]',
  `ext_fields` text NULL COMMENT '扩展字段',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院_患者绑定信息';

-- ----------------------------
-- Table structure for hp_push_weixin_log
-- ----------------------------
DROP TABLE IF EXISTS `hp_push_weixin_log`;
CREATE TABLE `hp_push_weixin_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `user_type` varchar(24) NULL DEFAULT NULL COMMENT '用户分类',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '用户ID',
  `open_id` varchar(48) NULL DEFAULT NULL COMMENT '微信用户ID',
  `wx_app_id` varchar(48) NULL DEFAULT NULL COMMENT '微信主体编号',
  `biz_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务一级分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务二级分类',
  `biz_id` varchar(48) NULL DEFAULT NULL COMMENT '关联业务ID',
  `temp_id` varchar(48) NULL DEFAULT NULL COMMENT '模板ID',
  `remind_id` varchar(24) NULL DEFAULT NULL COMMENT '提醒ID',
  `send_status` varchar(48) NULL DEFAULT NULL COMMENT '推送状态',
  `send_result` varchar(24) NULL DEFAULT NULL COMMENT '推送结果',
  `first_send_dt` datetime NULL DEFAULT NULL COMMENT '第一推送时间',
  `last_send_dt` datetime NULL DEFAULT NULL COMMENT '最后推送时间',
  `send_num` int(11) NULL DEFAULT NULL COMMENT '推送次数',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `error_code` varchar(12) NULL DEFAULT NULL COMMENT '微信错误码',
  `error_msg` varchar(1024) NULL DEFAULT NULL COMMENT '微信错误信息',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '微信推送日志表';

-- ----------------------------
-- Table structure for inspur_article_config
-- ----------------------------
DROP TABLE IF EXISTS `inspur_article_config`;
CREATE TABLE `inspur_article_config`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_id` varchar(24) NOT NULL COMMENT '标准科室',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '标准疾病ID',
  `article_id` varchar(24) NULL DEFAULT NULL COMMENT '文章ID',
  `prompt_title` varchar(255) NULL DEFAULT NULL COMMENT '提示标题',
  `prompt_content` varchar(1024) NULL DEFAULT NULL COMMENT '提示词内容',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '健康科普配置';

-- ----------------------------
-- Table structure for inspur_component_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_component_info`;
CREATE TABLE `inspur_component_info`  (
  `id` varchar(24) NOT NULL COMMENT '编号',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `push_msg_config` varchar(1024) NULL DEFAULT NULL COMMENT '推送消息配置',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '类型 门诊/住院',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `event_id` varchar(24) NULL DEFAULT NULL COMMENT '事件ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '组件信息表';

-- ----------------------------
-- Table structure for inspur_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_dept_info`;
CREATE TABLE `inspur_dept_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `hospital_id` varchar(24) NULL DEFAULT NULL COMMENT '所属医院',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '院内科室名称',
  `dept_id` varchar(24) NOT NULL COMMENT '院内科室ID',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '科室地址分类',
  `addr` varchar(256) NULL DEFAULT NULL COMMENT '科室地址',
  `imgs` varchar(512) NULL DEFAULT NULL COMMENT '科室照片',
  `latitude` decimal(10, 6) NULL DEFAULT NULL COMMENT 'gps纬度',
  `longitude` decimal(10, 6) NULL DEFAULT NULL COMMENT 'gps经度',
  `status` varchar(2) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '院科室信息表';

-- ----------------------------
-- Table structure for inspur_dept_notes_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_dept_notes_info`;
CREATE TABLE `inspur_dept_notes_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_id` varchar(24) NOT NULL COMMENT '标准科室ID',
  `type` varchar(24) NOT NULL COMMENT '类型',
  `title` varchar(1024) NOT NULL COMMENT '标题',
  `content` text NOT NULL COMMENT '内容',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '科室注意事项';

-- ----------------------------
-- Table structure for inspur_drug_config_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_drug_config_info`;
CREATE TABLE `inspur_drug_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `type` varchar(24) NOT NULL COMMENT '分类',
  `hospital_id` varchar(24) NOT NULL COMMENT '所属医院',
  `addrs` varchar(1024) NOT NULL COMMENT '地址',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '取药配置信息';

-- ----------------------------
-- Table structure for inspur_event_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_event_info`;
CREATE TABLE `inspur_event_info`  (
  `id` varchar(24) NOT NULL COMMENT '编号',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '事件信息表';

-- ----------------------------
-- Table structure for inspur_exam_lab_notes_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_exam_lab_notes_info`;
CREATE TABLE `inspur_exam_lab_notes_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `item_type` varchar(24) NOT NULL COMMENT '标准项目分类',
  `item_id` varchar(48) NOT NULL COMMENT '标准项目ID',
  `hospital_id` varchar(24) NULL DEFAULT NULL COMMENT '所属医院',
  `addrs` varchar(256) NULL DEFAULT NULL COMMENT '检查地址',
  `content` text NULL COMMENT '注意内容',
  `report_time` varchar(48) NULL DEFAULT NULL COMMENT '报告时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '检验检查注意事项';

-- ----------------------------
-- Table structure for inspur_hospital_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_hospital_info`;
CREATE TABLE `inspur_hospital_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `addr` varchar(256) NULL DEFAULT NULL COMMENT '科室地址',
  `imgs` varchar(512) NULL DEFAULT NULL COMMENT '科室照片',
  `latitude` decimal(10, 6) NULL DEFAULT NULL COMMENT 'gps纬度',
  `longitude` decimal(10, 6) NULL DEFAULT NULL COMMENT 'gps经度',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '医院信息表';

-- ----------------------------
-- Table structure for inspur_op_notes_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_op_notes_info`;
CREATE TABLE `inspur_op_notes_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `op_item_id` varchar(24) NOT NULL COMMENT '标准手术ID',
  `op_item_name` varchar(128) NULL DEFAULT NULL COMMENT '标准手术名称',
  `op_before_note` text NULL COMMENT '术前注意事项',
  `op_after_note` text NULL COMMENT '术后注意事项',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '手术注意事项';

-- ----------------------------
-- Table structure for inspur_push_msg_log
-- ----------------------------
DROP TABLE IF EXISTS `inspur_push_msg_log`;
CREATE TABLE `inspur_push_msg_log`  (
  `id` varchar(24) NOT NULL COMMENT '数据ID',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者id',
  `open_id` varchar(48) NULL DEFAULT NULL COMMENT '发送openid',
  `rel_obj_type` varchar(20) NULL DEFAULT NULL COMMENT '关联对象分类',
  `rel_obj_id` varchar(48) NULL DEFAULT NULL COMMENT '关联对象id',
  `push_type` varchar(24) NULL DEFAULT NULL COMMENT '推送方式',
  `push_temp` varchar(128) NULL DEFAULT NULL COMMENT '推送模板',
  `push_params` varchar(1024) NULL DEFAULT NULL COMMENT '推送参数',
  `push_result` varchar(1024) NULL DEFAULT NULL COMMENT '返回信息',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '诊中数据推送日志';

-- ----------------------------
-- Table structure for inspur_therapy_notes_info
-- ----------------------------
DROP TABLE IF EXISTS `inspur_therapy_notes_info`;
CREATE TABLE `inspur_therapy_notes_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `therapy_id` varchar(24) NOT NULL COMMENT '标准治疗ID',
  `note` text NULL COMMENT '注意事项',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '治疗注意事项';

-- ----------------------------
-- Table structure for md_metadata_category_info
-- ----------------------------
DROP TABLE IF EXISTS `md_metadata_category_info`;
CREATE TABLE `md_metadata_category_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `pid` varchar(48) NOT NULL COMMENT '上级分类ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准元数据分类表';

-- ----------------------------
-- Table structure for md_metadata_info
-- ----------------------------
DROP TABLE IF EXISTS `md_metadata_info`;
CREATE TABLE `md_metadata_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '分类ID',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '业务类型(原始/标准)',
  `name` varchar(256) NOT NULL COMMENT '标准数据名称',
  `data_type` varchar(48) NULL DEFAULT NULL COMMENT '数据类型',
  `data_content_type` varchar(128) NULL DEFAULT NULL COMMENT '数据内容类型-DEL',
  `val_config` text NULL COMMENT '标准数据值配置',
  `result_type` varchar(512) NULL DEFAULT NULL COMMENT '数据结果分类(多)',
  `unit` varchar(48) NULL DEFAULT NULL COMMENT '数据单位',
  `reference_content` varchar(256) NULL DEFAULT NULL COMMENT '参考内容',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准元数据表';

-- ----------------------------
-- Table structure for md_table_category_info
-- ----------------------------
DROP TABLE IF EXISTS `md_table_category_info`;
CREATE TABLE `md_table_category_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(256) NOT NULL COMMENT '名称',
  `pid` varchar(48) NOT NULL COMMENT '上级分类ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '表模型目录表';

-- ----------------------------
-- Table structure for md_table_column_info
-- ----------------------------
DROP TABLE IF EXISTS `md_table_column_info`;
CREATE TABLE `md_table_column_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `table_id` varchar(64) NOT NULL COMMENT '所属表ID',
  `code` varchar(64) NULL DEFAULT NULL COMMENT '字段编号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '字段名称',
  `group_code` varchar(64) NULL DEFAULT NULL COMMENT '字段分组编号',
  `group_name` varchar(128) NULL DEFAULT NULL COMMENT '字段分组名称',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '字段类型',
  `config` varchar(1024) NULL DEFAULT NULL COMMENT '字段配置',
  `metadata_id` varchar(64) NULL DEFAULT NULL COMMENT '元数据ID',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '表字段模型表';

-- ----------------------------
-- Table structure for md_table_info
-- ----------------------------
DROP TABLE IF EXISTS `md_table_info`;
CREATE TABLE `md_table_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '表分类id',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `alias_name` varchar(256) NULL DEFAULT NULL COMMENT '别名',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `rel_type` varchar(64) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_id` varchar(64) NULL DEFAULT NULL COMMENT '关联业务ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '表模型表';

-- ----------------------------
-- Table structure for mdt_consultation_advice_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_advice_info`;
CREATE TABLE `mdt_consultation_advice_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_id` varchar(24) NOT NULL COMMENT '会诊ID',
  `dept_code` varchar(24) NULL DEFAULT NULL COMMENT '会诊科室编号',
  `doctor_id` varchar(24) NOT NULL COMMENT '会诊医生ID',
  `advice` varchar(1024) NOT NULL COMMENT '意见内容',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊意见信息表';

-- ----------------------------
-- Table structure for mdt_consultation_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_doctor_info`;
CREATE TABLE `mdt_consultation_doctor_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_id` varchar(24) NOT NULL COMMENT '会诊ID',
  `dept_code` varchar(64) NULL DEFAULT NULL COMMENT '会诊科室编号',
  `dept_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊科室名称',
  `doctor_id` varchar(24) NOT NULL COMMENT '会诊医生ID',
  `doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊医生名称',
  `duty_code` varchar(48) NULL DEFAULT NULL COMMENT '会诊医生职责编号',
  `duty_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊医生职责名称',
  `doctor_type` varchar(24) NULL DEFAULT NULL COMMENT '人员分类[指定/替补]',
  `transfer_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '替补的医生ID',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊医生信息表';

-- ----------------------------
-- Table structure for mdt_consultation_doctor_info_copy1
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_doctor_info_copy1`;
CREATE TABLE `mdt_consultation_doctor_info_copy1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_id` varchar(24) NOT NULL COMMENT '会诊ID',
  `dept_code` varchar(64) NULL DEFAULT NULL COMMENT '会诊科室编号',
  `dept_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊科室名称',
  `doctor_id` varchar(24) NOT NULL COMMENT '会诊医生ID',
  `doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊医生名称',
  `duty_code` varchar(48) NULL DEFAULT NULL COMMENT '会诊医生职责编号',
  `duty_name` varchar(128) NULL DEFAULT NULL COMMENT '会诊医生职责名称',
  `doctor_type` varchar(24) NULL DEFAULT NULL COMMENT '人员分类[指定/替补]',
  `transfer_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '替补的医生ID',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `op_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊医生信息表';

-- ----------------------------
-- Table structure for mdt_consultation_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_info`;
CREATE TABLE `mdt_consultation_info`  (
  `id` varchar(24) NOT NULL COMMENT '会诊单编号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '会诊单名称',
  `remark` text NULL COMMENT '申请单详细内容',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `inpatient_id` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '相关疾病ID',
  `apply_time` datetime NULL DEFAULT NULL COMMENT '申请时间',
  `apply_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '申请医生编号',
  `apply_doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '申请人医生名称',
  `apply_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '申请科室编号',
  `apply_dept_name` varchar(128) NULL DEFAULT NULL COMMENT '申请科室名称',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `submit_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '提交人医生ID',
  `submit_doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '提交人医生名称',
  `submit_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '所在科室ID',
  `submit_dept_name` varchar(128) NULL DEFAULT NULL COMMENT '所在科室名称',
  `ward_code` varchar(24) NULL DEFAULT NULL COMMENT '所在护士站[病房]ID',
  `ward_name` varchar(128) NULL DEFAULT NULL COMMENT '所在护士站[病房]名称',
  `overdue_time` datetime NULL DEFAULT NULL COMMENT '过期时间',
  `consultation_time` datetime NULL DEFAULT NULL COMMENT '会诊时间',
  `consultation_venue` varchar(512) NULL DEFAULT NULL COMMENT '会诊地点',
  `images` varchar(1024) NULL DEFAULT NULL COMMENT '会诊图片',
  `summary` text NULL COMMENT '总结内容',
  `summary_time` datetime NULL DEFAULT NULL COMMENT '总结时间',
  `summary_user_id` varchar(24) NULL DEFAULT NULL COMMENT '总结人',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `apply_type` varchar(1) NULL DEFAULT NULL COMMENT '会诊类型[0: 普通会诊;1: MDT会诊]',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊信息表';

-- ----------------------------
-- Table structure for mdt_consultation_info_copy1
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_info_copy1`;
CREATE TABLE `mdt_consultation_info_copy1`  (
  `id` varchar(24) NOT NULL COMMENT '会诊单编号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '会诊单名称',
  `remark` text NULL COMMENT '申请单详细内容',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `inpatient_id` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '相关疾病ID',
  `apply_time` datetime NULL DEFAULT NULL COMMENT '申请时间',
  `apply_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '申请医生编号',
  `apply_doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '申请人医生名称',
  `apply_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '申请科室编号',
  `apply_dept_name` varchar(128) NULL DEFAULT NULL COMMENT '申请科室名称',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `submit_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '提交人医生ID',
  `submit_doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '提交人医生名称',
  `submit_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '所在科室ID',
  `submit_dept_name` varchar(128) NULL DEFAULT NULL COMMENT '所在科室名称',
  `ward_code` varchar(24) NULL DEFAULT NULL COMMENT '所在护士站[病房]ID',
  `ward_name` varchar(128) NULL DEFAULT NULL COMMENT '所在护士站[病房]名称',
  `overdue_time` datetime NULL DEFAULT NULL COMMENT '过期时间',
  `consultation_time` datetime NULL DEFAULT NULL COMMENT '会诊时间',
  `consultation_venue` varchar(512) NULL DEFAULT NULL COMMENT '会诊地点',
  `images` varchar(1024) NULL DEFAULT NULL COMMENT '会诊图片',
  `summary` text NULL COMMENT '总结内容',
  `summary_time` datetime NULL DEFAULT NULL COMMENT '总结时间',
  `summary_user_id` varchar(24) NULL DEFAULT NULL COMMENT '总结人',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `apply_type` varchar(1) NULL DEFAULT NULL COMMENT '会诊类型[0: 普通会诊;1: MDT会诊]',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊信息表';

-- ----------------------------
-- Table structure for mdt_consultation_launch_apply_change_stat_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_launch_apply_change_stat_info`;
CREATE TABLE `mdt_consultation_launch_apply_change_stat_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NULL DEFAULT NULL COMMENT '日期',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '科室编号',
  `disease_id` varchar(24) NULL DEFAULT NULL COMMENT '病种ID',
  `finish_num` int(11) NULL DEFAULT NULL COMMENT '已完成会诊数量',
  `change_num` int(11) NULL DEFAULT NULL COMMENT '会诊转科数量',
  `change_now_num` int(11) NULL DEFAULT NULL COMMENT '会诊立即转科数量',
  `out_change_num` int(11) NULL DEFAULT NULL COMMENT '出院后转科入院数量',
  `therapy_change_num` int(11) NULL DEFAULT NULL COMMENT '治疗后转科数量',
  `real_change_num` int(11) NULL DEFAULT NULL COMMENT '实际转科数量',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '发起会诊申请转科统计信息表';

-- ----------------------------
-- Table structure for mdt_consultation_launch_apply_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_launch_apply_info`;
CREATE TABLE `mdt_consultation_launch_apply_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_type` varchar(48) NULL DEFAULT NULL COMMENT '会诊类型',
  `patient_id` varchar(128) NULL DEFAULT NULL COMMENT '患者编号',
  `inpatient_id` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `disease_id` varchar(256) NULL DEFAULT NULL COMMENT '相关疾病ID',
  `apply_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '申请医生ID',
  `launch_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '发起会诊医生ID',
  `content` varchar(1024) NULL DEFAULT NULL COMMENT '申请发起会诊内容',
  `apply_time` datetime NULL DEFAULT NULL COMMENT '实际发起的会诊时间',
  `consultation_id` varchar(1024) NULL DEFAULT NULL COMMENT '实际发起的会诊id',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `finish_time` datetime NULL DEFAULT NULL COMMENT '实际完成会诊的时间',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '实际发起会诊的时间',
  `manage_id` varchar(24) NULL DEFAULT NULL COMMENT '管理id',
  `type` varchar(12) NULL DEFAULT NULL COMMENT '会诊申请类型',
  `consultation_label_id` varchar(48) NULL DEFAULT NULL COMMENT '会诊标签id',
  `resend_flg` varchar(1) NULL DEFAULT NULL COMMENT '重发标识',
  `resend_count` int(11) NULL DEFAULT NULL COMMENT '重发次数',
  `resend_date` datetime NULL DEFAULT NULL COMMENT '重发时间',
  `resend_op_user_id` varchar(48) NULL DEFAULT NULL COMMENT '重发操作人',
  `join_dept` varchar(2048) NULL DEFAULT NULL COMMENT '参加会诊部门',
  `ht_task_state` varchar(48) NULL DEFAULT NULL COMMENT 'ht任务状态',
  `ht_task_result` varchar(1024) NULL DEFAULT NULL COMMENT 'ht任务返回',
  `inpatient_record_log` varchar(2048) NULL DEFAULT NULL COMMENT '住院信息日志',
  `extend1` text NULL COMMENT '扩展字段1',
  `extend2` varchar(255) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend3` varchar(255) NULL DEFAULT NULL COMMENT '扩展字段3',
  `examine_type` varchar(24) NULL DEFAULT NULL COMMENT '申诉类型',
  `examine_state` varchar(24) NULL DEFAULT NULL COMMENT '申诉状态',
  `examine_date` datetime NULL DEFAULT NULL COMMENT '申诉时间',
  `examine_describe` varchar(1024) NULL DEFAULT NULL COMMENT '申诉描述',
  `examine_audit_info` varchar(1024) NULL DEFAULT NULL COMMENT '审批内容',
  `examine_audit_user` varchar(1024) NULL DEFAULT NULL COMMENT '审批人',
  `examine_audit_date` datetime NULL DEFAULT NULL COMMENT '审批时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '发起会诊申请信息表';

-- ----------------------------
-- Table structure for mdt_consultation_launch_apply_log
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_launch_apply_log`;
CREATE TABLE `mdt_consultation_launch_apply_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `apply_id` varchar(24) NOT NULL COMMENT '申请id',
  `apply_status` varchar(24) NOT NULL COMMENT '申请状态',
  `apply_log_type` varchar(24) NULL DEFAULT NULL COMMENT '申请日志类型',
  `op_user_id` varchar(48) NULL DEFAULT NULL COMMENT '操作人id',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作人时间',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '发起会诊申请日志表';

-- ----------------------------
-- Table structure for mdt_consultation_launch_apply_stat_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_launch_apply_stat_info`;
CREATE TABLE `mdt_consultation_launch_apply_stat_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NULL DEFAULT NULL COMMENT '日期',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '科室编号',
  `start_num` int(11) NULL DEFAULT NULL COMMENT '发起会诊提醒数量',
  `apply_num` int(11) NULL DEFAULT NULL COMMENT '发起会诊数量',
  `not_apply_num` int(11) NULL DEFAULT NULL COMMENT '未发起会诊数量',
  `examine_num` int(11) NULL DEFAULT NULL COMMENT '申诉数量',
  `finish_num` int(11) NULL DEFAULT NULL COMMENT '已完成会诊数量',
  `change_num` int(11) NULL DEFAULT NULL COMMENT '会诊转科数量',
  `change_now_num` int(11) NULL DEFAULT NULL COMMENT '会诊立即转科数量',
  `out_change_num` int(11) NULL DEFAULT NULL COMMENT '出院后转科入院数量',
  `therapy_change_num` int(11) NULL DEFAULT NULL COMMENT '治疗后转科数量',
  `real_change_num` int(11) NULL DEFAULT NULL COMMENT '实际转科数量',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '发起会诊申请统计信息表';

-- ----------------------------
-- Table structure for mdt_consultation_launch_apply_timeout_stat
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_launch_apply_timeout_stat`;
CREATE TABLE `mdt_consultation_launch_apply_timeout_stat`  (
  `id` varchar(24) NOT NULL COMMENT '数据ID',
  `stat_date` varchar(24) NULL DEFAULT NULL COMMENT '统计日期',
  `apply_total` int(11) NULL DEFAULT NULL COMMENT '会诊申请总数',
  `undoing` int(11) NULL DEFAULT NULL COMMENT '超过48小时未发起',
  `undone` int(11) NULL DEFAULT NULL COMMENT '发起后24小时未完成',
  `done` int(11) NULL DEFAULT NULL COMMENT '24小时内完成',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `undone48` int(11) NULL DEFAULT NULL COMMENT '超过48小时发起未完成',
  `stat_date48` varchar(24) NULL DEFAULT NULL COMMENT '未完成统计日期',
  `apply_total48` int(11) NULL DEFAULT NULL COMMENT '数量 48小时前',
  `resend_count48` int(11) NULL DEFAULT NULL COMMENT '48小时前提醒数量',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '会诊申请统计表';

-- ----------------------------
-- Table structure for mdt_consultation_notify_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_notify_info`;
CREATE TABLE `mdt_consultation_notify_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `apply_id` varchar(24) NOT NULL COMMENT '会诊申请id',
  `doctor_id` varchar(24) NOT NULL COMMENT '医生ID',
  `disease_id` varchar(256) NULL DEFAULT NULL COMMENT '相关疾病',
  `consultation_label_id` varchar(256) NULL DEFAULT NULL COMMENT '会诊标签id',
  `patient_id` varchar(128) NOT NULL COMMENT '患者编号',
  `notify_info` varchar(1024) NOT NULL COMMENT '通知内容',
  `notify_type` varchar(10) NOT NULL COMMENT '记录分类(发起/参与)',
  `consultation_id` varchar(1024) NULL DEFAULT NULL COMMENT '实际发起的会诊id',
  `notify_status` varchar(24) NULL DEFAULT NULL COMMENT '通知状态',
  `consultation_status` varchar(24) NULL DEFAULT NULL COMMENT '会诊状态',
  `rows_status` varchar(1) NULL DEFAULT NULL COMMENT '逻辑删除标记',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者信息访问权限配置';

-- ----------------------------
-- Table structure for mdt_consultation_sign_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_consultation_sign_info`;
CREATE TABLE `mdt_consultation_sign_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_id` varchar(48) NOT NULL COMMENT '会诊ID',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '医生ID',
  `sign_time` datetime NULL DEFAULT NULL COMMENT '签到时间',
  `sign_way` varchar(24) NULL DEFAULT NULL COMMENT '签到方式',
  `sign_longitude` varchar(24) NULL DEFAULT NULL COMMENT '签到位置-经度',
  `sign_latitude` varchar(24) NULL DEFAULT NULL COMMENT '签到位置-纬度',
  `sign_ip` varchar(1024) NULL DEFAULT NULL COMMENT '签到IP',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'MDT会诊签到信息表';

-- ----------------------------
-- Table structure for mdt_his_consultation_advice_info
-- ----------------------------
DROP TABLE IF EXISTS `mdt_his_consultation_advice_info`;
CREATE TABLE `mdt_his_consultation_advice_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `consultation_id` varchar(24) NOT NULL COMMENT '会诊ID',
  `inpatient_id` varchar(24) NULL DEFAULT NULL COMMENT '住院号',
  `visit_id` varchar(24) NULL DEFAULT NULL COMMENT '门诊号',
  `mdt_dept_code` varchar(24) NULL DEFAULT NULL COMMENT '被会诊科室编号',
  `mdt_dept_name` varchar(128) NULL DEFAULT NULL COMMENT '被会诊科室名称',
  `dept_code` varchar(24) NULL DEFAULT NULL COMMENT '科室编号',
  `dept_name` varchar(128) NULL DEFAULT NULL COMMENT '科室名称',
  `ward_code` varchar(24) NULL DEFAULT NULL COMMENT '护士站编号',
  `ward_name` varchar(128) NULL DEFAULT NULL COMMENT '护士站名称',
  `submit_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '提交医生ID',
  `submit_doctor_name` varchar(128) NULL DEFAULT NULL COMMENT '提交医生名称',
  `submit_content` text NULL COMMENT '提交内容',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态[1 已会诊 0 未会诊]',
  `followup` varchar(24) NULL DEFAULT NULL COMMENT '随访时间',
  `submit_xml_content` text NULL COMMENT '提交xml内容',
  `target_type` varchar(12) NULL DEFAULT NULL COMMENT '会诊目标类型',
  `target` varchar(2048) NULL DEFAULT NULL COMMENT '会诊目标',
  `target_finish_time` datetime NULL DEFAULT NULL COMMENT '会诊目标完成时间',
  `target_status` varchar(12) NULL DEFAULT NULL COMMENT '目标状态',
  `target_sub_type` varchar(12) NULL DEFAULT NULL COMMENT '会诊目标子类型',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `consultation_id`(`consultation_id`) USING BTREE
) COMMENT = 'MDT海泰会诊意见信息表';

-- ----------------------------
-- Table structure for mid_info
-- ----------------------------
DROP TABLE IF EXISTS `mid_info`;
CREATE TABLE `mid_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name_raw` varchar(255) NULL DEFAULT NULL,
  `code_raw` varchar(255) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Table structure for ods_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `ods_patient_info`;
CREATE TABLE `ods_patient_info`  (
  `patient_id` varchar(64) NOT NULL COMMENT '患者编号',
  `patient_name` varchar(64) NULL DEFAULT NULL COMMENT '患者姓名',
  `id_card_no` varchar(24) NULL DEFAULT NULL COMMENT '身份证号',
  `patient_gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `birthday` varchar(24) NULL DEFAULT NULL COMMENT '生日',
  `phone` varchar(256) NULL DEFAULT NULL COMMENT '电话号码',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注信息',
  `data_update_date` datetime NULL DEFAULT NULL COMMENT '数据更新时间',
  `op_data_user` varchar(48) NULL DEFAULT NULL COMMENT '数据操作人',
  `op_update_data` datetime NULL DEFAULT NULL COMMENT '数据操作时间'
);

-- ----------------------------
-- Table structure for r_data_label_execute_log_mid
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_execute_log_mid`;
CREATE TABLE `r_data_label_execute_log_mid`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(11) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(11) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `rdl_executelog_patientId`(`patient_id`) USING BTREE,
  INDEX `rdl_executelog_ruleId`(`rule_id`) USING BTREE,
  INDEX `rdl_executelog_actionConfig`(`action_config`) USING BTREE,
  INDEX `rdl_executelog_opDate`(`op_date`) USING BTREE
) COMMENT = 'N数据标签规则执行日志信息表_mid';

-- ----------------------------
-- Table structure for r_data_label_rule_back_up_info
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_back_up_info`;
CREATE TABLE `r_data_label_rule_back_up_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `config_id` varchar(24) NOT NULL COMMENT '配置id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `version_no` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `config` text NULL COMMENT '配置',
  `label_ids` varchar(512) NULL DEFAULT NULL COMMENT '新增标签列表',
  `init_date_type` varchar(24) NULL DEFAULT NULL COMMENT '初始数据时间分类',
  `init_date_value` int(11) NULL DEFAULT NULL COMMENT '初始数据时间值',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `back_up_remark` varchar(256) NULL DEFAULT NULL COMMENT '备份备注',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '数据标签规则配置备份表';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2409
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2409`;
CREATE TABLE `r_data_label_rule_call_log_2409`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2409';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2410
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2410`;
CREATE TABLE `r_data_label_rule_call_log_2410`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2410';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2411
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2411`;
CREATE TABLE `r_data_label_rule_call_log_2411`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2411';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2412
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2412`;
CREATE TABLE `r_data_label_rule_call_log_2412`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2412';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2501
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2501`;
CREATE TABLE `r_data_label_rule_call_log_2501`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2501';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2502
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2502`;
CREATE TABLE `r_data_label_rule_call_log_2502`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2502';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2503
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2503`;
CREATE TABLE `r_data_label_rule_call_log_2503`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2503';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2504
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2504`;
CREATE TABLE `r_data_label_rule_call_log_2504`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2504';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2505
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2505`;
CREATE TABLE `r_data_label_rule_call_log_2505`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2505';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2506
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2506`;
CREATE TABLE `r_data_label_rule_call_log_2506`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2506';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2507
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2507`;
CREATE TABLE `r_data_label_rule_call_log_2507`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2507';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2508
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2508`;
CREATE TABLE `r_data_label_rule_call_log_2508`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2508';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2509
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2509`;
CREATE TABLE `r_data_label_rule_call_log_2509`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2509';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2510
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2510`;
CREATE TABLE `r_data_label_rule_call_log_2510`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2510';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2511
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2511`;
CREATE TABLE `r_data_label_rule_call_log_2511`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2511';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2512
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2512`;
CREATE TABLE `r_data_label_rule_call_log_2512`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2512';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2601
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2601`;
CREATE TABLE `r_data_label_rule_call_log_2601`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2601';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2602
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2602`;
CREATE TABLE `r_data_label_rule_call_log_2602`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2602';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2603
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2603`;
CREATE TABLE `r_data_label_rule_call_log_2603`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2603';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2604
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2604`;
CREATE TABLE `r_data_label_rule_call_log_2604`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2604';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2605
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2605`;
CREATE TABLE `r_data_label_rule_call_log_2605`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2605';

-- ----------------------------
-- Table structure for r_data_label_rule_call_log_2606
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_call_log_2606`;
CREATE TABLE `r_data_label_rule_call_log_2606`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `call_type` varchar(48) NOT NULL COMMENT '调用方式类型',
  `call_param` varchar(255) NULL DEFAULT NULL COMMENT '调用参数',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NOT NULL COMMENT '截止执行时间',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `patient_data_change` varchar(512) NULL DEFAULT NULL COMMENT '患者数据变更',
  `err_msg` varchar(1024) NULL DEFAULT NULL COMMENT '错误信息',
  `result_flag` varchar(4) NULL DEFAULT NULL COMMENT '结果标记',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签调用日志表-2606';

-- ----------------------------
-- Table structure for r_data_label_rule_category_info
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_category_info`;
CREATE TABLE `r_data_label_rule_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '上级ID',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则分类信息表';

-- ----------------------------
-- Table structure for r_data_label_rule_config
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_config`;
CREATE TABLE `r_data_label_rule_config`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `version_no` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `config` text NULL COMMENT '配置',
  `label_ids` varchar(512) NULL DEFAULT NULL COMMENT '新增标签列表',
  `init_date_type` varchar(24) NULL DEFAULT NULL COMMENT '初始数据时间分类',
  `init_date_value` int(11) NULL DEFAULT NULL COMMENT '初始数据时间值',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `category_id` varchar(24) NULL DEFAULT NULL COMMENT '分类id',
  `disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '疾病ids',
  `label_validity_num` int(11) NULL DEFAULT NULL COMMENT '新增标签有效期',
  `init_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '初始数据执行状态',
  `init_exe_time` datetime NULL DEFAULT NULL COMMENT '初始数据执行时间',
  `real_run_time` datetime NULL DEFAULT NULL,
  `up_time` datetime NULL DEFAULT NULL,
  `extend_one` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend_two` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend_three` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  `exe_batch` int(10) NULL DEFAULT NULL COMMENT '执行批次',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则配置表';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2409
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2409`;
CREATE TABLE `r_data_label_rule_exe_log_2409`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2409';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2410
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2410`;
CREATE TABLE `r_data_label_rule_exe_log_2410`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2410';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2411
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2411`;
CREATE TABLE `r_data_label_rule_exe_log_2411`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2411';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2412
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2412`;
CREATE TABLE `r_data_label_rule_exe_log_2412`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2412';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2501
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2501`;
CREATE TABLE `r_data_label_rule_exe_log_2501`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2501';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2502
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2502`;
CREATE TABLE `r_data_label_rule_exe_log_2502`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2502';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2503
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2503`;
CREATE TABLE `r_data_label_rule_exe_log_2503`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2503';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2504
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2504`;
CREATE TABLE `r_data_label_rule_exe_log_2504`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2504';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2505
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2505`;
CREATE TABLE `r_data_label_rule_exe_log_2505`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2505';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2506
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2506`;
CREATE TABLE `r_data_label_rule_exe_log_2506`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2506';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2507
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2507`;
CREATE TABLE `r_data_label_rule_exe_log_2507`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2507';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2508
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2508`;
CREATE TABLE `r_data_label_rule_exe_log_2508`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2508';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2509
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2509`;
CREATE TABLE `r_data_label_rule_exe_log_2509`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2509';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2510
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2510`;
CREATE TABLE `r_data_label_rule_exe_log_2510`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2510';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2511
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2511`;
CREATE TABLE `r_data_label_rule_exe_log_2511`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2511';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2512
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2512`;
CREATE TABLE `r_data_label_rule_exe_log_2512`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2512';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2601
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2601`;
CREATE TABLE `r_data_label_rule_exe_log_2601`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2601';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2602
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2602`;
CREATE TABLE `r_data_label_rule_exe_log_2602`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2602';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2603
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2603`;
CREATE TABLE `r_data_label_rule_exe_log_2603`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2603';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2604
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2604`;
CREATE TABLE `r_data_label_rule_exe_log_2604`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2604';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2605
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2605`;
CREATE TABLE `r_data_label_rule_exe_log_2605`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2605';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_log_2606
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_log_2606`;
CREATE TABLE `r_data_label_rule_exe_log_2606`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `main_batch_id` varchar(48) NOT NULL COMMENT '主执行批次ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '规则ID',
  `start_dt` datetime NOT NULL COMMENT '开始执行时间',
  `end_dt` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `patient_data_dt` varchar(48) NULL DEFAULT NULL COMMENT '患者数据日期',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `result_remark` varchar(256) NULL DEFAULT NULL COMMENT '执行结果备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签执行日志表-2606';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2409
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2409`;
CREATE TABLE `r_data_label_rule_exe_success_info_2409`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2409';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2410
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2410`;
CREATE TABLE `r_data_label_rule_exe_success_info_2410`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2410';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2411
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2411`;
CREATE TABLE `r_data_label_rule_exe_success_info_2411`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2411';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2412
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2412`;
CREATE TABLE `r_data_label_rule_exe_success_info_2412`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2412';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2501
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2501`;
CREATE TABLE `r_data_label_rule_exe_success_info_2501`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2501';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2502
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2502`;
CREATE TABLE `r_data_label_rule_exe_success_info_2502`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2502';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2503
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2503`;
CREATE TABLE `r_data_label_rule_exe_success_info_2503`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2503';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2504
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2504`;
CREATE TABLE `r_data_label_rule_exe_success_info_2504`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2504';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2505
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2505`;
CREATE TABLE `r_data_label_rule_exe_success_info_2505`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2505';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2506
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2506`;
CREATE TABLE `r_data_label_rule_exe_success_info_2506`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2506';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2507
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2507`;
CREATE TABLE `r_data_label_rule_exe_success_info_2507`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2507';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2508
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2508`;
CREATE TABLE `r_data_label_rule_exe_success_info_2508`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2508';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2509
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2509`;
CREATE TABLE `r_data_label_rule_exe_success_info_2509`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2509';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2510
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2510`;
CREATE TABLE `r_data_label_rule_exe_success_info_2510`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2510';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2511
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2511`;
CREATE TABLE `r_data_label_rule_exe_success_info_2511`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2511';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2512
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2512`;
CREATE TABLE `r_data_label_rule_exe_success_info_2512`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2512';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2601
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2601`;
CREATE TABLE `r_data_label_rule_exe_success_info_2601`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2601';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2602
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2602`;
CREATE TABLE `r_data_label_rule_exe_success_info_2602`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2602';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2603
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2603`;
CREATE TABLE `r_data_label_rule_exe_success_info_2603`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2603';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2604
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2604`;
CREATE TABLE `r_data_label_rule_exe_success_info_2604`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2604';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2605
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2605`;
CREATE TABLE `r_data_label_rule_exe_success_info_2605`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2605';

-- ----------------------------
-- Table structure for r_data_label_rule_exe_success_info_2606
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_exe_success_info_2606`;
CREATE TABLE `r_data_label_rule_exe_success_info_2606`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `patient_data_dt` datetime NULL DEFAULT NULL COMMENT '患者数据日期',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_version` int(10) NOT NULL COMMENT '流程规则版本号',
  `rule_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(10) NULL DEFAULT NULL COMMENT '操作时间(秒)',
  `execute_result` text NULL COMMENT '执行结果路径',
  `execute_result_status` varchar(24) NULL DEFAULT NULL COMMENT '执行结果状态',
  `action_config` varchar(64) NULL DEFAULT NULL COMMENT '执行动作配置',
  `op_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则执行成功依据表-2606';

-- ----------------------------
-- Table structure for r_data_label_rule_rel_info
-- ----------------------------
DROP TABLE IF EXISTS `r_data_label_rule_rel_info`;
CREATE TABLE `r_data_label_rule_rel_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `config_id` varchar(48) NOT NULL COMMENT '配置ID',
  `param_type` varchar(24) NULL DEFAULT NULL COMMENT '参数分类',
  `param_code` varchar(128) NULL DEFAULT NULL COMMENT '参数编号',
  `param_name` varchar(128) NULL DEFAULT NULL COMMENT '参数名称',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `condition_one_code` varchar(48) NULL DEFAULT NULL COMMENT '条件一级分类编号',
  `condition_one_name` varchar(96) NULL DEFAULT NULL COMMENT '条件一级分类名称',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '数据标签规则引用信息表';

-- ----------------------------
-- Table structure for r_etl_data_clean_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_clean_config_info`;
CREATE TABLE `r_etl_data_clean_config_info`  (
  `code` varchar(24) NOT NULL COMMENT '编号',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `remark` varchar(64) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '清洗数据分类',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = 'ETL数据清洗规则配置表';

-- ----------------------------
-- Table structure for r_etl_data_clean_config_item_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_clean_config_item_info`;
CREATE TABLE `r_etl_data_clean_config_item_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `data_clean_code` varchar(24) NOT NULL COMMENT '数据清洗编号',
  `project_code` varchar(64) NOT NULL COMMENT '项目编号',
  `source_name` varchar(128) NULL DEFAULT NULL COMMENT '原始数据名称',
  `source_code` varchar(128) NULL DEFAULT NULL COMMENT '原始数据编号',
  `standard_name` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据名称',
  `standard_code` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据编号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '处理状态',
  `handle_date` datetime NULL DEFAULT NULL COMMENT '处理时间',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'ETL数据清洗规则明细配置表';

-- ----------------------------
-- Table structure for r_etl_data_clean_config_item_info_mid
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_clean_config_item_info_mid`;
CREATE TABLE `r_etl_data_clean_config_item_info_mid`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `source_name` varchar(128) NULL DEFAULT NULL COMMENT '原始数据名称',
  `source_code` varchar(128) NULL DEFAULT NULL COMMENT '原始数据编号',
  `standard_name` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据名称',
  `standard_code` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据编号',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2273 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'ETL数据清洗规则明细配置表_mid';

-- ----------------------------
-- Table structure for r_etl_data_key_clean_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_key_clean_config_info`;
CREATE TABLE `r_etl_data_key_clean_config_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_key` varchar(48) NULL DEFAULT NULL COMMENT '数据标记KEY',
  `source_name` varchar(128) NULL DEFAULT NULL COMMENT '原始数据',
  `standard_type` varchar(24) NULL DEFAULT NULL COMMENT '对应标准分类',
  `standard_name` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据名称',
  `standard_code` varchar(128) NULL DEFAULT NULL COMMENT '对应标准数据编号',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '处理状态',
  `handle_date` datetime NULL DEFAULT NULL COMMENT '处理时间',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'ETL数据Key清洗规则配置表';

-- ----------------------------
-- Table structure for r_etl_data_key_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_key_info`;
CREATE TABLE `r_etl_data_key_info`  (
  `code` varchar(24) NOT NULL COMMENT '数据标记KEY',
  `name` varchar(64) NOT NULL COMMENT '数据标记名称',
  `data_type` varchar(24) NOT NULL COMMENT '对应数据分类',
  `data_config` varchar(128) NULL DEFAULT NULL COMMENT '对应数据配置',
  `remark` varchar(64) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = 'ETL数据Key信息表';

-- ----------------------------
-- Table structure for r_etl_data_key_table_meta_rel_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_data_key_table_meta_rel_info`;
CREATE TABLE `r_etl_data_key_table_meta_rel_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `project_code` varchar(64) NOT NULL COMMENT '项目编号',
  `table_code` varchar(64) NOT NULL COMMENT '表编号',
  `column_code` varchar(64) NOT NULL COMMENT '字段编号',
  `data_key` varchar(24) NOT NULL COMMENT '数据key',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'ET数据Key与元数据对应关系表';

-- ----------------------------
-- Table structure for r_etl_dcc_tcm_rel_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_dcc_tcm_rel_info`;
CREATE TABLE `r_etl_dcc_tcm_rel_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `meta_code` varchar(64) NOT NULL COMMENT '表元数据编号',
  `clean_code` varchar(24) NOT NULL COMMENT '清洗规则编号',
  `contion_config` text NULL COMMENT '关联条件',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = 'ETL数据清洗规则与表元数据关系表';

-- ----------------------------
-- Table structure for r_etl_table_clean_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_table_clean_config_info`;
CREATE TABLE `r_etl_table_clean_config_info`  (
  `code` varchar(48) NOT NULL COMMENT '编号',
  `project_code` varchar(64) NOT NULL COMMENT '项目编号',
  `table_code` varchar(64) NOT NULL COMMENT '表编号',
  `column_code` varchar(64) NOT NULL COMMENT '字段编号',
  `clean_code_one` varchar(48) NULL DEFAULT NULL COMMENT '清洗规则编号1',
  `clean_code_two` varchar(48) NULL DEFAULT NULL COMMENT '清洗规则编号2',
  `clean_code_three` varchar(1) NULL DEFAULT NULL COMMENT '清洗规则编号3',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = 'ETL元数据数据清洗规则关系配置';

-- ----------------------------
-- Table structure for r_etl_table_column_meta_info
-- ----------------------------
DROP TABLE IF EXISTS `r_etl_table_column_meta_info`;
CREATE TABLE `r_etl_table_column_meta_info`  (
  `code` varchar(48) NOT NULL COMMENT '编号',
  `project_code` varchar(64) NOT NULL COMMENT '项目编号',
  `table_code` varchar(64) NOT NULL COMMENT '表编号',
  `column_code` varchar(64) NOT NULL COMMENT '字段编号',
  `contion_rule_yn` varchar(1) NULL DEFAULT NULL COMMENT '是否条件规则',
  `read_config` varchar(512) NULL DEFAULT NULL COMMENT '读规则',
  `write_config` text NULL COMMENT '写规则',
  `process_config` varchar(512) NULL DEFAULT NULL COMMENT '处理规则',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = 'ETL数据清洗元数据配置';

-- ----------------------------
-- Table structure for r_flow_task_info
-- ----------------------------
DROP TABLE IF EXISTS `r_flow_task_info`;
CREATE TABLE `r_flow_task_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `flow_urgent` varchar(24) NULL DEFAULT NULL COMMENT '紧急程度',
  `grade` varchar(24) NULL DEFAULT NULL COMMENT '重要等级',
  `project_code` varchar(24) NULL DEFAULT NULL COMMENT '项目编号',
  `rule_flow_id` varchar(24) NOT NULL COMMENT '流程规则配置ID',
  `rule_flow_name` varchar(128) NULL DEFAULT NULL COMMENT '流程规则名称',
  `rule_flow_category_id` varchar(24) NULL DEFAULT NULL COMMENT '流程规则分类ID',
  `rule_flow_version` int(11) NULL DEFAULT NULL COMMENT '流程规则版本号',
  `rule_flow_biz_type` varchar(255) NULL DEFAULT NULL COMMENT '流程规则业务分类',
  `start_time` datetime NOT NULL COMMENT '流程开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '流程截止时间',
  `status` varchar(24) NOT NULL COMMENT '流程状态',
  `completion` int(11) NULL DEFAULT NULL COMMENT '完成情况',
  `description` varchar(128) NULL DEFAULT NULL COMMENT '描述',
  `this_step_no` varchar(24) NULL DEFAULT NULL COMMENT '当前步骤节点编号',
  `this_step_name` varchar(64) NULL DEFAULT NULL COMMENT '当前步骤节点名称',
  `this_step_id` varchar(24) NULL DEFAULT NULL COMMENT '当前步骤任务ID',
  `patient_user_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '工作流任务表';

-- ----------------------------
-- Table structure for r_flow_task_node_info
-- ----------------------------
DROP TABLE IF EXISTS `r_flow_task_node_info`;
CREATE TABLE `r_flow_task_node_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `task_id` varchar(24) NOT NULL COMMENT '任务ID',
  `rule_flow_id` varchar(24) NOT NULL COMMENT '流程规则配置ID',
  `node_code` varchar(24) NULL DEFAULT NULL COMMENT '节点编码',
  `node_name` varchar(64) NULL DEFAULT NULL COMMENT '节点名称',
  `node_type` varchar(24) NULL DEFAULT NULL COMMENT '节点类型',
  `node_rule_type` varchar(24) NULL DEFAULT NULL COMMENT '节点规则类型',
  `node_advance_ratio` int(11) NULL DEFAULT NULL COMMENT '节点完成进度',
  `node_check_way` varchar(24) NULL DEFAULT NULL COMMENT '节点审批方式',
  `node_check_ratio` int(11) NULL DEFAULT NULL COMMENT '节点会签比例',
  `node_up` varchar(48) NULL DEFAULT NULL COMMENT '上一节点',
  `node_next` varchar(48) NULL DEFAULT NULL COMMENT '下一节点',
  `description` varchar(48) NULL DEFAULT NULL COMMENT '描述',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `start_time` datetime NOT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '截止时间',
  `is_cron_trigger` varchar(1) NULL DEFAULT NULL COMMENT '是否定时触发',
  `trigger_config` varchar(256) NULL DEFAULT NULL COMMENT '定时触发配置',
  `trigger_date_list` text NULL COMMENT '定时触发时间列表',
  `trigger_date_list_yes` text NULL COMMENT '定时触发已执行时间列表',
  `trigger_date_list_no` text NULL COMMENT '定时触发未执行时间列表',
  `trigger_status` varchar(24) NULL DEFAULT NULL COMMENT '定时触发执行状态',
  `action_config` varchar(1024) NULL DEFAULT NULL COMMENT '执行动作配置',
  `start_user_id` varchar(48) NULL DEFAULT NULL COMMENT '发起人用户ID',
  `is_execute_user` varchar(1) NULL DEFAULT NULL COMMENT '是否有执行人',
  `execute_user_ids` varchar(256) NULL DEFAULT NULL COMMENT '所有执行人用户ID',
  `execute_yes_user_ids` varchar(256) NULL DEFAULT NULL COMMENT '已执行人用户ID',
  `execute_no_user_ids` varchar(256) NULL DEFAULT NULL COMMENT '待执行人用户ID',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `trigger_date_start` datetime NULL DEFAULT NULL COMMENT '定时触发开始时间',
  `trigger_date_end` datetime NULL DEFAULT NULL COMMENT '定时触发截止时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '工作流步骤节点任务表';

-- ----------------------------
-- Table structure for r_flow_task_operator_info
-- ----------------------------
DROP TABLE IF EXISTS `r_flow_task_operator_info`;
CREATE TABLE `r_flow_task_operator_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `task_id` varchar(48) NOT NULL COMMENT '任务ID',
  `task_node_id` varchar(48) NOT NULL COMMENT '任务步骤ID',
  `node_code` varchar(48) NULL DEFAULT NULL COMMENT '节点编码',
  `node_name` varchar(128) NULL DEFAULT NULL COMMENT '节点名称',
  `node_type` varchar(24) NULL DEFAULT NULL COMMENT '节点类型',
  `handle_user_id` varchar(48) NULL DEFAULT NULL COMMENT '处理人ID',
  `handle_status` varchar(24) NULL DEFAULT NULL COMMENT '处理状态',
  `handle_time` datetime NULL DEFAULT NULL COMMENT '处理时间',
  `handle_remark` varchar(256) NULL DEFAULT NULL COMMENT '处理意见',
  `handle_attachment` varchar(256) NULL DEFAULT NULL COMMENT '处理附件',
  `handle_return_node` varchar(48) NULL DEFAULT NULL COMMENT '处理回退节点',
  `handle_transfer_user_ids` varchar(256) NULL DEFAULT NULL COMMENT '处理转交人用户ID',
  `handle_copy_user_ids` varchar(256) NULL DEFAULT NULL COMMENT '处理抄送人用户ID',
  `description` varchar(128) NULL DEFAULT NULL COMMENT '描述',
  `draft_data` varchar(256) NULL DEFAULT NULL COMMENT '草稿数据',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '工作流任务处理信息表';

-- ----------------------------
-- Table structure for r_rule_action_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_action_info`;
CREATE TABLE `r_rule_action_info`  (
  `id` varchar(256) NOT NULL COMMENT 'id',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '动作信息表';

-- ----------------------------
-- Table structure for r_rule_action_log_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_action_log_info`;
CREATE TABLE `r_rule_action_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `act_code` varchar(48) NULL DEFAULT NULL COMMENT '动作编号',
  `method_code` varchar(48) NOT NULL COMMENT '方法编号',
  `in_content` text NULL COMMENT '调用内容',
  `out_content` text NULL COMMENT '返回内容',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '调用状态',
  `call_date_start` datetime NULL DEFAULT NULL COMMENT '调用开始时间',
  `call_date_end` datetime NULL DEFAULT NULL COMMENT '调用截止时间',
  `attr_one` varchar(48) NULL DEFAULT NULL COMMENT '扩展1',
  `attr_two` varchar(48) NULL DEFAULT NULL COMMENT '扩展2',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则调用动作日志信息表';

-- ----------------------------
-- Table structure for r_rule_action_method_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_action_method_info`;
CREATE TABLE `r_rule_action_method_info`  (
  `id` varchar(256) NOT NULL COMMENT 'id',
  `action_id` varchar(256) NULL DEFAULT NULL COMMENT '动作ID',
  `code` varchar(256) NULL DEFAULT NULL COMMENT '编号',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `call_limit_type` varchar(24) NULL DEFAULT NULL COMMENT '调用限制分类',
  `call_limit_config` varchar(1024) NULL DEFAULT NULL COMMENT '调用限制配置',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '动作方法表';

-- ----------------------------
-- Table structure for r_rule_action_method_parameter_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_action_method_parameter_info`;
CREATE TABLE `r_rule_action_method_parameter_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `action_id` varchar(256) NULL DEFAULT NULL COMMENT '动作ID',
  `method_id` varchar(256) NOT NULL COMMENT '方法ID',
  `method_code` varchar(256) NULL DEFAULT NULL COMMENT '方法编号',
  `code` varchar(256) NULL DEFAULT NULL COMMENT '编号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '数据类型',
  `name` varchar(256) NULL DEFAULT NULL COMMENT '名称',
  `is_need` varchar(1) NULL DEFAULT NULL COMMENT '是否必填',
  `para_cfg` varchar(1024) NULL DEFAULT NULL COMMENT '参数配置',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `para_input_val_type` varchar(24) NULL DEFAULT NULL COMMENT '参数输入值类型',
  `def_val` varchar(48) NULL DEFAULT NULL COMMENT '默认值',
  `is_show` varchar(1) NULL DEFAULT NULL COMMENT '是否显示',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '动作方法参数表';

-- ----------------------------
-- Table structure for r_rule_category_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_category_info`;
CREATE TABLE `r_rule_category_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '上级ID',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则分类表';

-- ----------------------------
-- Table structure for r_rule_config_back_up_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_config_back_up_info`;
CREATE TABLE `r_rule_config_back_up_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `rule_config_id` varchar(24) NOT NULL COMMENT '规则配置ID',
  `rule_version_no` int(11) NOT NULL COMMENT '规则配置版本号',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '规则分类id',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '规则名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '规则分类',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '引擎业务分类',
  `event_id` varchar(24) NULL DEFAULT NULL COMMENT '触发事件ID',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '规则关联业务分类',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务二级分类',
  `rel_id` varchar(512) NULL DEFAULT NULL COMMENT '规则关联业务ID',
  `source` varchar(512) NULL DEFAULT NULL COMMENT '规则来源',
  `back_up_remark` varchar(256) NULL DEFAULT NULL COMMENT '备份备注',
  `config` text NULL COMMENT '配置',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则配置备份表';

-- ----------------------------
-- Table structure for r_rule_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_config_info`;
CREATE TABLE `r_rule_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '分类id',
  `version_no` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '引擎系统分类(决策流/决策树)',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '引擎业务分类(推理/工作流/事件流程)',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_id` varchar(512) NULL DEFAULT NULL COMMENT '关联业务ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务二级分类',
  `event_id` varchar(24) NULL DEFAULT NULL COMMENT '触发事件ID',
  `source` varchar(512) NULL DEFAULT NULL COMMENT '规则来源',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `extend_one` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段1',
  `extend_two` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段2',
  `extend_three` varchar(64) NULL DEFAULT NULL COMMENT '扩展字段3',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则配置表';

-- ----------------------------
-- Table structure for r_rule_config_info_20240701
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_config_info_20240701`;
CREATE TABLE `r_rule_config_info_20240701`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '分类id',
  `version_no` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '引擎系统分类(决策流/决策树)',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '引擎业务分类(推理/工作流/事件流程)',
  `rel_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务分类',
  `rel_id` varchar(512) NULL DEFAULT NULL COMMENT '关联业务ID',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联业务二级分类',
  `event_id` varchar(24) NULL DEFAULT NULL COMMENT '触发事件ID',
  `source` varchar(512) NULL DEFAULT NULL COMMENT '规则来源',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则配置表';

-- ----------------------------
-- Table structure for r_rule_config_rel_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_config_rel_info`;
CREATE TABLE `r_rule_config_rel_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `rule_config_id` varchar(48) NOT NULL COMMENT '配置表ID',
  `node_id` varchar(128) NOT NULL COMMENT '节点ID',
  `node_type` varchar(48) NOT NULL COMMENT '节点类型',
  `node_rule_type` varchar(48) NULL DEFAULT NULL COMMENT '节点规则类型',
  `action_id` varchar(256) NULL DEFAULT NULL COMMENT '动作ID',
  `method_code` varchar(256) NULL DEFAULT NULL COMMENT '方法ID',
  `param_type` varchar(24) NULL DEFAULT NULL COMMENT '参数分类',
  `param_code` varchar(128) NULL DEFAULT NULL COMMENT '参数编号',
  `param_name` varchar(128) NULL DEFAULT NULL COMMENT '参数名称',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `condition_one_code` varchar(48) NULL DEFAULT NULL COMMENT '条件一级分类编号',
  `condition_one_name` varchar(96) NULL DEFAULT NULL COMMENT '条件一级分类名称',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则引用信息表';

-- ----------------------------
-- Table structure for r_rule_decision_flow_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_decision_flow_config_info`;
CREATE TABLE `r_rule_decision_flow_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'ID',
  `rule_config_id` varchar(24) NOT NULL COMMENT '配置表ID',
  `content` mediumtext NOT NULL COMMENT '决策流配置信息',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '决策流配置表';

-- ----------------------------
-- Table structure for r_rule_decision_tree_node_config_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_decision_tree_node_config_info`;
CREATE TABLE `r_rule_decision_tree_node_config_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `rule_config_id` varchar(24) NULL DEFAULT NULL COMMENT '配置表ID',
  `node_type` varchar(24) NULL DEFAULT NULL COMMENT '节点分类',
  `node_name` varchar(64) NULL DEFAULT NULL COMMENT '节点名称',
  `pid` varchar(24) NULL DEFAULT NULL COMMENT '前节点编号',
  `node_condition` text NULL COMMENT '节点条件配置',
  `node_action` text NULL COMMENT '节点动作配置',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '决策树节点配置表';

-- ----------------------------
-- Table structure for r_rule_exe_log_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_exe_log_info`;
CREATE TABLE `r_rule_exe_log_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `rule_id` varchar(24) NOT NULL COMMENT '规则ID',
  `in_content` text NULL COMMENT '调用内容',
  `out_content` text NULL COMMENT '返回内容',
  `start_date` datetime NULL DEFAULT NULL COMMENT '开始执行时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '截止执行时间',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则执行日志表';

-- ----------------------------
-- Table structure for r_rule_exe_log_item_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_exe_log_item_info`;
CREATE TABLE `r_rule_exe_log_item_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `exe_log_id` varchar(24) NOT NULL COMMENT '执行日志ID',
  `rule_id` varchar(24) NOT NULL COMMENT '规则ID',
  `exe_result` varchar(512) NULL DEFAULT NULL COMMENT '执行结果',
  `exe_result_path` text NULL COMMENT '执行结果路径',
  `exe_date` datetime NULL DEFAULT NULL COMMENT '执行时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则执行明细日志表';

-- ----------------------------
-- Table structure for r_rule_flow_execute_log
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_flow_execute_log`;
CREATE TABLE `r_rule_flow_execute_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '日志类型',
  `rule_id` varchar(24) NOT NULL COMMENT '规则ID',
  `task_id` varchar(24) NOT NULL COMMENT '任务ID',
  `node_id` varchar(48) NULL DEFAULT NULL COMMENT '节点ID',
  `node_code` varchar(24) NULL DEFAULT NULL COMMENT '节点编码',
  `node_name` varchar(64) NULL DEFAULT NULL COMMENT '节点名称',
  `node_type` varchar(48) NULL DEFAULT NULL COMMENT '节点类型',
  `node_rule_type` varchar(64) NULL DEFAULT NULL COMMENT '节点规则类型',
  `node_execute_status` varchar(24) NULL DEFAULT NULL COMMENT '节点执行状态',
  `execute_result` text NULL COMMENT '执行结果路径',
  `start_time` datetime NOT NULL COMMENT '执行开始时间',
  `start_date` datetime NULL DEFAULT NULL COMMENT '执行开始时间',
  `time_num` int(11) NULL DEFAULT NULL COMMENT '执行用时',
  `op_date` datetime(3) NULL DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '流程引擎执行日志';

-- ----------------------------
-- Table structure for r_rule_inference_execute_main_item_log
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_inference_execute_main_item_log`;
CREATE TABLE `r_rule_inference_execute_main_item_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `exe_log_id` varchar(24) NOT NULL COMMENT '执行日志ID',
  `rule_id` varchar(24) NOT NULL COMMENT '规则ID',
  `node_id` varchar(48) NULL DEFAULT NULL COMMENT '节点ID',
  `node_type` varchar(48) NULL DEFAULT NULL COMMENT '节点类型',
  `execute_result` text NULL COMMENT '执行结果路径',
  `start_time` datetime NOT NULL COMMENT '执行开始时间',
  `start_date` datetime NULL DEFAULT NULL COMMENT '执行开始时间',
  `time_num` int(11) NULL DEFAULT NULL COMMENT '执行用时',
  `node_rule_type` varchar(64) NULL DEFAULT NULL COMMENT '节点规则类型',
  `node_execute_status` varchar(24) NULL DEFAULT NULL COMMENT '节点执行状态',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则推理日志明细信息表';

-- ----------------------------
-- Table structure for r_rule_inference_execute_main_log
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_inference_execute_main_log`;
CREATE TABLE `r_rule_inference_execute_main_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `rule_id` varchar(48) NOT NULL COMMENT '流程规则配置ID',
  `rule_name` varchar(256) NULL DEFAULT NULL COMMENT '流程规则名称',
  `rule_category_id` varchar(48) NULL DEFAULT NULL COMMENT '流程规则分类ID',
  `rule_version` int(11) NOT NULL COMMENT '流程规则版本号',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `time_num` int(11) NULL DEFAULT NULL COMMENT '操作时间',
  `call_way` varchar(48) NULL DEFAULT NULL COMMENT '调用方式',
  `caller` varchar(64) NULL DEFAULT NULL COMMENT '调用人',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则推理日志主信息表';

-- ----------------------------
-- Table structure for r_rule_script_info
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_script_info`;
CREATE TABLE `r_rule_script_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `rule_config_id` varchar(24) NULL DEFAULT NULL COMMENT '配置表ID',
  `script_type` varchar(24) NULL DEFAULT NULL COMMENT '脚本分类',
  `content` text NULL COMMENT '内容',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '规则脚本信息表';

-- ----------------------------
-- Table structure for r_rule_user_operate_log
-- ----------------------------
DROP TABLE IF EXISTS `r_rule_user_operate_log`;
CREATE TABLE `r_rule_user_operate_log`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `user_id` varchar(24) NOT NULL COMMENT '用户ID',
  `rel_type` varchar(128) NOT NULL COMMENT '业务分类',
  `rel_id` varchar(24) NULL DEFAULT NULL COMMENT '业务ID',
  `operate_act` varchar(128) NOT NULL COMMENT '操作动作',
  `operate_remark` varchar(1024) NULL DEFAULT NULL COMMENT '操作说明',
  `operate_content` varchar(3000) NULL DEFAULT NULL COMMENT '操作内容',
  `operate_ip` varchar(256) NULL DEFAULT NULL COMMENT '操作IP',
  `operate_user_agent` varchar(3000) NULL DEFAULT NULL COMMENT '操作UA',
  `start_date` datetime NOT NULL COMMENT '操作开始时间',
  `end_date` datetime NOT NULL COMMENT '操作截止时间',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '用户规则操作日志表';

-- ----------------------------
-- Table structure for s_drug_info
-- ----------------------------
DROP TABLE IF EXISTS `s_drug_info`;
CREATE TABLE `s_drug_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `drug_code` varchar(48) NOT NULL COMMENT '药品编号',
  `drug_name` varchar(48) NULL DEFAULT NULL COMMENT '药品名称',
  `regular_name` varchar(48) NULL DEFAULT NULL COMMENT '常用名称',
  `formal_name` varchar(48) NULL DEFAULT NULL COMMENT '正式名称',
  `approve_info` varchar(48) NULL DEFAULT NULL COMMENT '批准信息',
  `valid_state` varchar(2) NULL DEFAULT NULL COMMENT '有效状态',
  `sync_flag` varchar(2) NULL DEFAULT NULL COMMENT '同步标记',
  `sync_date` datetime NOT NULL COMMENT '同步更新时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `caution` varchar(1024) NULL DEFAULT NULL COMMENT '警告',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '药品信息表';

-- ----------------------------
-- Table structure for s_drug_item_info
-- ----------------------------
DROP TABLE IF EXISTS `s_drug_item_info`;
CREATE TABLE `s_drug_item_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `drug_id` varchar(48) NOT NULL COMMENT '药品表id',
  `drug_code` varchar(48) NOT NULL COMMENT '药品编号',
  `idx` int(11) NULL DEFAULT NULL COMMENT '序号',
  `section` varchar(48) NULL DEFAULT NULL COMMENT '编号',
  `name` varchar(48) NULL DEFAULT NULL COMMENT '名称',
  `title` varchar(48) NULL DEFAULT NULL COMMENT '标题',
  `content` mediumtext NULL COMMENT '内容',
  `sync_date` datetime NOT NULL COMMENT '同步更新时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '药品说明信息表';

-- ----------------------------
-- Table structure for s_md_standard_dept_biz_rel
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_biz_rel`;
CREATE TABLE `s_md_standard_dept_biz_rel`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `dept_id` varchar(48) NOT NULL COMMENT '标准部门编号',
  `biz_dept_id` varchar(48) NOT NULL COMMENT '业务部门编号',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门与业务部门关联表';

-- ----------------------------
-- Table structure for s_md_standard_dept_biz_rel_copy1
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_biz_rel_copy1`;
CREATE TABLE `s_md_standard_dept_biz_rel_copy1`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `dept_id` varchar(48) NOT NULL COMMENT '标准部门编号',
  `biz_dept_id` varchar(48) NOT NULL COMMENT '业务部门编号',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门与业务部门关联表';

-- ----------------------------
-- Table structure for s_md_standard_dept_biz_rel_copy2
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_biz_rel_copy2`;
CREATE TABLE `s_md_standard_dept_biz_rel_copy2`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `dept_id` varchar(48) NOT NULL COMMENT '标准部门编号',
  `biz_dept_id` varchar(48) NOT NULL COMMENT '业务部门编号',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门与业务部门关联表';

-- ----------------------------
-- Table structure for s_md_standard_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_info`;
CREATE TABLE `s_md_standard_dept_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '父ID',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门信息表';

-- ----------------------------
-- Table structure for s_md_standard_dept_info_copy1
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_info_copy1`;
CREATE TABLE `s_md_standard_dept_info_copy1`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '父ID',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门信息表';

-- ----------------------------
-- Table structure for s_md_standard_dept_info_copy2
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_dept_info_copy2`;
CREATE TABLE `s_md_standard_dept_info_copy2`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '父ID',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部门信息表';

-- ----------------------------
-- Table structure for s_md_standard_disease_diagnosis_rel
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_disease_diagnosis_rel`;
CREATE TABLE `s_md_standard_disease_diagnosis_rel`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `disease_id` varchar(24) NOT NULL COMMENT '疾病ID',
  `obj_type` varchar(24) NULL DEFAULT NULL COMMENT '诊断关联类型',
  `obj_name` varchar(128) NULL DEFAULT NULL COMMENT '诊断关联名称',
  `obj_id` varchar(48) NULL DEFAULT NULL COMMENT '诊断关联ID',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准诊断(疾病)关联诊断依据';

-- ----------------------------
-- Table structure for s_md_standard_disease_icd_rel
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_disease_icd_rel`;
CREATE TABLE `s_md_standard_disease_icd_rel`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `disease_id` varchar(24) NOT NULL COMMENT '疾病ID',
  `icd10_code` varchar(64) NULL DEFAULT NULL COMMENT 'ICD10编号',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `en_name` varchar(128) NULL DEFAULT NULL COMMENT '英文名称',
  `abbr_name` varchar(128) NULL DEFAULT NULL COMMENT '名称缩写',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准诊断(疾病)关联IDC表';

-- ----------------------------
-- Table structure for s_md_standard_disease_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_disease_info`;
CREATE TABLE `s_md_standard_disease_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '诊断名称',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '诊断别名',
  `icd10_code` varchar(64) NULL DEFAULT NULL COMMENT 'ICD10编号',
  `en_name` varchar(128) NULL DEFAULT NULL COMMENT '英文名称',
  `abbr_name` varchar(128) NULL DEFAULT NULL COMMENT '名称缩写',
  `pid` varchar(48) NULL DEFAULT NULL COMMENT '父ID',
  `system_id` varchar(128) NULL DEFAULT NULL COMMENT '对应疾病系统',
  `type` varchar(256) NULL DEFAULT NULL COMMENT '类型（多选）',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `show_status` varchar(1) NULL DEFAULT NULL COMMENT '状态-显示',
  `disease_type` varchar(24) NULL DEFAULT NULL COMMENT '疾病类型',
  `operation_yn` varchar(1) NULL DEFAULT NULL COMMENT '是否需要手术治疗',
  `in_hospital_yn` varchar(1) NULL DEFAULT NULL COMMENT '是否需要住院治疗',
  `follow_up_yn` varchar(1) NULL DEFAULT NULL COMMENT '是否需要复诊',
  `one_status` varchar(1) NULL DEFAULT NULL COMMENT '状态-扩展1',
  `two_status` varchar(1) NULL DEFAULT NULL COMMENT '状态-扩展2',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准诊断(疾病)表';

-- ----------------------------
-- Table structure for s_md_standard_disease_system_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_disease_system_info`;
CREATE TABLE `s_md_standard_disease_system_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '疾病系统名称',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '疾病系统别名',
  `en_name` varchar(128) NULL DEFAULT NULL COMMENT '疾病系统名称英文',
  `abbr_name` varchar(128) NULL DEFAULT NULL COMMENT '疾病系统名称缩写',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准疾病系统表';

-- ----------------------------
-- Table structure for s_md_standard_event_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_event_info`;
CREATE TABLE `s_md_standard_event_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '分类',
  `grade` varchar(48) NULL DEFAULT NULL COMMENT '等级',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准事件信息表';

-- ----------------------------
-- Table structure for s_md_standard_exam_lab_item
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_exam_lab_item`;
CREATE TABLE `s_md_standard_exam_lab_item`  (
  `item_code` varchar(24) NOT NULL COMMENT '项目代码',
  `item_name` varchar(128) NOT NULL COMMENT '项目名称',
  `unit` varchar(10) NULL DEFAULT NULL COMMENT '单位',
  `specs` varchar(48) NULL DEFAULT NULL COMMENT '规格',
  `exc_code` varchar(48) NULL DEFAULT NULL COMMENT '执行科室',
  `mark` text NULL COMMENT '备注',
  `update_time` varchar(24) NULL DEFAULT NULL COMMENT '项目明细时间',
  `disease_class` varchar(128) NULL DEFAULT NULL COMMENT '疾病分类(开立检验项目时使用)',
  `area_type` varchar(1) NULL DEFAULT NULL COMMENT '适用范围 0 全部  1 门诊 2住院',
  `unit_flag` varchar(1) NULL DEFAULT NULL COMMENT '0明细 1组套',
  `needbespeak` varchar(1) NULL DEFAULT NULL COMMENT '是否需要预约 1 需要 0 不需要',
  `illness_history` varchar(24) NULL DEFAULT NULL COMMENT '病史及检查(开立检查申请单时使用)',
  `requirement` varchar(1024) NULL DEFAULT NULL COMMENT '检查要求(开立检查申请单时使用)',
  `precautions` varchar(255) NULL DEFAULT NULL COMMENT '注意事项(开立检查申请单时使用)',
  `exam_apply_name` varchar(24) NULL DEFAULT NULL COMMENT '检查申请单名称',
  `qty` varchar(24) NULL DEFAULT NULL COMMENT '组套数量',
  `rows_status` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`item_code`) USING BTREE
) COMMENT = '检验检查项目标准表';

-- ----------------------------
-- Table structure for s_md_standard_exam_lab_item_rel
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_exam_lab_item_rel`;
CREATE TABLE `s_md_standard_exam_lab_item_rel`  (
  `id` varchar(24) NOT NULL COMMENT '数据id',
  `group_item` varchar(24) NOT NULL COMMENT '组套项目',
  `info_item` varchar(24) NULL DEFAULT NULL COMMENT '子项目',
  `rows_status` varchar(1) NOT NULL COMMENT '数据状态',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '检验检查项目关联表';

-- ----------------------------
-- Table structure for s_md_standard_examine_project_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_examine_project_info`;
CREATE TABLE `s_md_standard_examine_project_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '别名',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '分类',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检查项目信息表';

-- ----------------------------
-- Table structure for s_md_standard_examine_project_name_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_examine_project_name_info`;
CREATE TABLE `s_md_standard_examine_project_name_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检查项目名称信息表';

-- ----------------------------
-- Table structure for s_md_standard_fee_group_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_fee_group_info`;
CREATE TABLE `s_md_standard_fee_group_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准收费组套信息表';

-- ----------------------------
-- Table structure for s_md_standard_fee_project_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_fee_project_info`;
CREATE TABLE `s_md_standard_fee_project_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `type` varchar(128) NULL DEFAULT NULL COMMENT '收费类型',
  `name` varchar(48) NOT NULL COMMENT '收费名称',
  `fund` decimal(9, 2) NULL DEFAULT NULL COMMENT '收费金额',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '说明',
  `group_id` varchar(48) NOT NULL COMMENT '收费组套ID',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准收费项目信息表';

-- ----------------------------
-- Table structure for s_md_standard_keywords_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_keywords_info`;
CREATE TABLE `s_md_standard_keywords_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NULL DEFAULT NULL COMMENT '名称',
  `reg_exp` text NULL COMMENT '正则表达式',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `rel_one_type` varchar(24) NULL DEFAULT NULL COMMENT '关联一级分类',
  `rel_two_type` varchar(24) NULL DEFAULT NULL COMMENT '关联二级分类',
  `rel_three_type` varchar(24) NULL DEFAULT NULL COMMENT '关联三级分类',
  `rel_val` varchar(64) NULL DEFAULT NULL COMMENT '关联对象值',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(48) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准关键字信息表';

-- ----------------------------
-- Table structure for s_md_standard_label_category_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_label_category_info`;
CREATE TABLE `s_md_standard_label_category_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(48) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(64) NOT NULL COMMENT '名称',
  `pid` varchar(48) NOT NULL COMMENT '上级分类ID',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准标签分类信息表';

-- ----------------------------
-- Table structure for s_md_standard_label_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_label_info`;
CREATE TABLE `s_md_standard_label_info`  (
  `id` varchar(48) NOT NULL COMMENT '编号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `biz_type` varchar(24) NULL DEFAULT NULL COMMENT '业务分类',
  `category_id` varchar(48) NULL DEFAULT NULL COMMENT '分类ID',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(48) NULL DEFAULT NULL COMMENT '版本号',
  `remark` varchar(1024) NULL DEFAULT NULL COMMENT '备注',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `status` varchar(1) NULL DEFAULT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `disease_ids` varchar(256) NULL DEFAULT NULL COMMENT '病种ID',
  `stat_dimension_type` varchar(24) NULL DEFAULT NULL COMMENT '统计维度分类',
  `biz_two_type` varchar(24) NULL DEFAULT NULL COMMENT '二级业务分类',
  `biz_three_type` varchar(24) NULL DEFAULT NULL COMMENT '三级业务类型',
  `consultation_remind_status` varchar(1) NULL DEFAULT NULL COMMENT '自动会诊提醒状态(YN)',
  `consultation_dept_ids` varchar(1024) NULL DEFAULT NULL COMMENT '会诊部门ID列表',
  `consultation_subject_name` varchar(48) NULL DEFAULT NULL COMMENT '会诊学科名称',
  `consultation_remark` varchar(1024) NULL DEFAULT NULL COMMENT '会诊备注',
  `consultation_follow_up_base_date_type` varchar(12) NULL DEFAULT NULL COMMENT '会诊随访基准时间类型',
  `potential_type` varchar(12) NULL DEFAULT NULL COMMENT '潜在患者类型',
  `is_portrait` varchar(2) NULL DEFAULT NULL COMMENT '是否患者画像',
  `consultation_manager` varchar(48) NULL DEFAULT NULL COMMENT '会诊负责人',
  `consultation_message` varchar(1024) NULL DEFAULT NULL COMMENT '会诊消息',
  `label_remind_status` varchar(1) NULL DEFAULT NULL COMMENT '提醒病种负责人标记(YN)',
  `label_manager` varchar(24) NULL DEFAULT NULL COMMENT '标签病种负责人',
  `label_assistant` varchar(24) NULL DEFAULT NULL COMMENT '标签病种运营助理',
  `label_dept_manager` varchar(24) NULL DEFAULT NULL COMMENT '标签部门负责人',
  `admin_label` varchar(1) NULL DEFAULT NULL COMMENT '是否管理员标签',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准标签信息表';

-- ----------------------------
-- Table structure for s_md_standard_laboratory_group_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_laboratory_group_info`;
CREATE TABLE `s_md_standard_laboratory_group_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '组套名称',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '组套别名',
  `type` varchar(64) NULL DEFAULT NULL COMMENT '组套分类',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检验组套表';

-- ----------------------------
-- Table structure for s_md_standard_laboratory_project_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_laboratory_project_info`;
CREATE TABLE `s_md_standard_laboratory_project_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '检验名称',
  `abbr_name` varchar(128) NULL DEFAULT NULL COMMENT '检验名称缩写',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '检验名称别名',
  `type_ids` varchar(256) NULL DEFAULT NULL COMMENT '分类(多)',
  `sample_id` varchar(256) NULL DEFAULT NULL COMMENT '样本类型',
  `unit_ids` varchar(256) NULL DEFAULT NULL COMMENT '单位(多)',
  `result_data_type` varchar(48) NULL DEFAULT NULL COMMENT '结果数据类型',
  `result_type` varchar(64) NULL DEFAULT NULL COMMENT '结果类型',
  `reference_range_json` text NULL COMMENT '参考范围(多)-DEL',
  `critical_value_json` text NULL COMMENT '危急值(多)',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `del_tem_id` varchar(64) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检验项目';

-- ----------------------------
-- Table structure for s_md_standard_laboratory_relation_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_laboratory_relation_info`;
CREATE TABLE `s_md_standard_laboratory_relation_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `group_id` varchar(48) NOT NULL COMMENT '检验组套ID',
  `project_id` varchar(48) NOT NULL COMMENT '检验项目ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检验组套和项目关系表';

-- ----------------------------
-- Table structure for s_md_standard_laboratory_type_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_laboratory_type_info`;
CREATE TABLE `s_md_standard_laboratory_type_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `alias_name` varchar(128) NULL DEFAULT NULL COMMENT '别名',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准检验分类信息表';

-- ----------------------------
-- Table structure for s_md_standard_medicant_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_medicant_info`;
CREATE TABLE `s_md_standard_medicant_info`  (
  `id` varchar(64) NOT NULL COMMENT '内部编号',
  `medicant_code` varchar(256) NULL DEFAULT NULL COMMENT '药品编号[国药准字号]',
  `standard_name` varchar(256) NOT NULL COMMENT '通用名',
  `name` varchar(256) NOT NULL COMMENT '商品名',
  `category` varchar(128) NULL DEFAULT NULL COMMENT '药品分类',
  `manufacturer` varchar(128) NULL DEFAULT NULL COMMENT '生产企业',
  `nature` varchar(1024) NULL DEFAULT NULL COMMENT '药品性质',
  `disease_relation` varchar(1024) NULL DEFAULT NULL COMMENT '关联疾病',
  `shape` varchar(1024) NULL DEFAULT NULL COMMENT '药品形状',
  `composition` text NULL COMMENT '药品成分',
  `indication` text NULL COMMENT '适应症',
  `specification` varchar(256) NULL DEFAULT NULL COMMENT '规格',
  `adverse_reaction` text NULL COMMENT '不良反应',
  `usageuse` text NULL COMMENT '用法用量',
  `contraindication` text NULL COMMENT '禁忌',
  `precautions` text NULL COMMENT '注意事项',
  `use_pregnant` text NULL COMMENT '孕妇及哺乳期妇女用药',
  `use_children` varchar(1024) NULL DEFAULT NULL COMMENT '儿童用药',
  `use_old_people` varchar(1024) NULL DEFAULT NULL COMMENT '老人用药',
  `interaction` text NULL COMMENT '药物相互作用',
  `pharmacology` text NULL COMMENT '药理毒理',
  `pharmacokinetics` text NULL COMMENT '药代动力学',
  `storage` varchar(256) NULL DEFAULT NULL COMMENT '贮藏',
  `expiry_date` varchar(256) NULL DEFAULT NULL COMMENT '有效期',
  `one_dose_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次剂量',
  `one_dose_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次剂量单位',
  `one_use_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次用量',
  `one_use_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次用量单位',
  `use_frequency` varchar(128) NULL DEFAULT NULL COMMENT '建议用药频次',
  `use_remark` varchar(512) NULL DEFAULT NULL COMMENT '建议用药备注',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准药物信息表';

-- ----------------------------
-- Table structure for s_md_standard_medicant_info_2
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_medicant_info_2`;
CREATE TABLE `s_md_standard_medicant_info_2`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `medicant_code` varchar(64) NOT NULL COMMENT '药品编号',
  `standard_name` varchar(128) NOT NULL COMMENT '通用名(GB)',
  `name` varchar(128) NOT NULL COMMENT '商品名',
  `model` varchar(128) NULL DEFAULT NULL COMMENT '剂型',
  `specification` varchar(256) NULL DEFAULT NULL COMMENT '药品规格',
  `category` varchar(128) NULL DEFAULT NULL COMMENT '药品大类',
  `medicant_remark` varchar(256) NULL DEFAULT NULL COMMENT '药品备注',
  `one_dose_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次剂量',
  `one_dose_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次剂量单位',
  `use_num_one` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次用量',
  `use_unit_one` varchar(64) NULL DEFAULT NULL COMMENT '单次用量单位',
  `use_frequency` varchar(128) NULL DEFAULT NULL COMMENT '建议用药频次',
  `use_remark` varchar(512) NULL DEFAULT NULL COMMENT '建议用药备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准药物信息表';

-- ----------------------------
-- Table structure for s_md_standard_medicant_info_202405141
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_medicant_info_202405141`;
CREATE TABLE `s_md_standard_medicant_info_202405141`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `medicant_code` varchar(64) NOT NULL COMMENT '药品编号',
  `standard_name` varchar(128) NOT NULL COMMENT '通用名(GB)',
  `name` varchar(128) NOT NULL COMMENT '商品名',
  `model` varchar(128) NULL DEFAULT NULL COMMENT '剂型',
  `specification` varchar(256) NULL DEFAULT NULL COMMENT '药品规格',
  `category` varchar(128) NULL DEFAULT NULL COMMENT '药品大类',
  `medicant_remark` varchar(256) NULL DEFAULT NULL COMMENT '药品备注',
  `one_dose_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次剂量',
  `one_dose_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次剂量单位',
  `use_num_one` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次用量',
  `use_unit_one` varchar(64) NULL DEFAULT NULL COMMENT '单次用量单位',
  `use_frequency` varchar(128) NULL DEFAULT NULL COMMENT '建议用药频次',
  `use_remark` varchar(512) NULL DEFAULT NULL COMMENT '建议用药备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准药物信息表';

-- ----------------------------
-- Table structure for s_md_standard_medicant_info_202409201
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_medicant_info_202409201`;
CREATE TABLE `s_md_standard_medicant_info_202409201`  (
  `id` varchar(64) NOT NULL COMMENT '内部编号',
  `medicant_code` varchar(256) NULL DEFAULT NULL COMMENT '药品编号[国药准字号]',
  `standard_name` varchar(256) NOT NULL COMMENT '通用名',
  `name` varchar(256) NOT NULL COMMENT '商品名',
  `category` varchar(128) NULL DEFAULT NULL COMMENT '药品分类',
  `manufacturer` varchar(128) NULL DEFAULT NULL COMMENT '生产企业',
  `nature` varchar(1024) NULL DEFAULT NULL COMMENT '药品性质',
  `disease_relation` varchar(1024) NULL DEFAULT NULL COMMENT '关联疾病',
  `shape` varchar(1024) NULL DEFAULT NULL COMMENT '药品形状',
  `composition` text NULL COMMENT '药品成分',
  `indication` text NULL COMMENT '适应症',
  `specification` varchar(256) NULL DEFAULT NULL COMMENT '规格',
  `adverse_reaction` text NULL COMMENT '不良反应',
  `usageuse` text NULL COMMENT '用法用量',
  `contraindication` text NULL COMMENT '禁忌',
  `precautions` text NULL COMMENT '注意事项',
  `use_pregnant` text NULL COMMENT '孕妇及哺乳期妇女用药',
  `use_children` varchar(1024) NULL DEFAULT NULL COMMENT '儿童用药',
  `use_old_people` varchar(1024) NULL DEFAULT NULL COMMENT '老人用药',
  `interaction` text NULL COMMENT '药物相互作用',
  `pharmacology` text NULL COMMENT '药理毒理',
  `pharmacokinetics` text NULL COMMENT '药代动力学',
  `storage` varchar(256) NULL DEFAULT NULL COMMENT '贮藏',
  `expiry_date` varchar(256) NULL DEFAULT NULL COMMENT '有效期',
  `one_dose_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次剂量',
  `one_dose_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次剂量单位',
  `one_use_num` decimal(13, 2) NULL DEFAULT NULL COMMENT '单次用量',
  `one_use_unit` varchar(64) NULL DEFAULT NULL COMMENT '单次用量单位',
  `use_frequency` varchar(128) NULL DEFAULT NULL COMMENT '建议用药频次',
  `use_remark` varchar(512) NULL DEFAULT NULL COMMENT '建议用药备注',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准药物信息表';

-- ----------------------------
-- Table structure for s_md_standard_operation_history_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_operation_history_info`;
CREATE TABLE `s_md_standard_operation_history_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `op_user_id` varchar(48) NOT NULL COMMENT '操作人ID',
  `op_user_name` varchar(128) NULL DEFAULT NULL COMMENT '操作人用户名',
  `op_ip` varchar(128) NULL DEFAULT NULL COMMENT '操作人IP',
  `op_date` datetime NOT NULL COMMENT '操作时间',
  `op_type` varchar(24) NOT NULL COMMENT '操作分类',
  `op_text` text NULL COMMENT '操作内容',
  `object_type` varchar(48) NOT NULL COMMENT '操作对象分类',
  `object_id` varchar(48) NOT NULL COMMENT '操作对象ID',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准数据操作历史信息表';

-- ----------------------------
-- Table structure for s_md_standard_operation_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_operation_info`;
CREATE TABLE `s_md_standard_operation_info`  (
  `id` varchar(32) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '手术名称',
  `part` varchar(48) NULL DEFAULT NULL COMMENT '手术部位',
  `medical_insurance` varchar(1) NULL DEFAULT NULL COMMENT '是否医保',
  `fee` varchar(128) NULL DEFAULT NULL COMMENT '费用',
  `difficulty` varchar(128) NULL DEFAULT NULL COMMENT '难度',
  `sequela` varchar(512) NULL DEFAULT NULL COMMENT '后遗症',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准手术信息表';

-- ----------------------------
-- Table structure for s_md_standard_operation_info_2405231
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_operation_info_2405231`;
CREATE TABLE `s_md_standard_operation_info_2405231`  (
  `id` varchar(32) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '手术名称',
  `part` varchar(48) NULL DEFAULT NULL COMMENT '手术部位',
  `medical_insurance` varchar(1) NULL DEFAULT NULL COMMENT '是否医保',
  `fee` varchar(128) NULL DEFAULT NULL COMMENT '费用',
  `difficulty` varchar(128) NULL DEFAULT NULL COMMENT '难度',
  `sequela` varchar(512) NULL DEFAULT NULL COMMENT '后遗症',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准手术信息表';

-- ----------------------------
-- Table structure for s_md_standard_operation_info_bak
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_operation_info_bak`;
CREATE TABLE `s_md_standard_operation_info_bak`  (
  `id` varchar(32) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '手术名称',
  `part` varchar(48) NULL DEFAULT NULL COMMENT '手术部位',
  `medical_insurance` varchar(1) NULL DEFAULT NULL COMMENT '是否医保',
  `fee` varchar(128) NULL DEFAULT NULL COMMENT '费用',
  `difficulty` varchar(128) NULL DEFAULT NULL COMMENT '难度',
  `sequela` varchar(512) NULL DEFAULT NULL COMMENT '后遗症',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准手术信息表';

-- ----------------------------
-- Table structure for s_md_standard_part_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_part_info`;
CREATE TABLE `s_md_standard_part_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(64) NULL DEFAULT NULL COMMENT '名称',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准部位信息表';

-- ----------------------------
-- Table structure for s_md_standard_pathology_project_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_pathology_project_info`;
CREATE TABLE `s_md_standard_pathology_project_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准病理项目';

-- ----------------------------
-- Table structure for s_md_standard_sample_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_sample_info`;
CREATE TABLE `s_md_standard_sample_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '标准样本名称',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准样本类型信息表';

-- ----------------------------
-- Table structure for s_md_standard_source_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_source_info`;
CREATE TABLE `s_md_standard_source_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `text_content` varchar(256) NOT NULL COMMENT '原文内容',
  `source_content` varchar(256) NOT NULL COMMENT '来源信息',
  `rel_type` varchar(48) NULL DEFAULT NULL COMMENT '关联对象分类',
  `rel_id` varchar(48) NULL DEFAULT NULL COMMENT '关联对象ID',
  `rel_param` varchar(48) NULL DEFAULT NULL COMMENT '关联对象属性分类',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '来源信息表';

-- ----------------------------
-- Table structure for s_md_standard_symptom_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_symptom_info`;
CREATE TABLE `s_md_standard_symptom_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编码',
  `name` varchar(128) NOT NULL COMMENT '症状名称',
  `type` varchar(128) NULL DEFAULT NULL COMMENT '症状系统',
  `urgent` varchar(1) NULL DEFAULT NULL COMMENT '是否紧急',
  `pid` varchar(32) NOT NULL COMMENT '父ID',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准症状信息表';

-- ----------------------------
-- Table structure for s_md_standard_therapy_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_therapy_info`;
CREATE TABLE `s_md_standard_therapy_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准治疗信息表';

-- ----------------------------
-- Table structure for s_md_standard_unit_info
-- ----------------------------
DROP TABLE IF EXISTS `s_md_standard_unit_info`;
CREATE TABLE `s_md_standard_unit_info`  (
  `id` varchar(48) NOT NULL COMMENT '内部编号',
  `name` varchar(128) NOT NULL COMMENT '单位名称',
  `remark` varchar(1024) NULL DEFAULT NULL COMMENT '单位解释',
  `rule_config` varchar(512) NULL DEFAULT NULL COMMENT '清洗匹配规则',
  `project_code` varchar(64) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(64) NULL DEFAULT NULL COMMENT '版本号',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '标准化验单位信息表';

-- ----------------------------
-- Table structure for sd_consultation_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_consultation_day_info`;
CREATE TABLE `sd_consultation_day_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `dept_code` varchar(48) NOT NULL COMMENT '科室',
  `discover_num` int(11) NULL DEFAULT NULL COMMENT '发现人数',
  `apply_num` int(11) NULL DEFAULT NULL COMMENT '申请人数',
  `open_num` int(11) NULL DEFAULT NULL COMMENT '发起人数',
  `change_num` int(11) NULL DEFAULT NULL COMMENT '转科人数',
  `follow_up_num` int(11) NULL DEFAULT NULL COMMENT '随访人数',
  `abandon_num` int(11) NULL DEFAULT NULL COMMENT '放弃人数',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '会诊信息日统计表';

-- ----------------------------
-- Table structure for sd_consultation_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_consultation_detail_info`;
CREATE TABLE `sd_consultation_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_code` varchar(48) NULL DEFAULT NULL COMMENT '科室编号',
  `patient_id` varchar(48) NULL DEFAULT NULL COMMENT '患者ID',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源类型',
  `lable_id` varchar(24) NULL DEFAULT NULL COMMENT '会诊标签ID',
  `discover_time` datetime NULL DEFAULT NULL COMMENT '会诊发现时间',
  `apply_status` varchar(24) NULL DEFAULT NULL COMMENT '会诊申请提醒状态',
  `apply_id` varchar(24) NULL DEFAULT NULL COMMENT '会诊申请提醒ID',
  `apply_time` datetime NULL DEFAULT NULL COMMENT '会诊申请提醒时间',
  `open_status` varchar(24) NULL DEFAULT NULL COMMENT '会诊发起状态',
  `open_id` varchar(24) NULL DEFAULT NULL COMMENT '会诊发起ID',
  `open_time` datetime NULL DEFAULT NULL COMMENT '会诊发起时间',
  `result_status` varchar(24) NULL DEFAULT NULL COMMENT '会诊结论状态',
  `result_time` datetime NULL DEFAULT NULL COMMENT '会诊结论时间',
  `result_target_type` varchar(24) NULL DEFAULT NULL COMMENT '会诊结论目标分类',
  `result_target_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '会诊结论目标执行状态',
  `result_target_exe_time` datetime NULL DEFAULT NULL COMMENT '会诊结论目标执行时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '统计状态，标记数据是否需要更新',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '会诊信息明细表';

-- ----------------------------
-- Table structure for sd_diagnosis_patient_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_diagnosis_patient_day_info`;
CREATE TABLE `sd_diagnosis_patient_day_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `disease_id` varchar(48) NOT NULL COMMENT '病种',
  `dept_code` varchar(48) NOT NULL COMMENT '科室',
  `scene` varchar(48) NOT NULL COMMENT '场景',
  `num` int(11) NOT NULL COMMENT '人数',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '确诊人数日统计表';

-- ----------------------------
-- Table structure for sd_first_disease_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_first_disease_day_info`;
CREATE TABLE `sd_first_disease_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '时间',
  `disease_id` varchar(48) NOT NULL COMMENT '病种',
  `num` int(11) NOT NULL COMMENT '患者人数',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '首发病患者日统计表';

-- ----------------------------
-- Table structure for sd_first_disease_patient_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_first_disease_patient_info`;
CREATE TABLE `sd_first_disease_patient_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者',
  `disease_id` varchar(48) NOT NULL COMMENT '病种',
  `discovery_time` datetime NOT NULL COMMENT '发现时间',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '首发患者明细表';

-- ----------------------------
-- Table structure for sd_follow_up_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_follow_up_day_info`;
CREATE TABLE `sd_follow_up_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `dept_code` varchar(48) NOT NULL COMMENT '科室',
  `total_num` int(11) NOT NULL COMMENT '随访总人数',
  `exe_yes_num` int(11) NOT NULL COMMENT '随访已执行人数',
  `exe_no_num` int(11) NOT NULL COMMENT '随访未执行人数',
  `visit_num` int(11) NOT NULL COMMENT '随访已复诊人数',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '随访信息日统计表';

-- ----------------------------
-- Table structure for sd_follow_up_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_follow_up_detail_info`;
CREATE TABLE `sd_follow_up_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_code` varchar(48) NOT NULL COMMENT '科室编号',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `source_type` varchar(24) NULL DEFAULT NULL COMMENT '来源分类',
  `source_data_id` varchar(48) NULL DEFAULT NULL COMMENT '来源数据ID',
  `source_data_time` datetime NULL DEFAULT NULL COMMENT '来源数据时间',
  `plan_follow_time` datetime NULL DEFAULT NULL COMMENT '计划随访时间',
  `follow_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '随访执行状态',
  `follow_exe_time` datetime NULL DEFAULT NULL COMMENT '随访执行时间',
  `follow_visit_status` varchar(24) NULL DEFAULT NULL COMMENT '随访复诊状态',
  `follow_visit_dept_code` varchar(48) NULL DEFAULT NULL COMMENT '随访复诊目标科室',
  `follow_visit_time` datetime NULL DEFAULT NULL COMMENT '随访复诊时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '统计状态，标记数据是否需要更新',
  `latest_time` datetime NOT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '随访信息明细表';

-- ----------------------------
-- Table structure for sd_in_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_in_day_info`;
CREATE TABLE `sd_in_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '时间',
  `dept_code` varchar(24) NOT NULL COMMENT '科室编号',
  `num` int(11) NULL DEFAULT NULL COMMENT '患者人数',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '就诊患者日统计表';

-- ----------------------------
-- Table structure for sd_patient_followup_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_patient_followup_day_info`;
CREATE TABLE `sd_patient_followup_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '时间',
  `followup_num` int(11) NULL DEFAULT NULL COMMENT '应复诊人数',
  `followup_latest_time` datetime NULL DEFAULT NULL COMMENT '应复诊人数更新时间',
  `followup_yes_num` int(11) NULL DEFAULT NULL COMMENT '已复诊人数',
  `followup_yes_latest_time` datetime NULL DEFAULT NULL COMMENT '已复诊人数更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '复诊患者日统计表';

-- ----------------------------
-- Table structure for sd_patient_followup_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_patient_followup_detail_info`;
CREATE TABLE `sd_patient_followup_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `patient_id` varchar(48) NOT NULL COMMENT '发现患者',
  `main_patient_id` varchar(48) NULL DEFAULT NULL COMMENT '主患者ID',
  `discovery_time` datetime NULL DEFAULT NULL COMMENT '发现时间',
  `visit_start_time` datetime NULL DEFAULT NULL COMMENT '设定复诊时间start',
  `visit_end_time` datetime NULL DEFAULT NULL COMMENT '设定复诊时间end',
  `appoint_dept_code` varchar(1024) NULL DEFAULT NULL COMMENT '指定复诊科室',
  `is_followup` varchar(1) NULL DEFAULT NULL COMMENT '是否复诊',
  `followup_dept_code` varchar(48) NULL DEFAULT NULL COMMENT '复诊科室',
  `followup_time` datetime NULL DEFAULT NULL COMMENT '复诊时间',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  `rel_source_type` varchar(24) NULL DEFAULT NULL COMMENT '关联来源分类',
  `rel_source_id` varchar(48) NULL DEFAULT NULL COMMENT '关联来源id',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '复诊患者明细表';

-- ----------------------------
-- Table structure for sd_patient_inpatient_loss_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_patient_inpatient_loss_day_info`;
CREATE TABLE `sd_patient_inpatient_loss_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `num` int(11) NULL DEFAULT NULL COMMENT '开住院单人数',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '开住院单最新更新时间',
  `inpatient_num` int(11) NULL DEFAULT NULL COMMENT '已住院人数',
  `latest_inpatient_time` datetime NULL DEFAULT NULL COMMENT '已住院最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '住院流失日统计';

-- ----------------------------
-- Table structure for sd_patient_inpatient_loss_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_patient_inpatient_loss_detail_info`;
CREATE TABLE `sd_patient_inpatient_loss_detail_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者',
  `open_inpatient_time` datetime NULL DEFAULT NULL COMMENT '开住院单时间',
  `open_inpatient_dept_code` varchar(48) NULL DEFAULT NULL COMMENT '开住院单科室',
  `is_inpatient` varchar(1) NULL DEFAULT NULL COMMENT '是否住院',
  `inpatient_dept_code` varchar(48) NULL DEFAULT NULL COMMENT '住院科室',
  `inpatient_time` datetime NULL DEFAULT NULL COMMENT '住院时间',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '住院流失患者明细表';

-- ----------------------------
-- Table structure for sd_potential_patient_not_diagnosis_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_potential_patient_not_diagnosis_day_info`;
CREATE TABLE `sd_potential_patient_not_diagnosis_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'ID',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `disease_id` varchar(48) NOT NULL COMMENT '病种',
  `num` int(11) NULL DEFAULT NULL COMMENT '数量',
  `diagnosis_num` int(11) NULL DEFAULT NULL COMMENT '确诊数量',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '潜在患者未就诊日统计表';

-- ----------------------------
-- Table structure for sd_potential_patient_not_diagnosis_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_potential_patient_not_diagnosis_detail_info`;
CREATE TABLE `sd_potential_patient_not_diagnosis_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '日期',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `main_patient_id` varchar(48) NULL DEFAULT NULL COMMENT '主患者ID',
  `disease_id` varchar(48) NOT NULL COMMENT '潜在疾病',
  `discovery_time` datetime NULL DEFAULT NULL COMMENT '发现时间',
  `is_diagnosis` varchar(1) NULL DEFAULT NULL COMMENT '是否有诊断',
  `diagnosis_icd_code` varchar(48) NULL DEFAULT NULL COMMENT '诊断ICD(原)-DEL',
  `diagnosis_disease_id` varchar(48) NULL DEFAULT NULL COMMENT '诊断病种-DEL',
  `diagnosis_scene` varchar(48) NULL DEFAULT NULL COMMENT '诊断场景-DEL',
  `diagnosis_time` datetime NULL DEFAULT NULL COMMENT '诊断时间-DEL',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '潜在患者未就诊明细表';

-- ----------------------------
-- Table structure for sd_push_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_push_day_info`;
CREATE TABLE `sd_push_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '时间',
  `dept_code` varchar(24) NULL DEFAULT NULL COMMENT '科室编号',
  `num` int(11) NULL DEFAULT NULL COMMENT '触发量',
  `push_success_num` int(11) NULL DEFAULT NULL COMMENT '推送成功数量',
  `push_fail_follow_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-未关注',
  `push_fail_user_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-无家属',
  `push_fail_other_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-其他',
  `read_num` int(11) NULL DEFAULT NULL COMMENT '阅读次数',
  `action_num` int(11) NULL DEFAULT NULL COMMENT '行动数量',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  `push_fail_num` int(11) NULL DEFAULT NULL COMMENT '推送失败',
  `push_invalid_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-无效',
  `push_timeout_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-超时',
  `push_black_list_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-拉黑',
  `push_abnormal_num` int(11) NULL DEFAULT NULL COMMENT '推送失败-异常',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '服务推送日统计表';

-- ----------------------------
-- Table structure for sd_push_detail_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_push_detail_info`;
CREATE TABLE `sd_push_detail_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `dept_code` varchar(24) NULL DEFAULT NULL COMMENT '科室编号',
  `patient_id` varchar(24) NOT NULL COMMENT '患者ID',
  `serv_config_id` varchar(24) NOT NULL COMMENT '服务配置ID',
  `serv_id` varchar(24) NOT NULL COMMENT '服务ID',
  `remind_id` varchar(24) NULL DEFAULT NULL COMMENT '提醒ID',
  `user_id` varchar(24) NULL DEFAULT NULL COMMENT '家属ID',
  `push_time` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `push_status` varchar(24) NULL DEFAULT NULL COMMENT '推送状态',
  `read_status` varchar(24) NULL DEFAULT NULL COMMENT '阅读状态',
  `read_time` varchar(24) NULL DEFAULT NULL COMMENT '阅读时间',
  `action_status` varchar(24) NULL DEFAULT NULL COMMENT '行为触发状态',
  `action_time` varchar(24) NULL DEFAULT NULL COMMENT '行为触发时间',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '统计状态，标记数据是否需要更新',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '服务推送明细表';

-- ----------------------------
-- Table structure for sd_visit_day_info
-- ----------------------------
DROP TABLE IF EXISTS `sd_visit_day_info`;
CREATE TABLE `sd_visit_day_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `data_time` varchar(24) NOT NULL COMMENT '时间',
  `dept_code` varchar(24) NOT NULL COMMENT '科室编号',
  `num` int(11) NULL DEFAULT NULL COMMENT '患者人数',
  `latest_time` datetime NULL DEFAULT NULL COMMENT '最新更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '就诊患者日统计表';

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `name` varchar(128) NOT NULL COMMENT '部门名称',
  `sort` int(11) NOT NULL COMMENT '排序',
  `pid` varchar(64) NOT NULL COMMENT '上级ID',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `manager_user_ids` varchar(512) NULL DEFAULT NULL COMMENT '部门主管用户ID',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `disease_ids` varchar(2048) NULL DEFAULT NULL COMMENT '病种ID',
  `dept_type` varchar(48) NULL DEFAULT NULL COMMENT '部门分类',
  `extend1` varchar(255) NULL DEFAULT NULL COMMENT '扩展1 部门分类名称',
  `extend2` varchar(255) NULL DEFAULT NULL COMMENT '扩展2 网站对应科室ID',
  `extend3` varchar(255) NULL DEFAULT NULL COMMENT '扩展3 ',
  `extend4` varchar(255) NULL DEFAULT NULL COMMENT '扩展4 ',
  `extend5` varchar(255) NULL DEFAULT NULL COMMENT '扩展5 ',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '部门信息表';

-- ----------------------------
-- Table structure for sys_dept_250212
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept_250212`;
CREATE TABLE `sys_dept_250212`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `name` varchar(128) NOT NULL COMMENT '部门名称',
  `sort` int(11) NOT NULL COMMENT '排序',
  `pid` varchar(64) NOT NULL COMMENT '上级ID',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `manager_user_ids` varchar(512) NULL DEFAULT NULL COMMENT '部门主管用户ID',
  `remark` varchar(512) NULL DEFAULT NULL COMMENT '备注',
  `disease_ids` varchar(2048) NULL DEFAULT NULL COMMENT '病种ID',
  `dept_type` varchar(48) NULL DEFAULT NULL COMMENT '部门分类',
  `extend1` varchar(255) NULL DEFAULT NULL COMMENT '扩展1 部门分类名称',
  `extend2` varchar(255) NULL DEFAULT NULL COMMENT '扩展2 网站对应科室ID',
  `extend3` varchar(255) NULL DEFAULT NULL COMMENT '扩展3 ',
  `extend4` varchar(255) NULL DEFAULT NULL COMMENT '扩展4 ',
  `extend5` varchar(255) NULL DEFAULT NULL COMMENT '扩展5 ',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '部门信息表';

-- ----------------------------
-- Table structure for sys_group_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_group_info`;
CREATE TABLE `sys_group_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '说明',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '分组信息表';

-- ----------------------------
-- Table structure for sys_group_user_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_group_user_info`;
CREATE TABLE `sys_group_user_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `group_id` varchar(48) NULL DEFAULT NULL COMMENT '分组ID',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '用户客户关联信息表';

-- ----------------------------
-- Table structure for sys_his_dept_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_his_dept_info`;
CREATE TABLE `sys_his_dept_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `hospital_id` varchar(24) NULL DEFAULT NULL COMMENT '医院ID',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院科室ID',
  `his_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '院端HIS系统中科室的ID',
  `his_parent_id` varchar(24) NULL DEFAULT NULL COMMENT 'HIS上级科室ID',
  `grade_code` varchar(24) NULL DEFAULT NULL COMMENT '层级CODE',
  `name` varchar(48) NULL DEFAULT NULL COMMENT '科室名',
  `name_pin_yin` varchar(48) NULL DEFAULT NULL COMMENT '科室名拼音',
  `img_url` varchar(1024) NULL DEFAULT NULL COMMENT '图片地址',
  `location` varchar(256) NULL DEFAULT NULL COMMENT '科室在医院的位置，楼层，诊室等',
  `notice` varchar(1024) NULL DEFAULT NULL COMMENT '针对科室，对患者的特别提示',
  `description` text NULL COMMENT '描述',
  `remark` varchar(1024) NULL DEFAULT NULL COMMENT '备注等信息',
  `branch_name` varchar(512) NULL DEFAULT NULL COMMENT '院区名称',
  `is_branch` varchar(12) NULL DEFAULT NULL COMMENT '是否是院区',
  `async_flag` varchar(1) NULL DEFAULT NULL COMMENT '同步标记',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `standard_subject_name` varchar(48) NULL DEFAULT NULL COMMENT '标准科室学科名称',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院科室表';

-- ----------------------------
-- Table structure for sys_his_dept_info_202407031
-- ----------------------------
DROP TABLE IF EXISTS `sys_his_dept_info_202407031`;
CREATE TABLE `sys_his_dept_info_202407031`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `hospital_id` varchar(24) NULL DEFAULT NULL COMMENT '医院ID',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院科室ID',
  `his_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '院端HIS系统中科室的ID',
  `his_parent_id` varchar(24) NULL DEFAULT NULL COMMENT 'HIS上级科室ID',
  `grade_code` varchar(24) NULL DEFAULT NULL COMMENT '层级CODE',
  `name` varchar(48) NULL DEFAULT NULL COMMENT '科室名',
  `name_pin_yin` varchar(48) NULL DEFAULT NULL COMMENT '科室名拼音',
  `img_url` varchar(1024) NULL DEFAULT NULL COMMENT '图片地址',
  `location` varchar(256) NULL DEFAULT NULL COMMENT '科室在医院的位置，楼层，诊室等',
  `notice` varchar(1024) NULL DEFAULT NULL COMMENT '针对科室，对患者的特别提示',
  `description` text NULL COMMENT '描述',
  `remark` varchar(1024) NULL DEFAULT NULL COMMENT '备注等信息',
  `branch_name` varchar(512) NULL DEFAULT NULL COMMENT '院区名称',
  `is_branch` varchar(12) NULL DEFAULT NULL COMMENT '是否是院区',
  `async_flag` varchar(1) NULL DEFAULT NULL COMMENT '同步标记',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `standard_subject_name` varchar(48) NULL DEFAULT NULL COMMENT '标准科室学科名称',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院科室表';

-- ----------------------------
-- Table structure for sys_his_doctor_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_his_doctor_info`;
CREATE TABLE `sys_his_doctor_info`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '互联网医院医生ID',
  `his_doctor_id` varchar(24) NULL DEFAULT NULL COMMENT '院端HIS系统中医生的ID',
  `doctor_name` varchar(48) NULL DEFAULT NULL COMMENT '医生姓名',
  `gender` varchar(12) NULL DEFAULT NULL COMMENT '医生性别',
  `dept_name` varchar(48) NULL DEFAULT NULL COMMENT '医生所在科室',
  `head_img` varchar(1024) NULL DEFAULT NULL COMMENT '头像',
  `level_name` varchar(48) NULL DEFAULT NULL COMMENT '医生职称',
  `level_id` varchar(24) NULL DEFAULT NULL COMMENT '医生职称Id',
  `description` text NULL COMMENT '医生简介',
  `expert` varchar(12) NULL DEFAULT NULL COMMENT '是否专家',
  `dept_id` varchar(24) NULL DEFAULT NULL COMMENT '互联网科室医生ID',
  `skill` varchar(1024) NULL DEFAULT NULL COMMENT '擅长',
  `contact_phone` varchar(24) NULL DEFAULT NULL COMMENT '手机号',
  `his_dept_id` varchar(24) NULL DEFAULT NULL COMMENT '院端科室ID',
  `async_flag` varchar(1) NULL DEFAULT NULL COMMENT '同步标记',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '互联网医院医生表';

-- ----------------------------
-- Table structure for sys_log_login
-- ----------------------------
DROP TABLE IF EXISTS `sys_log_login`;
CREATE TABLE `sys_log_login`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `operation` varchar(24) NOT NULL COMMENT '用户操作   0：用户登录   1：用户退出',
  `status` varchar(24) NOT NULL COMMENT '状态  0：失败    1：成功    2：账号已锁定',
  `user_agent` varchar(512) NULL DEFAULT NULL COMMENT '用户代理',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `op_ip` varchar(128) NULL DEFAULT NULL COMMENT '操作IP',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '登录日志';

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `pid` varchar(64) NOT NULL COMMENT '上级ID',
  `type` varchar(24) NOT NULL COMMENT '类型',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `icon` varchar(128) NULL DEFAULT NULL COMMENT '菜单图标',
  `route_type` varchar(24) NULL DEFAULT NULL COMMENT '菜单路由分类',
  `url` varchar(128) NULL DEFAULT NULL COMMENT '菜单URL',
  `sort` int(11) NOT NULL COMMENT '排序',
  `permissions` varchar(1024) NULL DEFAULT NULL COMMENT '授权',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `en_code` varchar(128) NULL DEFAULT NULL COMMENT '菜单编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '菜单信息表';

-- ----------------------------
-- Table structure for sys_post_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_post_info`;
CREATE TABLE `sys_post_info`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `name` varchar(48) NOT NULL COMMENT '名称',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '说明',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '岗位信息表';

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `name` varchar(128) NOT NULL COMMENT '角色名称',
  `remark` varchar(256) NULL DEFAULT NULL COMMENT '备注',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '角色信息表';

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `role_id` varchar(64) NOT NULL COMMENT '角色ID',
  `menu_id` varchar(64) NULL DEFAULT NULL COMMENT '菜单ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '角色菜单关系表';

-- ----------------------------
-- Table structure for sys_role_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_user`;
CREATE TABLE `sys_role_user`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `role_id` varchar(64) NOT NULL COMMENT '角色ID',
  `user_id` varchar(64) NOT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '角色用户关系表';

-- ----------------------------
-- Table structure for sys_third_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_third_user`;
CREATE TABLE `sys_third_user`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `params_id` varchar(48) NOT NULL COMMENT '第三方参数配置ID',
  `open_id` varchar(128) NOT NULL COMMENT '第三方ID',
  `union_id` varchar(128) NULL DEFAULT NULL COMMENT '第三方统一标识',
  `user_id` varchar(48) NULL DEFAULT NULL COMMENT '用户ID',
  `company_no` varchar(64) NULL DEFAULT NULL COMMENT '公司号',
  `type` varchar(48) NULL DEFAULT NULL COMMENT '用户分类',
  `nick_name` varchar(256) NULL DEFAULT NULL COMMENT '昵称',
  `head_url` varchar(256) NULL DEFAULT NULL COMMENT '用户头像',
  `source_one` varchar(128) NULL DEFAULT NULL COMMENT '一级来源',
  `source_two` varchar(128) NULL DEFAULT NULL COMMENT '二级来源',
  `source_three` varchar(128) NULL DEFAULT NULL COMMENT '三级来源',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统三方用户信息表';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(128) NULL DEFAULT NULL COMMENT '头像',
  `gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `dept_id` varchar(64) NULL DEFAULT NULL COMMENT '部门ID',
  `is_super_admin` varchar(1) NOT NULL COMMENT '是否超级管理员',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `post_ids` varchar(256) NULL DEFAULT NULL COMMENT '岗位ID(多)',
  `person_info` text NULL COMMENT '个人资料',
  `user_shanc` varchar(1024) NULL DEFAULT NULL COMMENT '用户简介',
  `job_title` varchar(64) NULL DEFAULT NULL COMMENT '职称',
  `job_position` varchar(64) NULL DEFAULT NULL COMMENT '职位',
  `subject_code` varchar(24) NULL DEFAULT NULL COMMENT '学科',
  `subject_order` int(11) NULL DEFAULT NULL COMMENT '学科排序',
  `subject_role` varchar(24) NULL DEFAULT NULL COMMENT '学科角色',
  `emp_code` varchar(24) NULL DEFAULT NULL COMMENT '医生编号',
  `oa_emp_code` varchar(24) NULL DEFAULT NULL COMMENT 'OA系统医生编号',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统用户表';

-- ----------------------------
-- Table structure for sys_user_20240410
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_20240410`;
CREATE TABLE `sys_user_20240410`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(128) NULL DEFAULT NULL COMMENT '头像',
  `gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `dept_id` varchar(64) NULL DEFAULT NULL COMMENT '部门ID',
  `is_super_admin` varchar(1) NOT NULL COMMENT '是否超级管理员',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `post_ids` varchar(256) NULL DEFAULT NULL COMMENT '岗位ID(多)',
  `person_info` text NULL COMMENT '个人资料',
  `user_shanc` varchar(1024) NULL DEFAULT NULL COMMENT '用户简介',
  `job_title` varchar(64) NULL DEFAULT NULL COMMENT '职称',
  `job_position` varchar(64) NULL DEFAULT NULL COMMENT '职位',
  `subject_code` varchar(24) NULL DEFAULT NULL,
  `subject_order` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统用户表';

-- ----------------------------
-- Table structure for sys_user_20240604
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_20240604`;
CREATE TABLE `sys_user_20240604`  (
  `id` varchar(64) NOT NULL COMMENT 'id',
  `company_no` varchar(64) NOT NULL COMMENT '公司号',
  `user_name` varchar(128) NULL DEFAULT NULL COMMENT '用户名',
  `pass_word` varchar(256) NULL DEFAULT NULL COMMENT '密码',
  `mobile` varchar(256) NULL DEFAULT NULL COMMENT '手机号',
  `email` varchar(256) NULL DEFAULT NULL COMMENT '邮箱',
  `real_name` varchar(256) NULL DEFAULT NULL COMMENT '真实姓名',
  `head_url` varchar(128) NULL DEFAULT NULL COMMENT '头像',
  `gender` varchar(24) NULL DEFAULT NULL COMMENT '性别',
  `dept_id` varchar(64) NULL DEFAULT NULL COMMENT '部门ID',
  `is_super_admin` varchar(1) NOT NULL COMMENT '是否超级管理员',
  `status` varchar(24) NOT NULL COMMENT '状态',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(64) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(64) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `post_ids` varchar(256) NULL DEFAULT NULL COMMENT '岗位ID(多)',
  `person_info` text NULL COMMENT '个人资料',
  `user_shanc` varchar(1024) NULL DEFAULT NULL COMMENT '用户简介',
  `job_title` varchar(64) NULL DEFAULT NULL COMMENT '职称',
  `job_position` varchar(64) NULL DEFAULT NULL COMMENT '职位',
  `subject_code` varchar(24) NULL DEFAULT NULL COMMENT '学科',
  `subject_order` int(11) NULL DEFAULT NULL COMMENT '学科排序',
  `subject_role` varchar(24) NULL DEFAULT NULL COMMENT '学科角色',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '系统用户表';

-- ----------------------------
-- Table structure for table_knowledge_icd_info
-- ----------------------------
DROP TABLE IF EXISTS `table_knowledge_icd_info`;
CREATE TABLE `table_knowledge_icd_info`  (
  `t_k_icd_info_intro` varchar(1024) NULL DEFAULT NULL COMMENT '简介',
  `t_k_icd_info_alisa` varchar(256) NULL DEFAULT NULL COMMENT '别名',
  `t_k_icd_info_position` varchar(256) NULL DEFAULT NULL COMMENT '发病部位',
  `t_k_icd_info_crowd` varchar(256) NULL DEFAULT NULL COMMENT '多发人群',
  `t_k_icd_info_symptom` varchar(256) NULL DEFAULT NULL COMMENT '相关症状',
  `t_k_icd_info_disease` varchar(256) NULL DEFAULT NULL COMMENT '并发疾病',
  `id` varchar(256) NOT NULL COMMENT 'id',
  `object_type` varchar(256) NULL DEFAULT NULL COMMENT '对象分类',
  `object_id` varchar(256) NULL DEFAULT NULL COMMENT '对象ID',
  `project_code` varchar(256) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(256) NULL DEFAULT NULL COMMENT '版本号',
  `creator` varchar(256) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(256) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `t_k_icd_info_disease_1` varchar(256) NULL DEFAULT NULL COMMENT '23',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '简介';

-- ----------------------------
-- Table structure for table_knowledge_icd_symptom
-- ----------------------------
DROP TABLE IF EXISTS `table_knowledge_icd_symptom`;
CREATE TABLE `table_knowledge_icd_symptom`  (
  `feild_1` varchar(256) NULL DEFAULT NULL COMMENT '高血压典型症状',
  `id` varchar(256) NOT NULL COMMENT 'id',
  `object_type` varchar(256) NULL DEFAULT NULL COMMENT '对象分类',
  `object_id` varchar(256) NULL DEFAULT NULL COMMENT '对象ID',
  `project_code` varchar(256) NULL DEFAULT NULL COMMENT '项目编号',
  `version_code` varchar(256) NULL DEFAULT NULL COMMENT '版本号',
  `creator` varchar(256) NULL DEFAULT NULL COMMENT '创建者',
  `create_date` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `updater` varchar(256) NULL DEFAULT NULL COMMENT '更新者',
  `update_date` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '症状';

-- ----------------------------
-- Table structure for tmp_wjj_1
-- ----------------------------
DROP TABLE IF EXISTS `tmp_wjj_1`;
CREATE TABLE `tmp_wjj_1`  (
  `id` varchar(24) NOT NULL COMMENT 'id',
  `project_code` varchar(48) NULL DEFAULT NULL COMMENT '项目编号',
  `version_no` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `name` varchar(128) NOT NULL COMMENT '名称',
  `type` varchar(24) NULL DEFAULT NULL COMMENT '分类',
  `status` varchar(24) NULL DEFAULT NULL COMMENT '状态',
  `remark` varchar(128) NULL DEFAULT NULL COMMENT '备注',
  `config` text NULL COMMENT '配置',
  `label_ids` varchar(512) NULL DEFAULT NULL COMMENT '新增标签列表',
  `init_date_type` varchar(24) NULL DEFAULT NULL COMMENT '初始数据时间分类',
  `init_date_value` int(11) NULL DEFAULT NULL COMMENT '初始数据时间值',
  `orders` int(11) NULL DEFAULT NULL COMMENT '顺序',
  `rows_status` varchar(1) NOT NULL COMMENT '逻辑删除标记(Y:正常,N:删除)',
  `creator` varchar(48) NOT NULL COMMENT '创建者',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `updater` varchar(48) NOT NULL COMMENT '更新者',
  `update_date` datetime NOT NULL COMMENT '更新时间',
  `category_id` varchar(24) NULL DEFAULT NULL COMMENT '分类id',
  `disease_ids` varchar(512) NULL DEFAULT NULL COMMENT '疾病ids',
  `label_validity_num` int(11) NULL DEFAULT NULL COMMENT '新增标签有效期',
  `init_exe_status` varchar(24) NULL DEFAULT NULL COMMENT '初始数据执行状态',
  `init_exe_time` datetime NULL DEFAULT NULL COMMENT '初始数据执行时间',
  `real_run_time` datetime NULL DEFAULT NULL,
  `up_time` datetime NULL DEFAULT NULL
);

-- ----------------------------
-- Table structure for tmp100
-- ----------------------------
DROP TABLE IF EXISTS `tmp100`;
CREATE TABLE `tmp100`  (
  `label_id` varchar(48) NOT NULL COMMENT '标签ID'
);

-- ----------------------------
-- Table structure for wx_promotion_code
-- ----------------------------
DROP TABLE IF EXISTS `wx_promotion_code`;
CREATE TABLE `wx_promotion_code`  (
  `type` varchar(1) NULL DEFAULT NULL,
  `name` varchar(48) NULL DEFAULT NULL,
  `code` varchar(48) NOT NULL,
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = '微信推广码';

-- ----------------------------
-- Table structure for wx_promotion_code_copy1
-- ----------------------------
DROP TABLE IF EXISTS `wx_promotion_code_copy1`;
CREATE TABLE `wx_promotion_code_copy1`  (
  `type` varchar(1) NULL DEFAULT NULL,
  `name` varchar(48) NULL DEFAULT NULL,
  `code` varchar(48) NOT NULL,
  PRIMARY KEY (`code`) USING BTREE
) COMMENT = '微信推广码';

-- ----------------------------
-- Table structure for xe_patient_event_rule_ing_info
-- ----------------------------
DROP TABLE IF EXISTS `xe_patient_event_rule_ing_info`;
CREATE TABLE `xe_patient_event_rule_ing_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `event_id` varchar(48) NOT NULL COMMENT '事件ID',
  `event_time` datetime NULL DEFAULT NULL COMMENT '事件时间',
  `add_time` datetime NULL DEFAULT NULL COMMENT '新增时间',
  `op_status` varchar(24) NULL DEFAULT NULL COMMENT '执行状态',
  `op_num` int(10) NULL DEFAULT NULL COMMENT '执行次数',
  `op_time` datetime NULL DEFAULT NULL COMMENT '执行时间',
  `rel_obj_type` varchar(24) NULL DEFAULT NULL,
  `rel_obj_id` varchar(48) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者待执行事件列表';

-- ----------------------------
-- Table structure for xe_patient_flow_rule_ing_info
-- ----------------------------
DROP TABLE IF EXISTS `xe_patient_flow_rule_ing_info`;
CREATE TABLE `xe_patient_flow_rule_ing_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `add_time` datetime NOT NULL COMMENT '新增时间',
  `op_status` varchar(24) NULL DEFAULT NULL COMMENT '执行状态',
  `op_num` int(10) NULL DEFAULT NULL COMMENT '执行次数',
  `op_time` datetime NULL DEFAULT NULL COMMENT '执行时间',
  `op_type` varchar(24) NULL DEFAULT NULL COMMENT '操作类型',
  `scene_type` varchar(24) NULL DEFAULT NULL COMMENT '场景分类',
  `data_time` varchar(48) NULL DEFAULT NULL COMMENT '数据时间',
  `data_id` varchar(48) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_xe_patient_flow_rule_ing_patientId`(`patient_id`) USING BTREE,
  INDEX `idx_xe_patient_flow_rule_ing_addTime`(`add_time`) USING BTREE
) COMMENT = '患者待执行规则列表';

-- ----------------------------
-- Table structure for xe_patient_his_tag_rule_ing_info
-- ----------------------------
DROP TABLE IF EXISTS `xe_patient_his_tag_rule_ing_info`;
CREATE TABLE `xe_patient_his_tag_rule_ing_info`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `label_rule_id` varchar(48) NOT NULL COMMENT '标签规则ID',
  `label_id` varchar(48) NOT NULL COMMENT '标签ID',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `op_status` varchar(24) NULL DEFAULT NULL COMMENT '执行状态',
  `op_num` int(10) NULL DEFAULT NULL COMMENT '执行次数',
  `op_time` datetime NULL DEFAULT NULL COMMENT '执行时间',
  `op_remark` varchar(64) NULL DEFAULT NULL COMMENT '执行备注',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_xe_his_tag_label_rule_id`(`label_rule_id`) USING BTREE,
  INDEX `idx_xe_his_tag_label_id`(`label_id`) USING BTREE,
  INDEX `idx_xe_his_tag_patient_id`(`patient_id`) USING BTREE,
  INDEX `idx_patient_label_his_patient_id`(`patient_id`) USING BTREE,
  INDEX `idx_patient_label_his_label_id`(`label_id`) USING BTREE
) COMMENT = '患者历史数据标签规则待执行列表';

-- ----------------------------
-- Table structure for xe_patient_rule_exe_log
-- ----------------------------
DROP TABLE IF EXISTS `xe_patient_rule_exe_log`;
CREATE TABLE `xe_patient_rule_exe_log`  (
  `id` varchar(48) NOT NULL COMMENT 'id',
  `patient_id` varchar(48) NOT NULL COMMENT '患者ID',
  `rel_type` varchar(48) NULL DEFAULT NULL COMMENT '关联分类',
  `rel_id` varchar(48) NULL DEFAULT NULL COMMENT '关联ID',
  `op_time` datetime NULL DEFAULT NULL COMMENT '执行时间',
  `op_remark` varchar(64) NULL DEFAULT NULL COMMENT '执行备注',
  PRIMARY KEY (`id`) USING BTREE
) COMMENT = '患者引擎执行日志表';

SET FOREIGN_KEY_CHECKS = 1;
